commit 5388d5c1757f141e982b2755895da96c80f33e6c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 31 16:29:40 2007 +0000

     typo

commit 65abc4a052a422f5d114df51c23963e4cd128644
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 31 14:24:21 2007 +0000

    contrib: mirror the packages by GNUPG on ganesh as their server is constantly unreachable

commit 1e8bbf19b3bb93076119a75fcfae5f6db7cbbfec
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 31 14:08:05 2007 +0000

    macosx: added an option to disable the 'Recent Items' list as requested by multiple forum users (closes #1340)

commit 32cdbfa32d03e0022874e3da3d6caa02ca9894b8
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Dec 31 12:16:53 2007 +0000

    add artChanged signal to inputmanager and change backgroundwidget to use
    it.

commit 4251cd0a3cbc740d4e11d84be8b9bcd89fca5446
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 31 10:01:24 2007 +0000

    osx-proj: fix ogg format descriptions and add media types (refs #1279). Patch by Saoshyant

commit a5b4ede658b31d68f37286e2fbfa0da7c787f81e
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 31 03:02:30 2007 +0000

    mpris controller: update to new api

commit ac88248aa3debe837c221de9632cacf6be9da3fc
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 31 02:09:31 2007 +0000

    Remove unwanted part in previous commit.

commit 7b565326976515e5e88ca4f5da1745c4b135b4d5
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 31 02:07:38 2007 +0000

    media_list_view.c: Properly forward all items added events.

commit 0dbfd62552c771769a43ff922a78871276855a0c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 31 02:06:53 2007 +0000

    flat_media_list_view.c: Add some debug facilities.

commit 9d7bb46d18dd88770f78c31fcda47ebd93524a7a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 31 01:34:58 2007 +0000

    update: use PGP to authenticate status file and downloaded binaries

commit d25a2799056baced5ac78178714c992d35eb9102
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 30 22:38:21 2007 +0000

    authorisation -> authorization

commit 1b4a1c8ae42f3017607ec8924eeb1d186f49cc82
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 30 22:08:08 2007 +0000

    makefile: we want to use spaces instead of tabs. sorry for the disturbance

commit c90ad6fd8e18eeff2f2278123bf5e5a9d23e8d76
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 30 20:54:02 2007 +0000

    ncurses: use directory:// URI when adding a directory to playlist

commit d8b4a5b6955d71125dcfb2579062d211fa186183
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 30 20:14:31 2007 +0000

    fix #1421

commit 389c19e1729f20371fcb0a6294a00ca32966ab27
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 30 18:40:53 2007 +0000

    fix #1244

commit 7b9e1799ee5a6330222f62801abb29f15750611c
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 30 18:24:10 2007 +0000

    fix #1410.
    You can not change a playlist_item_t to be a node, when you previously registered events on it, using input_item_t sub items adding event, because the pointer will be destroyed.
    If you want to use nodes anyway, you have to explicitely create them.
    Note: we were lucky that xspf did work so far, because we were EXCLUSIVELY using invalid pointers, except for the 1st item being added to each playlist_item_t (it did happen before the conversion obviously).

commit 981f85eb6b7b6df8d0fec914ee4563488e2fba23
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 17:48:26 2007 +0000

    dtstospdif.c: Fix spdif type on big endian stream. (Patch by Julien Robert).

commit abb027a384e33ceaecf3e8a09d4a561c943a7025
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 30 16:39:23 2007 +0000

    arf

commit aa50e70169b0739dbd11f8d76f7550bfbfd46981
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 30 16:38:27 2007 +0000

    Makefile: correctly distribute .hosts within VLC-release.app

commit bde97dacca88796298ba8e2a488d5c69f26dbe5d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 30 14:53:00 2007 +0000

    macosx: don't allow the user to open the preferences window multiple times (leading to orphan pref windows which can't be controlled)

commit 7b087611c2486e4a76e3bb9f380a36880e713bc0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 04:25:04 2007 +0000

    audio_filter/converter/dtstospdif.c: Fix odd frame sized DTS conversion to SPDIF. Patch by Julien Robert <jul at mac.com>. (Reported to fix most of the current DTS issues).

commit 1b26ff77b0fd9ea5d713c7acd52259e6c68efbf5
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 01:50:14 2007 +0000

    MacOSX/Framework/VLCMedia.m: Update the subitems on sub item additions.

commit 0d4609bfb9bdb1900613263ac66b354dd3bf754a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 01:46:12 2007 +0000

    MacOSX/Framework/VLCMediaList.m: new aspect for the node hierarchy view.

commit 083f03e8429a91de6ac1b9bf51d530b005c83254
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 01:18:00 2007 +0000

    libvlc.h: Publish libvlc_media_list_hierarchical_node_view().

commit e8d38b4459d4d631bf8ff8653baba854a71ccac4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 30 01:17:15 2007 +0000

    control/hierarchical_node_media_list_view.c: Implement a view that only show the node of the media list, hierarchically.

commit 7910ae7a2d03d6b380f617cd744ba61f9802129f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 29 23:25:52 2007 +0000

    Only do translation in Qt when asked.

commit aa9715b24b0ddefb03016686232176688127fd15
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 29 21:35:13 2007 +0000

    simplify *install_input_item_observer()

commit de8a547ca9cf558181f8e2c972e21c745a149a10
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 29 21:28:44 2007 +0000

    fix input item mem leak

commit 15def40d9c0da3193a3c9fda08c242a0c6e0a1f5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 29 18:30:42 2007 +0000

    Distribute filter_picture.h

commit 14ddd406aeb1e2298884613c1926f602180d0819
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 17:08:56 2007 +0000

    hierarchical_media_list_view.c: Fix a mlist mem leak.

commit 9bc4f8f52b06e6bad53cfb38eb8aab51f524c143
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 17:02:41 2007 +0000

    control/hierarchical_media_list_view.c: Fix a media descriptor leak.

commit 89b604d4c3f1f232665dab0149da23b1a375dab7
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 29 14:32:01 2007 +0000

    cosmetics

commit fa12ecbec387b7d09fc2deadc16d5af83256092b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 14:26:19 2007 +0000

    Fix previous commit ;.

commit 09715dbfbee76a6d293027cde19cd8c0b1d23a1c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 14:25:14 2007 +0000

    playlist/item.c: Properly release the input_item as pointed by funman.

commit dcebfbb0b3ec5f01c7311ce2af6aaa542c34eeb4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 03:31:25 2007 +0000

    MacOSX/Framework/VLCMediaPlayer.m: -isSeekable.

commit 700e6aac85555f9753589c974924b9e9ee8018cf
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 03:29:10 2007 +0000

    control/media_instance.c: Publish is_seekable().

commit 4ed66be9f57bca364413c19307c8168a76e21848
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 02:46:12 2007 +0000

    MacOSX/Framework/VLC.h: Add VLCMediaPlayer.h.

commit 5f60e376ad16ac0386f31de59fff320be7653d2e
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 02:45:41 2007 +0000

    Sources/VLCMediaPlayer.m: Position getters and setters.

commit acd2d9b60cf9a93bcab9aba053922ccfb78e6f5b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 02:44:32 2007 +0000

    src/control/media_instance.c: Don't wait to have modulo something, to forward the time, that could be crazy.

commit 48f7ca7f70c7228ce8863813aabe89e0f0ae848c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 01:29:48 2007 +0000

    control/media_instance.c:
    * Implement MediaInstancePositionChanged and MediaInstanceTimeChanged accurately.
    control/event.c:
    * Register the all event types.
    * Don't strdup() in libvlc_event_type_name().

commit 8a7b94a1bbfa35cdfd9c5555e75362191546f991
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 29 00:41:01 2007 +0000

    macosx: fixed 2 appearance bugs introduced in [23908]

commit 7f4c8080185cef4ec8a31a6d4d6d4191183e56ab
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 29 00:11:36 2007 +0000

    media_instance.c: Fix the position callback to retun the time. (Next time, we'll fix it to return the position).

commit 35b6342cae98667fa2820e6e1b13a1c67a1a7746
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 22:23:01 2007 +0000

    Forgotten file in previous commit.

commit af252afb06ab8369f420444afab62bd9a50d97ce
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 22:22:36 2007 +0000

    MacOSX/Framework/VLCMediaPlayer.m: Enable bindings uses on the @"time" key.

commit cf0875cc854ffa9cf2f9fe4e8dc5ba062763c844
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 22:21:26 2007 +0000

    MacOSX/Framework/VLCTime.m: Fix a segfault because of a missing retain. Create a real null time. Code simplification.

commit b095d5f2755529e2659ce93adc8d2518cea62e07
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 22:20:19 2007 +0000

    MacOSX/Framework/VLCVideoView.m: Capitalize the s in FullScreen.

commit 7758266f730436730c52f026f3b89efa16da29fe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 21:05:01 2007 +0000

    Fix warning

commit eb81ba482a9e6de16afedc7645d341583ddb6084
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 20:38:49 2007 +0000

    Use long

commit 5319eb6d2f96873574fdf9448d6ca9cb726b56d3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 20:37:40 2007 +0000

    C++ fun

commit 4232e94712088389243b30b0b7f91eb01b27bd07
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 20:04:22 2007 +0000

    Rewrite CAST_PTHREAD_TO_INT in a ISO C valid way - closes #1407

commit 8ead2f571f99b7e66a8d82d63ff92786c554fd6c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 19:54:40 2007 +0000

    Attempt to implement waitpipe with Winsock (should fix #1347)

commit df796fbf4e0fc6194e934fcc63a6f31bebfad003
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 19:38:05 2007 +0000

    * sorry, this one was unintended

commit ec022e28c2dee0c79ba407b736d24cda92d661b9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 19:36:00 2007 +0000

    * add a 'graphite' button set including the facilities to switch the theme at runtime (closes #1379)

commit 15c25c42d212da65880646ae2220abf2fead507c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 28 19:11:20 2007 +0000

    Improve Aspect Ratio and Crop support

commit aa52ddea2971270b01212b524fb4d2f50c078b95
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:30:23 2007 +0000

    MacOSX/Framework: Fix end of file line, at least on headers.

commit c169ff14c99409e76d8516bd66ef633be90e9bf4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:29:38 2007 +0000

    MacOSX/Framework/VLCLibrary.m: Default the use of the opengllayer video output module. Don't be verbose by default.

commit 07f63871d50656534e1abdcb39ad9f8a9af44764
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:28:29 2007 +0000

    MacOSX/Framework/VLCVideoView.m: Supports the opengllayer video_output.

commit 38c86a7b387b7723596034c681fe334accb79bf2
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:25:03 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Implement -parentMediaList.

commit 441f5996dbb633ac11574f0e19b5ebe45cea147b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:23:46 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Implement -isReadOnly.

commit c6e47790bc820101a2a4fb636cac85cbf4d9bec4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 28 18:21:35 2007 +0000

    video_output/opengllayer.m: Fix a warning, and use addVoutLayer: instead of addVoutView:.

commit 850319351cc5f88cecbf55c5b53dece25e543cf8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 17:17:29 2007 +0000

    Be on the safe side of memory protection for now: use PROT_WRITE.

commit 2509ec68362400202e3519f23071652a37d52fab
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 17:14:58 2007 +0000

    * make sure our window titles change while switching items within playback (closes #1381)

commit 189bc59e7b442c9d898f2d460f4f780d8a079461
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 17:01:56 2007 +0000

    block_mmap_Alloc: commoditize block allocation from mmap
    Only the file access uses this, but I don't like "wild" callbacks into plugins.

commit bbfa9d88f2605be30b995b213815fd5e82cda5b3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 28 16:16:55 2007 +0000

    Fix stack overflow in debug code: use heap for large allocations.

commit 781ebbeb0613179456b0c60d383d6e4b0e794742
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 28 14:05:56 2007 +0000

    .

commit 81c65a657973bdac85dde2b413a18787192de31a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 28 12:11:35 2007 +0000

    * adapted the wizard to use the RTP stream out module instead of the removed RTP access out. Please check the other interfaces...

commit b1a9a82e38f91f51859c7f87eee3695715ab0c5b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Dec 28 11:36:57 2007 +0000

    small fix for http-streaming, don't set b_die to true in beginning if
    object is alive.

commit 7d020526b38c42d366eb7619907398dbe8ab2ce4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 27 16:48:20 2007 +0000

    Revert [23889]. Don't enable debug if you don't want it.

commit 093059ff906c714f536f19272e2faaf7900fc98f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 27 14:38:16 2007 +0000

    Sync with latest live555 source code.

commit 44dd0b86e9b68f4f00511e943afd37e589bd38a3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 27 14:31:43 2007 +0000

    Fix segfault when Connect() returned failure and fix memleaks. Make sure live555 modules exits while in Connect() if vlc is asked to stop.

commit fff37839759c1d6b7838838f923d49ee1bcb3bf1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 27 12:46:30 2007 +0000

    Indentation fix

commit f9012772a8fc0e6c209425b9e9786d9de675c5fc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 27 12:45:31 2007 +0000

    Silence debug message.

commit 63e066369803c46da28c7487396e045c3b770d99
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 27 12:44:02 2007 +0000

    * couple of NEWS updates and typo fixes here and there

commit 13cf0bf07070f07d140ab04606d17c3c37b2d651
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 26 20:40:50 2007 +0000

    * revert previous forward-port, as video-device's content changed for 0.9.0. Thanks to Pierre for pointing this out.

commit 94abdf05cce434af491c843d1a9a929591bbb224
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 26 20:12:59 2007 +0000

    * forward-port [23884]

commit 1d1062e52a4057b5c63a40d772c42e18ebef3f7f
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 26 19:55:39 2007 +0000

    video_output/opengllayer.m: Correctly set the initial bounds of the layer. Also grab the anti-tearing stuff from the Mac OS X GL vout.

commit 22c96ab632ac394ba458df44f5e7203fc39d5c49
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 26 12:29:53 2007 +0000

    Move a few large inlines out of include/

commit f895d9b7b5f67f713047744df57f28fa4d6e01a2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 26 12:21:56 2007 +0000

    Code factorization

commit 3ddbf4b2f6643f4396ba1bac7f139e08e1a9d4ba
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 26 12:13:56 2007 +0000

    Add "safe" config item property

commit cef7a5d4bc252197c51b291adab352b0b3226246
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 26 02:35:50 2007 +0000

    Three new chroma converters:
     * yuy2_i420: convert from Packed YUV 4:2:2 to Planar YUV 4:2:0
     * yuy2_i422: convert from Packed YUV 4:2:2 to Planar YUV 4:2:2
     * chroma_chain: attempt to chain 2 chroma converters to acheive the conversion (i.e. yuy2 -> rv32 will be done using yuy2 -> i420 -> rv32)

commit 83d8b6b3dd5f786e87e1d082518add50b2d44ccc
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 26 01:14:28 2007 +0000

    MacOSX/Framework/VLCMediaDiscoverer.m: Remove silly debug code.

commit 7c7f2f88a5db718d8dd8f256a05bccd6cf2a4dfe
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 26 00:44:51 2007 +0000

    Some more filter work:
     * adjust.c, extract.c: packed YUV 422 support.
     * filter_picture.h: code shared by some "video filter2" filters.
     * erase.c: validate the picture chroma in the constructor.

commit 5a2dd0ddda112ffbea87725ac24bb2d19a9795a1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 23:34:52 2007 +0000

    vlc/libvlc.h: Set the return value of the libvlc_*_is_*() call to vlc_bool_t.

commit 85b9974d1a9591b191ff726ec274084079085559
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 23:26:43 2007 +0000

    control/media_discoverer.c: Set the corresponding media_list to read-only.

commit 8299af702c1c6c0566b518413d115a01318755c6
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 23:25:09 2007 +0000

    control/media_list.c: read-only-fy add_media_descriptor().

commit c7e71cb6d0206530a46ecd4ff5f6fa7ad4953658
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 23:16:56 2007 +0000

    control/media_list.c: Implement read-only media_list.

commit ee9c15aa23f74505c869ff00d0a7d6ed9ca01eaa
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 22:55:15 2007 +0000

    MacOSX/Framework/VLCMediaDiscoverer: Publish -isRunning.

commit 1f40daafe54255f8454960056dda9baeaeca7f23
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 22:51:13 2007 +0000

    control/media_discoverer.c: Publish media_discoverer_is_running().

commit 1eead51a19ee98436742a054edec808bcb3a9f71
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 25 22:39:00 2007 +0000

    Video filter fixes:
     * colorthres.c: validate input chroma.
     * erase.c: fix bluring application limit (prevents out of bounds access).
     * gaussianblur.c: validate input chroma and add planar YUV 4:2:2 support.
     * psychedelic.c: check image_Convert return value (it fails for I422 which would then trigger a segfault due to a NULL pointer being dereferenced).
     * rotate.c: validate input chroma, add planar YUV 4:2:2 support and misc code fixes or simplifications.

commit 3510dc7cbbb4a118d7512f813d8e4e99794e7aa0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 22:33:56 2007 +0000

    control/media_discoverer.c: Publish media_discoverer_event_manager().

commit aebc971019e6c5c42f620fc8c11e77734a729dfb
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 22:25:45 2007 +0000

    MacOSX/Framework: Use the Pre-Compile script.

commit 17a99b41f08f795c53146ed025ca21a4e8d303a6
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 22:19:12 2007 +0000

    MacOSX/Framework: Properly track updated library and modules.

commit 7438482f8ccaa6ea893e467cea0d86d241ef9213
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 21:29:49 2007 +0000

    control/media_discoverer.c: Forward started and ended event.

commit b6880d76665de38f089c387eed9bb9a91f72d2a1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 20:54:18 2007 +0000

    playlist/services_discovery.c: Send service discover started and ended events, to keep track of running sd.

commit 14365bf346154b2dd0dd69f0270bfdb81e19073f
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 25 16:18:23 2007 +0000

    control/media_list_view.c: Implement media_list_view_parent_media_list().

commit 9c28c114378a8afcd3738bff96554c605833f701
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 25 13:55:30 2007 +0000

    * mmap is broken on Darwin. Disabled it for now to have basic file access functionality working.

commit e91b8125029aff627346754f55881dacbf6b4f02
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 25 13:36:02 2007 +0000

    * disable any MMX usage in FFmpeg on Darwin 9 (x86). This way, we can use the ffmpeg module normally until Apple releases the updated ld.

commit 35f97bebf2bf7f0542bb3418c54332996a0ff186
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 24 19:45:26 2007 +0000

    Sources/VLCMedia.m: Implement a KeyValueCoding enabled -state property.

commit 141e740fbee112b7d8ac61e5842d85670eda7399
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 24 18:45:10 2007 +0000

    control/media_descriptor.c: Publish an Event plus a method to get the media_descriptor state, which is buffering, playing, error, nothing special. This is a bit controversial as we need a media_instance to set that state, and this is media_instance dependant. However, this is a nice shortcut.

commit f2c77da9820cf07e455417f2636561cc338759b4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 24 17:53:28 2007 +0000

    improve sdl video output. If there is some stupidities feel free to revert. And Merry Christmas.

commit f0875028fd72a8d22798b15316d986737a6780d3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 24 16:52:05 2007 +0000

    Revert r23852.

commit 4f23c241b5777b1460e49b238ab8d71694b2fde3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 24 16:07:27 2007 +0000

    distribute the Christmas icons

commit 78d4bd65714da7ad48a8eb4e13965cd5b1523768
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 24 15:39:17 2007 +0000

    Not every body trusts "free.fr", especially not through non-secure HTTP, and/or non-FQDN-only hostnames

commit 27f7759ace46eaac62115fec95ec728276197682
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 24 14:40:51 2007 +0000

    Include font and password configuration items in the help output.
    Tell the user about --advanced when his help query skipped advanced configuration items.

commit 97d613b2309cbb5523379a4386326529f4f4fdc6
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 24 13:52:48 2007 +0000

    Use \033[0;1m instead of \033[37;1m for bold text using the default color (prevent using bold white text on terms with a white background).

commit 351b9cf065716461db903b7f62fa7bbb5e95ac67
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 24 13:48:20 2007 +0000

    Use the longtext as longtext.

commit 5777fa8de8116dccc731262b41ac4e9d4cd25331
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 24 01:18:54 2007 +0000

    services_discovery/shout.c: No need to incref. (fix a memleak).

commit ef03a24f5a285937296ce4f68be54a6633cbedcc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 24 01:03:16 2007 +0000

    Remove unused variable in OSD. Revert if needed :D

commit 9382d2cc6f8707017cba6e41999338180fab33e0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 24 01:02:05 2007 +0000

    Fix a Typo.

commit 283349239015568fbf1a324532d032858ae41d9a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 24 01:00:03 2007 +0000

    Qt4 - Background Widget change. Resetting the maximum size at each resize is wrong. Scaling content can be really really ugly.
    To be finished.

commit 777871986a69b12c3ad93d6c3161d93c9c692949
Author: Richard Hosking <hovis@videolan.org>
Date:   Mon Dec 24 00:15:47 2007 +0000

    v4l2.c:  Patch by Dennis Lou to add MPEG2 support.  Many thanks.

commit 4b295c7cb26de39368086af8dc901df6bd29d135
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 23 22:23:25 2007 +0000

    Allow specifying options specific to each url in the shout service discovery.
    Make it possible to inherit the m3u-extvlcopt option in the m3u parser.

commit 0212c5155653272d0125e3b788a2ed4db09876de
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 23 21:39:09 2007 +0000

    Merge the shoutcast and freebox service discovery modules. Cleanup the shout.c code.

commit f339d3ea974b7eb65c0fb1f7bb34e31723e59fad
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 23 18:28:14 2007 +0000

    macosx: remove useless setting as basically no user wants the wizard panel to reset in a single session, but demands it to keep its selections (this was the default behaviour anyway)

commit 37381b61344084f8c3be03104ad312f8b72b9fd8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 23 18:20:06 2007 +0000

    macosx:playlist.m turn an error msg into a warning as the event isn't as bad as it seems to be

commit 7dfd1a1d1e0b512ec83466c1e85e36cba308037b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 23 17:42:57 2007 +0000

    Fix format string injection in the Connection field for HTTP-served files
    (affects HTTP interface and LUA plus HTTP export for DVB and RTP)

commit ad407ff30380e98896cefc46882452e28aef10dc
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 16:48:15 2007 +0000

    modules/video_output/opengllayer.m: Don't free the gl texture in End(), but in the releaseGLContext function. Set the original bounds of the CALayer. Protect the removeFromSuperlayer by a CATransaction.

commit a19eff66700e36ac1d0a16fc04a206d1ee00cb20
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 15:29:47 2007 +0000

    playlist: Fix an input_item leak in item.c, and notice that we are leaking one in loadsave.c.

commit 41265f8097c5b6d110eae6dd5379ca9eadc7b2b7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 15:28:51 2007 +0000

    playlist/tree.c: Fix an input_item leak.

commit edecc3beb6badc0c0736595cfe66ece78ad97de1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:59:34 2007 +0000

    modules/demux/playlist/xspf.c: Show where the input_item leak comes from. (funman can fix that?)

commit f3903fcac703eb2415c21bd3f08a6ba655c5768b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:53:25 2007 +0000

    modules/demux/playlist/*.c: Fix input_item memleaks.

commit 5b324033c2e74de1adbeb2f3382e6bbc10da13f9
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:45:09 2007 +0000

    control/media_descriptor.c: Prevent an input_item memleak.

commit e809656e44d5fad369533688d8b85c1240cd4b77
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:40:28 2007 +0000

    modules/demux/mp4/mp4.c: Fix an input_item memleak.

commit 395d0372a9ca30e49cdfe447dadd1ce72b41f695
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:38:53 2007 +0000

    modules/control/http: Fix input_item memleak.

commit 694be9ad65fbf123bea29a9e338231de2122569c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:35:43 2007 +0000

    modules/access/directory.c: Fix an input_item memleak.

commit f360931e6659530396ed9ae6bd9bc95718404268
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:34:25 2007 +0000

    modules/access/cdda.c: Fix an input_item memleak.

commit 1421fa57d972c05149470d7f56e4334629c2c8d4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 14:19:00 2007 +0000

    vlc_common.h:
    * Add some proper assert() to the vlc_gc_* function to spot errors.
    * Correctly initialize the refcount to 1. (This will prevent freed pointer usage). (This may also introduce leaks in some module).
    modules/*.c:
    * Prevent some module to leak input_item_t.

commit a01893ff324856bc99739e72323eb6616b0b1309
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 23 12:55:08 2007 +0000

    contribs: fix libdvdnav runtime on win32 (patch was deleted when switching to mplayer's libdvdnav), extract using gzip

commit af52b673c20d546d9f2312328fbf3d5c19acdc02
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 23 10:47:59 2007 +0000

    little error

commit d0d0541e004aae6cc99c76f4d9d01070f6de0799
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 23 10:15:49 2007 +0000

    * withCString is deprecated in 10.4. Use WithUTF8String instead, as VLC's core is completely UTF8 now. Remove a couple of (nowadays) useless checks

commit 08557e2ec6805b9a7b5321c09df9236d8a972048
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 23 08:12:26 2007 +0000

    remove memory leak

commit ed6468966d3894d50759fddcad6e53e1ac006258
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 23 01:48:30 2007 +0000

    Qt4 - Small fix to get a smaller size when a video ends.

commit f38e73af8348d8cc1581a71883b6aa2c70778bdf
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 23 01:38:20 2007 +0000

    modules/macosx/playlist.m: Remove code that shouldn't be here, to re-enable services discovery.

commit 4449fe0e510dbe674cf042c9bcce0e4a711c7709
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 23 01:24:25 2007 +0000

    And forgot the other file... Sorry.

commit 0d92657d76a216866c7bde5ec855a902242b5654
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 23 01:22:20 2007 +0000

    Qt4 - Clean more.

commit 8dbc6a21f37a315a349acd4bd85bdac985047c56
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 23 01:12:58 2007 +0000

    Qt4 - simplify the VideoWidget. VideoWidget is a just an simple QFrame with the necessary interactions...

commit d17b946c8fc5fdf706a12aa5e7de11c1891eb141
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 23 00:54:54 2007 +0000

    Qt4 - less ugly Noart pix

commit 9011303411d5dda03b72e7b3e9bd92f7ce7e5999
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 23 00:30:19 2007 +0000

    fix #1409

commit 04022ec3a96fd9e82b882f03ed0fdc081f4c9a09
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 22 22:28:23 2007 +0000

    Slovenian translation update by Matej Urbančič.

commit ed5205fe93f276d92c8571c43551d7e0a8c05bab
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 22 22:01:56 2007 +0000

    Use dgettext() (aka _() ) rather than gettext().

commit 636e7566f068ee6578c73e5e55b2c10efd824b7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 19:31:19 2007 +0000

    Qt4 - timeLabel cosmetic.

commit f45f6bf7eab148ea985ec07b37cf12c668f7da7f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 19:21:17 2007 +0000

    Qt4 - Add a "medium" volume icon as requested on IRC, ( by Quovodis?)

commit ca64fcfe4243348b313f24278bedcc6961e0afbb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 19:12:45 2007 +0000

    Qt4 - Make the time Label right aligned and not size increasing in resize.

commit a8eb03fabf6c3d09bd5729b872da3929539cd9ae
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 18:11:50 2007 +0000

    services_discovery/sap.c: Make sure the thread will exit, even if in poll(). And properly lock the object.

commit c76ca6667fe719f8a7757f9b9d61fcd3cab64657
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 16:19:04 2007 +0000

    include/vlc_objects.h: Use the usual macro trick, to publish a function that take as argument a vlc_object_t *, here for vlc_object_waitpipe().

commit 949dac11608bb2ab375d29069a64cc824ba33c1f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 16:04:32 2007 +0000

    syntax error

commit 681637abe8ad32a07b614a7f3cd797d089e58fc7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 15:53:38 2007 +0000

    Add an error message

commit e59bea7b82ac4f79a169677d8d9aa753d3d3c10e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 15:50:53 2007 +0000

    Fix warnings

commit 77ca78456d262a64d0767247fd155c3a26d6c63b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 15:49:53 2007 +0000

    _pipe is not selectable on Windows, so return -1

commit 3945813ee2bf2fd6fba00f25b03a0e05006825bc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 15:42:36 2007 +0000

    Corner case race condition in the waitpipe

commit ecc5eb9db29f4ae9c0ee1c667c51dd7fd0a6b887
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 14:47:15 2007 +0000

    Put debug/test code for mmap
    (it does not find any error here)

commit cfdc3865b666bae7cfa7d2ea0158911364d8f45f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 14:11:42 2007 +0000

     - Parse seek offsets as unsigned (why they were signed in the first place??)
     - Fix comments
     - Cache pagesize

commit ca434330843238240297944934593dcf6d9b5f3a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 13:44:00 2007 +0000

    services_discovery/sap.c: s/min/min_int/ to prevent a macro collision on windows environment.

commit 3d979f8e505c0d1dc5c51029ed71ab8c46046206
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 22 13:10:39 2007 +0000

    First page is 100 by default

commit ae4f748f95e4a064e382380835f765eee814093f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 13:06:33 2007 +0000

    Pierre writes too good code. We need to kludge it :(

commit a09bcae31bb485524dfb6fe02853da520b1f3273
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 12:53:23 2007 +0000

    services_discovery/sap.: Don't wakeup more than needed.

commit 107b78a957c386f36923338a7273ea4fd82f631a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 22 12:41:56 2007 +0000

    use a pointer to a function instead of a callback

commit 8442f8adddbb55bd66a9155512fef5c0ab70ad4c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 12:36:53 2007 +0000

    Makefile.am: Put hdiutil into verbose mode in package-macosx creation.

commit 12c39680e3b87acf1e9c7f5019598e16b8f9d669
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 22 11:29:57 2007 +0000

    update: cosmetics, put the variable creation in libvlc

commit 9548b1290c630d2e60409f4a678377a07505ffe8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 22 10:18:01 2007 +0000

    another cleaning session

commit cac92f55e77109ae86ded84b4f10ec164ba34d91
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 10:09:20 2007 +0000

    Try to fix Win32 linking

commit 590701d6b366c7fd7cfa4defb7fd4e5f706a3a50
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 10:02:50 2007 +0000

    Remove net_Select. Simplify net_Read consequently.

commit 8c906d60c6282fc2529209855912920474daa2d8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 09:31:58 2007 +0000

    Use poll() directly when you want to listen to multiple sockets.

commit 6db8acaa4945c84c4671c4aeece517ead6deee10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 09:31:50 2007 +0000

    Qt4 - Fix previous commit.

commit b3819c325757996d53e79d82ac3794b0409ef77d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 09:11:25 2007 +0000

    Same as previous commit

commit ed9144bac360c3c29d92fe8f6cb8195680fdeb52
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 22 09:10:56 2007 +0000

    Revert [23768] and [23768]. Fix dead lock whenever reading from the network.

commit f9ff5b64b419eccc3d746aa93ff22d49eef4c3bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 08:12:02 2007 +0000

    Qt4 - Use a main instance of Sout for VLM. Clean DP since all dialogs (except Bookmarks that won't be done...) are done.

commit 890b8c21c26939cc0cd8e6ab8c4d8d68a445c50f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 07:19:01 2007 +0000

    Qt4 - remember if the playlist was inside or not. Clean.

commit 8fc1be22640747e2b1f73c764919e6524c05a59d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 03:20:11 2007 +0000

    Qt4 - Remember playlist's size.

commit 46c8807212085b6170dc520689d02fb061e29cd2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 03:04:42 2007 +0000

    Qt4 - Save the settings from the playlist for the dialog Provider if ever needed.

commit 2fd9216fe27da9c00dbe37336c00c81064109c05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 02:38:14 2007 +0000

    QT4 - sizing (still not fix... anyone can look at it ?) and remember if the playlist is floating.

commit eb7a0af30a1b2381fb53a52c0570f22738743eb8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 01:50:29 2007 +0000

    Qt4 - Typo on the sizing that can explain the "Video Above the control" bug.

commit 0162ce10a567d4fda370f6e37edd3ddf68d0e578
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 01:49:50 2007 +0000

    Qt4 - Be sure of the existence of getInput.

commit 2a51700499c574a0d5a4f28f1fe628227c558e40
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 22 01:08:21 2007 +0000

    Qt4 - remove unusefull debug.

commit 3163d13850f96fe2f72144781551d85a305180c3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 00:43:59 2007 +0000

    dtstospdif.c: Print a warning on frame size changes. Hopefully it will help us to debug the issue with SPDIF.

commit ee038b49f10b412cea3c3228e609ba6dc870e34f
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Dec 22 00:34:04 2007 +0000

    modules/audio_filter/converter/dtstospdif.c: We need a starting date. Fix a typo that cause the starting date not to be set.

commit ca59f1e5371698ce4e5c53d24ac6622338f077b5
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 21 21:38:35 2007 +0000

    fix [23367]

commit aa71d506adadda7fe4d29b5a1804cd33da4acd20
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 21 21:05:02 2007 +0000

    file: do not declare mmapBlock() if it won't be defined

commit 30d0aba730ec2c15871d70b963b11f137f821b98
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 20:34:34 2007 +0000

    Qt4 - Use AutoRaise button for faster and slower in order to keep consistency in the interface.

commit 497b2dcc8ae8bcea1e15f9811601a0ac579196ff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 20:29:59 2007 +0000

    Qt4 - SpeedSlider, use an AutoRaise button for the Normal Rate.
    Remove and unneeded member in the class.

commit 8c7c961f4c4dec07fa749d8a600cd1cda75e22ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 20:16:12 2007 +0000

    Qt4 - Fix the SINGLE Item mode of the Media Information! Be Carefull again !

commit ba836c7e4b857a0a7e0f1c7ccaaeb0368a496f85
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 19:59:39 2007 +0000

    Qt4 - We DO need pulling for the stats in MediaInfo Dialog... Revert part of 23590.

commit d2b84199cefbe604a19889e77cfc4fe27bfa7020
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 19:40:58 2007 +0000

    Qt4 - Fix an 'assertion failed' when opening the media information witout an input.

commit 3a3b9f860756eb15d2b2d27c885605ea43a81296
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 19:35:59 2007 +0000

    modules/services_discovery/freebox.c: Wrong copyright, reported by funman.

commit 37481e857adddfa05b8871dc8784c22240b1e3a8
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 19:30:52 2007 +0000

    modules/services_discovery/freebox.c: Create a new service discovery for the french ISP free.fr set top box.

commit 4c4ad240294546960d94560fffd40e2e0ae3ce0a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 18:56:54 2007 +0000

    network/io.c: net_Select should return i_total on timeout.

commit 3c3259132706c07bf0046e922945974c0993f469
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 18:52:21 2007 +0000

    modules/services_discovery/sap.c: Don't trust announcement down packet, but support implicit timeout.
    * As suggested in the RFC we remove the discovered media if there is no new packet after three average packet period. (implicit timeout).
    * Announcement of removal packet can be used to silently replace an announce by an other.
    * Add a timeout argument to net_Select.

commit 54b8548a2f59a53851ecb2ab71047d712b4639af
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 21 17:25:10 2007 +0000

    put the right developers website url, pointed out by marcfiu on IRC. bump gettext requirement

commit 0ee141885f32148ecc02656a770881b230d197b9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 21 17:22:39 2007 +0000

    Add module_Exists until I don't get any error on my build tree!

commit f3f2b96271ce1acf0c0e5557776251b83838c773
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 21 16:56:21 2007 +0000

    Use vlc_config_set for categories (close #1411)

commit e65e71975462203720ed5620a10c97037f90076a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 21 16:55:49 2007 +0000

    Fix config item counting

commit 607b545809d15bf655bd4b50ff68206d8aa97fb8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 21 15:56:50 2007 +0000

     - Fix error handling
     - Fix a warning

commit 2004f95fe5f6c8ff2903bc89b4044236224d4f6d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 21 15:56:30 2007 +0000

    Use ssize_t

commit 74fd4dd74d562ccbec50cf5aef3c7b402463a3ff
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 15:03:49 2007 +0000

    shout.c: Fix a typo in previous commit. (thanks, funman).

commit 5d7f2974b7425bf51383b601229aa059964b6df4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 14:57:24 2007 +0000

    modules/services_discovery/shout.c: Don't leak the input_item.

commit 948bec760148d6241d8ea36d264d4f1873c2aaee
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 14:35:20 2007 +0000

    MacOSX/Framework/VLCEventManager.m: Fix a bit the file description.

commit 1334901b0bc60f735f2d677242400f7c1c62bb37
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 21 14:31:00 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Implement -description: and fix -flatAspect and -hierarchicalAspect when used with bindings.

commit 2ea15499285e7022db965319b587c129e5e9ad05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 01:21:09 2007 +0000

    Qt4 - VLM: select input from the OpenDialog, using the existing OpenDialog and not creating new one. :D

commit f5a08fa8831935ee37056a6832c2c6b90bf55a48
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 21 00:58:18 2007 +0000

    qt4: special icon made by Geoffrey Roussel alias akem/meka is displayed in the last days of the year.

commit 6586a8ab643eb5bc459a5085ea99ed946a476f54
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 00:45:54 2007 +0000

    Qt4 - UI. Remove QT4.3 only functions.

commit efecf95f446cbe0652123f0210e07feb4e6c5f0f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 00:42:57 2007 +0000

    Qt4 - typo.

commit 97f221eb4d6876bb37de2e4c3adbc622b4908101
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 21 00:40:47 2007 +0000

    Qt4 - Small open dialog refactoring for use for vlm dialog.

commit fee86c5d53af1cfb6edca8404348201c12469c17
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 22:58:00 2007 +0000

    Add mysef as playlist & ncurses interface maintainer

commit aeda4e8e56a96c5877f4a4185b7144f99a78f325
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Thu Dec 20 19:19:00 2007 +0000

    * modules/demux/mp4/libmp4.c: spelling - uncompletetly -> incompletely

commit 3fea2a271e33863a96438f8695c9e4783b641436
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 20 11:47:22 2007 +0000

    Remove excess/trailing whitespace

commit c2915c44fa16dd6ae9c02bebb0492e91a53b4dd1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 20 11:47:21 2007 +0000

    Restore old functionality in video_output fb to use the entire screen size.

commit 37ffc160897ecf93179454ae36316f7a41e8cc55
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 20 11:47:19 2007 +0000

    Make wxwidgets compile again. The preference dialog still needs fixing.

commit 6be497de2c4d15da78860caa5971dfbf49c57162
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 20 05:17:31 2007 +0000

    Qt4 - Fix the "playlist doesn't show at first click" bug.

commit 03421f3e61fc63161276bd0a8b859f62132973ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 20 04:44:31 2007 +0000

    Qt4 - More Module_Exist for SPrefs.

commit 4c9b6e28d2fcc5b0bcc759adb83e30bb23de7fdb
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 00:48:39 2007 +0000

    revert [23722]

commit f8c2674996878f844e3ad1f3cd1d16046f952d55
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 20 00:37:23 2007 +0000

    lua playlist: fix joox

commit 1e698a031b4d95c8e896af092d81e640495473e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 20 00:21:20 2007 +0000

    Qt4 - add UPDATEVLC_DIALOG to the DP.

commit 496d33dc3e1c4be6407291c55ee5abebab4c79b7
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 19 23:59:06 2007 +0000

    playlist demuxers: return -1 in case of error, 0 in case of eof, 1 else; like any correct demuxer. (we always return eof since playlists don't need 2 successive demuxing).
    fix a corner case bug in ifo.c

commit f4d1285582586efdc39d8c87753dc577f703389b
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 19 23:28:02 2007 +0000

    xspf: use correct return value. VLC_FALSE == VLC_SUCCESS

commit 173b89e2cfd41b29aef8e46f9eec75f33b3d236a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 23:12:22 2007 +0000

    MacOSX/Framework/VLCMedia.m: Implement mediaAsNodeWithName:.

commit af1e3b5658afe0be958eee28325d5e0fc5b6928a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 23:10:31 2007 +0000

    control/media_descriptor.c: Implement libvlc_media_descriptor_new_as_node.

commit cdd8da999960a6559085acfb9f7521d35f24f4d7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 22:50:14 2007 +0000

    MacOSX/Framework/VLCEventManager.m: Directly issue events to main thread if we are called from main thread.

commit d8dc26ec6dcc9512bbc72dfdf909fe489c7e35aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 22:30:48 2007 +0000

    Qt4 - revert part of [23442]. Fix and close #1398.

commit 2f4c4cc2e4e03b25286b1f6a3e6317b2923de22d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 22:28:22 2007 +0000

    opengllayer.m: Use AGP texturing.

commit 53c77312906a21feda205c3532b521fe7f2c2e6c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 22:10:51 2007 +0000

    configure.ac: Don't activate opengllayer, if QuartzCore/CALayer.h is not here.

commit 00a75a03dbf09efddb26f75528075af009604e48
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 19 20:46:45 2007 +0000

    Work-around for overaging POSIX systems

commit 23eb4547791a903f1dff8004ffc01db1cc4c1699
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 19 20:42:12 2007 +0000

    Fix stupid logic

commit d235db697e8200c8029ec73cc04e190cc25fca72
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 16:20:44 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Allow tree based VLCMediaListAspect manipulation with Bindings.

commit 6d9d8bc0142dd906e73bcb7c4b0c99faa6a023d2
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 16:18:07 2007 +0000

    MacOSX/Framework/VLCMediaPlayer.m: Formatting fixes.

commit c3aa38ed18e7e1322bda0217cd149fd99cc24d84
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 16:09:55 2007 +0000

    ffmpeg-macosx-intel-mmx.patch: Update the patch to reflect latest ffmpeg changes. (flac code moved to flacdsp_mmc.c and new sse2 optimization in flac that uses too much registers).

commit 120502a4d0a7bc45eb8337c7a3ad77e8aca55884
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 15:46:32 2007 +0000

    control/media_list_view.c: Ignore exception that may happen while unregistering an event, a we may never have register the event.

commit d99431bd6cd6949e712d2f5d62d96335ab5f7408
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 15:40:10 2007 +0000

    configure.ac:
    * Activate the opengllayer video output module.
    * Rework a bit how Mac OS X Specific modules are handled.
    video_output/Modules.am:
    * Activate the opengllayer video output module.
    * Please test that the --tag=CC libtool hack doesn't interfer with the .cpp modules.

commit 599380834c834ef63248c5b22718d7855ab13993
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 13:55:46 2007 +0000

    modules/video_output/opengllayer.m: Initial creation of a Mac OS X video output module. Its output is a CAOpenGLLayer. This needs a special video output module as it is not trivial to create an opengl provider module connected to a layer. (the layer request its frames).

commit e7467eba574d4559e232fc31859809e4da18a6f3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 19 13:31:14 2007 +0000

    include/vlc_common.h: Define gettext() as a no-op when --disable-nls is used. (Fix compilation with --disable-nls).

commit 96495216bb7b86db5c500820adf779890d1049b1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 07:06:00 2007 +0000

    Qt4 - Getting rid of useless setCheckState( Qt::Checked ) when setChecked is enough...

commit a40b903fee8c1d9afff03d474a3c2a1ca8398d97
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 07:02:26 2007 +0000

    Qt4 - Preferences, lastfm fix.

commit 56e6a84d2994df27e803078ba12f84282c6670ac
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 06:52:33 2007 +0000

    Qt4 - Open Capture. Only build what you do have. :D

commit a654574f57b5240be411be5fd8196dc4e818adb5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 19 05:46:26 2007 +0000

    Qt4 - FIX compilation when --enable-update-check isn't enabled...

commit 81f37d39d094231cedd7db87cd002532b2658192
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 19 01:43:20 2007 +0000

    Better asprintf error handling

commit c2598291ca98e47ea0e7f371a023eb0f2e61b087
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 18 23:30:00 2007 +0000

    update system:
        * don't compare svn revisions, we don't support binaries compiled from svn.
        * compare only the 1st character of the "extra" (the 'd' of "0.8.6d")
        * document the status file format
        * don't use %as GNU extension with sscanf()

commit bda87dfa0f6424d4e35a6bb616f61bcce6eecade
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 18 22:21:28 2007 +0000

    Fix compiler warning about comparison of signed and unsigned integers.

commit fb34b18024c20382585fd0e81eb8a7f3868db8e9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 18 20:57:40 2007 +0000

    * fix the strings instead of marking them as fuzzy. sorry about the breakage

commit bec377a7e0cd1429e7d3179e0d7dfb5ae8c7f188
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 18 20:40:46 2007 +0000

    _POSIX_CLOCK_SELECTION at 0 does not mean it's not supported.

commit 3040dc9b67a6848f96a8e309cf04882296710d3a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 18 20:38:47 2007 +0000

    Don't create two competing options of the same name

commit 1282aa001bb24c2600135a36dacfe5826f6d1948
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Tue Dec 18 20:24:02 2007 +0000

    * po/de.po: add some fuzzy stuff..

commit 3d0196c72e0e16b1aabb7e4f105db370b206957c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 18 19:25:39 2007 +0000

    Good riddance the helper module

commit 92fc113b133a01ac8786a019582018480bc13c22
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 18 19:19:37 2007 +0000

    Move options from the help kludge^Wmodule to the main module

commit 2ef3494d82c286e0f1e3ac7421dec82e1d858757
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 18 18:56:58 2007 +0000

    Fix for libvlc_config crash (hopefully)

commit 026f816155f31bf6753a57c94ed9f6c31e3a3078
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 18 16:38:41 2007 +0000

    * updated German translation by Philipp Weissenbacher including a couple of more strings translated by myself and various minor fixes here and there. --- we seriously need to work on the correctness of the English strings.. ;)

commit 77c834e9255cc30ff51d3107f89a6514f42ab937
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 18 15:51:29 2007 +0000

    Add fonctions to the update system : all is in a thread now. The rc interface doesn't use the update system for the moment and there isn't any encryption for the moment ...

commit 72bef4462e04685334120e6331d861ab990648de
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 18 09:04:24 2007 +0000

    Implement vlc.video.toggleTeletext() JS API method

commit f333d57a3e91dde95313ba7a47880d9b5b970f30
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 18 04:48:32 2007 +0000

    Contribs: build portaudio on Windows. Close #419

commit 78460fd60f846019a2e50aacdc0557683890b8d3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 18 04:28:14 2007 +0000

    Qt4 - remember the position on close and open in the same position.
    Reference #1374

commit 2e8f9571178905e72fc14e0aa8c913211b6a0178
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 18 04:16:29 2007 +0000

    Qt4 - Mention the VIDEO_TS opening in the tooltip. Opening a VIDEO_TS folder from the *DISK OPENING* works fine. Close #247.

commit 102456a73abe25f8c12fbafe30329cbbe3f0171b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 21:03:26 2007 +0000

    Remove unused variable

commit 3c2fd2279cdbe75093441cf1aa72220b807d7c55
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 20:54:32 2007 +0000

    Force rebuild due to ABI breakage yet again (should be the last one for plugin entry config)

commit 3ca1fe82ca224cd14ec194ad83f6a424dd1a8500
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 20:53:25 2007 +0000

    Use vlc_config_create()

commit 927f27d8c6feedb36da0b1e442bb897e2be6f90e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 20:27:03 2007 +0000

    Save one memory copy and fix the helper module leak

commit cbe2c26778b462d055750a1160b386d2024be7fb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 19:43:18 2007 +0000

    Memory leaks

commit 3655c1c6edfa65212b263fa330e0bf4809eeb5d1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 19:36:58 2007 +0000

    Add support for aliases through vlc_config_set

commit 2bca4f1c7e98f40ff31e9b0474ec2a2b60d59379
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 19:01:13 2007 +0000

    Add action through vlc_config_set

commit 194072ae20ccef4d08ee5c88c987d0097b0fd2e6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 18:57:56 2007 +0000

    Fix XSPF crash when XML is not available

commit 8838c6953d183eac8fc203edcdf290eb28a29f3b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 17 16:20:29 2007 +0000

    * mirror pkg-config on ganesh, as their mirror is down most of the time

commit 29d53bdc58deaad0880f0a61aadef47c49127ec5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 17 16:16:53 2007 +0000

    Fix error handling

commit c3131c092fde04fe625aa4ac6b9588ce99a63c64
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 17 15:40:29 2007 +0000

    * fixed a crash when quitting VLC while scrolling the credits in the about window. Additionally, improved the help window's memory print slightly

commit 20d9ce55c3b28d288e044d05fb714691fc46da0c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 17 14:38:14 2007 +0000

    Fix breakage in transcode_audio_new().

commit ff8c208088b0f471c271a93230c4fa42fd39ac9e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 08:55:35 2007 +0000

    Same as previous commit. This may be wrong, if it is, revert, don't scream...

commit 6b632678cbb5b669a9094963037fcbec28dce3d2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 08:51:15 2007 +0000

    DShow, partial fix due to changes in [23667]

commit c00cfde5b651de9f5f8b1441a458e85429ef4b49
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Dec 17 06:40:11 2007 +0000

    * add support for ATSC modulation types

commit 5bc67f89db065e1aadd2eba4d5467de025787c56
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 00:48:49 2007 +0000

    Qt4 - less debug messages.

commit d67929b6da2494bd20ee89891374add8360316f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 17 00:46:54 2007 +0000

    Qt4 - trailing spaces... Post-commit script ?

commit cfddc73aae13b6e3ba8a98437fe5d775e821562d
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Dec 16 23:34:49 2007 +0000

    * modules/access/v4l.c and dc1394.c: typo openened -> opened

commit f651c3b227c55fc62e5f0e3c1c9f1b988302e2fa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 22:34:47 2007 +0000

    Qt4 - Don't compile and create the Teletext bar without ZBVI

commit e4c890c4b998ad184f18b124a4ec604cbd863095
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 22:05:16 2007 +0000

    Fix modules loading. Next time you potentialy break all of VLC, please compile and try the change before commiting.

commit 423ec777563612108aecd971b9603081b4c567f5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 22:01:06 2007 +0000

    remove excess whitespace

commit 1be52364fefbece9207c6055a3351afd72d2d6d4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 21:44:47 2007 +0000

    Use correct object for var_GetInteger(p_vbi,vbi-page);

commit d1a66dc137fadf11997738d07386551395d0e541
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 21:27:59 2007 +0000

    Define HAVE_LIBAVFORMAT_TREE.

commit 72aec0c5067994206a83e9346fea736c1231b4c3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 21:10:57 2007 +0000

    Typo (free both tabs once, rather than one twice, and the other one never)
    Also some code simplifaction

commit 88de3871d4067cda8bef0ca50b3a30d6caafa0ae
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 21:07:11 2007 +0000

    Disable debugging print in zvbi

commit 657701d10de7599318978719def4033d6f872ac3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 21:03:45 2007 +0000

    Fix previous commit

commit 2289355debfb9c51df646769335e9f2679d462ee
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 21:02:23 2007 +0000

    Don't pretend to have ffmpeg based muxers and demuxers if you don't.

commit 9014d4fc1f268adcc981f7d967de1382538fa875
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 20:59:46 2007 +0000

    Small cleanup

commit e684b424fbd7cea2f9780a518624b64368f372ef
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 20:59:21 2007 +0000

    Move plugin ABI version (MODULE_SYMBOL) out of build system.

commit 6a77f2907f3f4e7e4e32ee62b88763904288e00d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 20:58:28 2007 +0000

    Don't misuse p_this->p_libvlc for putting modules variables of zvbi.

commit c366075e5b2e88e59ea84e64968d28cd94fb4030
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 20:38:14 2007 +0000

    Change demux2 capability values so the lua demux2 gets called as a last resort (2) right before the ps demux is forced (1).

commit b1a76ac6b6186cfc7a71ce6b49dbfa219005daa2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 20:10:34 2007 +0000

    Qt4 - Hide the grey rectangle on the top of the interface, try to fix the zoom reiszing

commit 3b1feabd11b51f9b82510a5a11ed7b6b2807394c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 19:48:36 2007 +0000

    don't show the teletext buttons yet, it is not ready for primetime.

commit 556332832baed9b8b7e7e611a69bb717bde82f9d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 19:47:25 2007 +0000

    keep to the style of the file.

commit 77eed11e5e61953dc5a5807d23a1737fb606fbc2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 19:44:00 2007 +0000

    Set default vbi page in interface.

commit 3cdad01a54ff7dc22be6caef4f4357ea5e2ce2ac
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 19:34:07 2007 +0000

    Make sure vbi-opaque can be set from an interface.

commit dbe0d74880074ffbecfe0168d1c7ea8c7f0a6ea7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 16 19:33:05 2007 +0000

    Let teletext gui buttons do something.

commit 277e48de02dd109619a87796d7e92a3bdc99c157
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 17:40:21 2007 +0000

    config_Free simplifications

commit 64ea683969472b60ebc2b4e15e552f7bf23d017a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 17:36:01 2007 +0000

    short and list support for vlc_config_set

commit f9a54b04067d9433020a8731c3d2090fb36baedb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 16:54:03 2007 +0000

    * fixed 2 segfaults when switching categories within the preferences. The options for CONFIG_SUBCATEGORY and CONFIG_CATEGORY aren't displayed, yet.

commit 349460f266c35dc593a4a62604c7f569e356be96
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 15:51:08 2007 +0000

    I hate Winsuck^H^H^Hock

commit 0babda75f1d5df89261dc5fa4e98f57f3ef9de77
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 15:12:51 2007 +0000

    Don't use enums. They are cool and all (the compiler even tells when one case is missing in switch), but I don't want the compiler to assume as yet unassigned codepoints will not be used.

commit 514ab9ef4abf5e361fed91424a3b2cc5ee2e530d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 15:00:15 2007 +0000

    Oops.

commit c704c4afd46601b4e0333525329f71ebbbb397ba
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 14:58:43 2007 +0000

    Add warning if people try using an unimplemented aout function (zorglub!!!). This is currently only possible through the qt interface (i haven't tried it myself).

commit 7831c22d8c8114a13ed17cf9c115564d671c742c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 14:54:44 2007 +0000

    use add_module_list

commit eda425f069750a98ac8f8872aad0fcc9758560f7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 14:40:15 2007 +0000

    Simplification, and no-ops removal

commit 1f9d8d6cc17156bbf51e76f71cbb8367594d6c8a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 14:34:29 2007 +0000

    Migrate module, module_list and obsolete_* to vlc_config_set

commit f756ebd7197ef940aead1ac78865c6bb58d0e502
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 14:13:33 2007 +0000

    Slight cleanup and simplification.

commit 10c717090a22a161c08d4650282d6543c0e49e3d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 16 13:46:30 2007 +0000

    Some more vout_intf.c simplification and compile warning fixes.

commit 415c99dbd1498fbcc078f48693ff90bcbfff4c03
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 12:50:45 2007 +0000

    cough, fix VLC-release.app broken in previous commit

commit b1af1fb50fd1ef6abb27ff302d9f4413081bb436
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 12:46:59 2007 +0000

    * strongly improved the speed of make VLC.app and make VLC-release.app by only copying the xcode project and the Resources folder instead of various plugins and most importantly the framework to a temporary folder

commit 944a9914b3dc1d93e8c37ceaaae1ee281cf03f26
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 10:33:04 2007 +0000

    Code factorization

commit eb2e4add4f3ed2f94fbb2ac3c81b67a8322a85c1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 16 10:28:24 2007 +0000

    Some more vlc_config_* code

commit a24e0766f7e5a78edf5ddc534cb6cd0005d8cbd9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 06:04:53 2007 +0000

    Qt4 - teletext Panel. Not any function behind it. Not my job anymore :)

commit 23916ae45f4e540ef9cf53daf05e0d237570f8d8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 05:01:25 2007 +0000

    Qt4 - Make the interface a bit smaller.

commit cd7c0d1e374b7f5cecc859bdeece3acf6f1284e9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 04:49:40 2007 +0000

    Qt4 - SHould Fix -- Videos are always started with an incredibly small size.
     -- There is no "auto size" feature as in the wx interface to
     automatically resize the interface so the video is displayed in its
     native size.
      -- The interface doesn't resize itself down to its minimal size when
      video playback is stopped and the control widgets re-organise themselves
      in a weird way.
    Should fix part of playlist resizing.

commit debf610d6c422fe5a8e03b04f988e608e67c9059
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 16 02:20:14 2007 +0000

    * added navigation controls to the Help window (implemented with minimal affords by using WebKit's builtin methods). We need a nicer home button graphic, though ;-)

commit 5aad31ca3a09bfe7c4ef0e26a307f7ac35387a46
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 00:35:25 2007 +0000

    Qt4 - Make the default interface smaller.

commit b6a1348f1d221436b0a92880b71be675d90fcabc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 16 00:09:01 2007 +0000

    Qt4 - Small interface and control layout fix.

commit de268c164c5e7ed4f05f06a12407a6aaa32411a6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 15 23:33:14 2007 +0000

    We know that we open a directory

commit 1e7fef8ed54b9ec4bf67122461bc559619aaa7f6
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Dec 15 23:18:43 2007 +0000

    * src/libvlc-module.c: typo autorise -> authorise

commit 721e7def4e730aed01599ea6eb03d71974eb9ef8
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 15 22:46:58 2007 +0000

    Typo

commit f7ab4a97629e4cc61fb2e77bfd0df720e6a3d1e6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 22:39:32 2007 +0000

    Qt4 - Add an author that was removed by mistake.

commit da64a2af73e9a4896cb958a40b98390c4c197d2e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 22:38:31 2007 +0000

    Qt4 - VLM. enable/disable from the list controls the VLM. small fixes and correction of VLM requests.

commit 0ed17f99bb99ca20fc26061a238a1ed051a21bd1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 22:18:03 2007 +0000

    Continue the vlc_config_set stuff - still unfinished

commit 417253217308d59d4073a2f3065d4510be343420
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 15 21:56:49 2007 +0000

    Here too.

commit f3d3cb08df21997977317f1f05d25b90d0d158f0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 21:52:13 2007 +0000

    extraneous semicolon

commit 850b3339e67b8b4c8c786a3215eadda5e1c08ff8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 21:50:37 2007 +0000

    export IsConfigIntegerType and IsConfigFloatType within libvlc

commit 6837daf33dee17c0885820f21107757218501885
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 21:47:07 2007 +0000

    help module hack becomes even worst...

commit e93bed1aa825a38e267ad3e6613104c604a2df3a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 21:17:20 2007 +0000

    Qt4 - VLM: simplifications.

commit 270d869daf14e03e3cb495a3b356ad367701d490
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 15 21:16:08 2007 +0000

    Make sure no module not recompiled are used after [23633]

commit 01c5f62d68106506f91043062576bbd67b6feca2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 21:15:57 2007 +0000

    Add a cast to fix compilation.

commit 3b055b72af869cf62a2d0724ddba9ed1a8011cb8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 20:50:54 2007 +0000

    Partially introduce vlc_config_set() to modify module_config_t through a less brittle API
    BEWARE: If you have non-recompiled plugins, they WILL crash.

commit 28ff8dc86e3b57c172c0dcada7d3742f9dcc6909
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 15 20:40:45 2007 +0000

    Qt4 - VLM update. Add the actual vlm queries, the modifications and so on for VOD and Broadcast.

commit 8493971637d6c6b7e21b64677a00e9d3c5392fae
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 20:40:41 2007 +0000

    Remove extra semi-colon

commit eb918f107c6433cd8d547a3104e7d87328d9de20
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 16:07:40 2007 +0000

    Remove code killed by previous commit

commit 773c6cd4e5ab885df1a5f66120cfc0c6cdbef6fd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 16:05:45 2007 +0000

    Conceal unsaveable and renamed options as well

commit 8912cc8ca8b20500c3c5410ad8c18cd370615275
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 15:59:22 2007 +0000

    Allow totally reckless users to save m3u-extvlcopt if they want to.

commit 7b558301bb858fa00e0197fdc47779a5cac9411a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 15:54:14 2007 +0000

    Hide internal settings

commit bb62471ff0cb881a2ac2da1b36758d35ac970250
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 15 15:19:00 2007 +0000

    Update to newest playlist API.

commit c3e3de663319403f883fc2bfbe76c3065e2e85f2
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 12:20:54 2007 +0000

    xspf: %-encode '%' and '+' for every URIs (it really should be URI type dependant). fix #1394

commit 7ef77fcbcb67e4b6c9fac42943cc13b97d8a5d2f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 15 11:06:40 2007 +0000

    * the SWITCH download mirror is down, use HEANET instead

commit cc4cca2fd565125ad3260c934df9c88892e375f2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Dec 15 10:51:07 2007 +0000

     - fix symbol list
     - remove useless IsSubmodule (submodules have NO configuration items anyway, and any sensible UI won't show modules with no configuration)
     - free checks for NULL anyway

commit 09649055b8f95df76551bc9f5301baf114f4c88e
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 15 09:39:55 2007 +0000

    Preparse file items which don't begin with 'file:'. Patch by Antoine Lejeune.

commit 75da14716aaf83e80702fcd3b3d29dd2af7c308d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 22:20:51 2007 +0000

    control/hierarchical_media_list_view.c: Don't lock too soon the mlist.

commit 77ea924c66977c2bbcf3e598fb5e9a28d84f09aa
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 14 22:18:44 2007 +0000

    * modules/gui/wxwidgets: fix breakage introduced by changeset 23581 and 23579. Breaking perfectly working modules just because you don't care about them is just rude.

commit 6ed021d344a066d936091cbea5657fda44e65a0a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 21:14:39 2007 +0000

    Qt4 - Fix VLM-object not being checked. Add a type to be sure of the edition to do.

commit 7a35ff7e4cd2fdab5b6dc875cc59aab62779f3c7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 21:00:53 2007 +0000

    control/media_instance.c: implement libvlc_media_instance_stop.

commit 8eb693be216b7b1816b224067a6813ac035555cf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 14 20:09:07 2007 +0000

    [PATCH] Extend pvr support to non-ivtv v4l2 cards (e.g. cx88-blackbird) by Dennis Lou.

commit 7d6fd3cca9961a90e87414b49cae5253b4dec2e0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 19:11:53 2007 +0000

    Thanks to TombiGel.

commit 48c2ac8c879a83c4f8737b978ca9c3232bb2e70d
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 14 17:53:27 2007 +0000

    Disable update checking per default, re-enable with --enable-update-check
    Add OpenPGP code, still unused as there is no download of binaries at the moment
    
    We will need to define (and write) the files (and their location) we will use in the update system:
    
        * We will use a file per arch, which will be signed
        * ALL VideoLAN gpg public keys will be stored on http://download.videolan.org/pub/keys/XXXXXXXXXXXXXXXX.asc where XXXXXXXXXXXXXXXX is the long id of the key
        * Every downloadable file will be signed with gpg --sign --detach --armor

commit 2f06355e0303965a82189b1d9b0aedc4ef9aa9fc
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 14 17:40:15 2007 +0000

    another missing signal.h

commit 502360d95cf1ee2231ccafa57e3669439e6ac5ca
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Dec 14 17:30:58 2007 +0000

    add missing signal.h

commit 61220f51625778eba8861cfea1937bc645282efe
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 17:29:01 2007 +0000

    packages.mak: Use ftp:// for all gnugp packages.

commit a07e3c61d0d4e935e0f49549955480b2de9ece54
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 17:05:50 2007 +0000

    modules/macosx/prefs_widgets.m: module_GetConfig doesn't accept second arg as NULL, quickly work around that.

commit acea7c44a0d4c53586b978bceb0034c947d5f7cb
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 16:57:01 2007 +0000

    modules/gui/macosx/prefs*.m: Fix for module_t privatization. Feel free to test. That code is unreadable.

commit 32fa3ec6e762bd1efa3410dbca4e1fa83e854148
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 16:55:09 2007 +0000

    packages.mak: Use ftp instead of http for ftp.gnupg.org as their http mirror is always down.

commit 0a7f7036cb3ef13a7b3a39f88681dfb6552bcde5
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 16:24:28 2007 +0000

    module/gui/macosx/intf.m: Use a const char * in parameters where desired.

commit d5b0bd60ab7974d30ba05fb7a322662b8d57fd1e
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 15:02:53 2007 +0000

    modules/gui/macosx/playlist.m: Don't use p_module directly.

commit be0c992bbd0db8ad03e00ccec4dad3192dccf4b5
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Dec 14 14:33:06 2007 +0000

    control/media_descriptor.c: As requested by Jacques Boileau, allow options tuning from the media_descriptor class. This is done through libvlc_media_descriptor_add_option.

commit c10115a795cb82b7e4b6ee2bff7379c435962333
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Dec 14 10:41:48 2007 +0000

    make use of new module_* API

commit 17413bf6fa8456c7942451dd7bb1fbf4231a51e7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 09:11:34 2007 +0000

    Qt4 - VLM improvements... Classing for the three kind of objects, more property editing and less segfaults (though there is one I have nooo clue ).

commit cf9db1b8d539d016dbae9330b9d24fd2f4fa476b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 03:04:07 2007 +0000

    Qt4 - Art in the playlist is collapsable with the use of a QSplitter. If you really don't like, please revert.

commit a726c1c1535ced34c954449b094578f15f0d872d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 02:54:05 2007 +0000

    Qt4 - I prefer to have the left pane to not grow when the whole playlist is widenthed...

commit ecde18b4f6ec3484d3f83a46b2382da06488a61b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 14 02:44:11 2007 +0000

    Qt4 - Playlist should be Expanding, not MinimumExpanding.

commit 7bbb201b882a7a76b896d1ba495e65cc648de8ad
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 13 22:09:12 2007 +0000

    ncurses: force building (and memory allocation) of playlist as soon as interface is running

commit 0e4d32637dd6b2959d01e746ac77c8120082f044
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 13 19:16:07 2007 +0000

    Don't substract twelve twice

commit 14fae49cbf998fee62323fde27ba6833f8da8289
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 13 19:03:29 2007 +0000

    Split RTP sout further

commit 1d22fe1f6f505bd877c173538c774ea20498558b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 13 18:34:05 2007 +0000

    Forward declare vlc_url_t

commit 64fcf937ace17e82f5fff6d5be7f79305be10da7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 13 18:06:34 2007 +0000

    SET_PARAMETER is simply *wrong*. Servers are not supposed to support except for proprietary extensions (meaning we cannot use for just any random server).
    Even GET_PARAMETER is hardly good, as it is not mandatory to implement either, but it is a defined way to ping (which SET_PARAMETER ain't).
    In any case, the only proper way to ping a stream is RTCP feedback.
    When it comes to the control session, better check OPTIONS Allow: header for GET_PARAMETER.
    
    I really wonder how live555 can be so low-level though - smells like we are trying to be too intelligent here.

commit 6504e7eb7438b06b95e6907ba0e45006e480d57c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 13 16:39:33 2007 +0000

    Patch by Jilles Tjoelker. Fixes crash in playlist due to negative index in playlist item array. Added boundary check to solve this.

commit 8e6a26cadc299c381096a641c700a5d8d5608896
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Dec 13 15:21:21 2007 +0000

    Makefile.am: Don't ship the framework, since it's too big for now.

commit e43b973a16b4dbf594d90947bbb6228b51604b70
Author: Richard Hosking <hovis@videolan.org>
Date:   Thu Dec 13 15:14:10 2007 +0000

    v4l2: ALSA error handling.

commit 191479d73b82fcfcfe55e0efb7a0088ac0e418ac
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 13 13:20:52 2007 +0000

    reset editingmode when mediainfo-dialog is closed, still leaves bug when dialog is reshown that it doesn't update content

commit b4465b3c1004dc3817f68b5b686c77346414ae33
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 13 11:53:34 2007 +0000

    remove (seems to be) unneeded b_need_update variable

commit 57300f50ea67d7e55c2d379140f849f3f296ab1e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Dec 13 08:13:56 2007 +0000

    Change backgroundwidget and mediainfo-dialog to use THEMIM
    inputChanged-signal instead of polling.
    
    I think that iteration-count for this one is still under 10 ;)

commit c4ffec64bf5c0c5675f11163195ef642e90c40a1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Dec 13 00:14:33 2007 +0000

    Typo

commit 08a6b862f3d724951c3bba03b914df9baf681aa3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 12 23:11:16 2007 +0000

    Slovenian translation update by Matej Urbančič

commit c1d8196e177c6b7d44d0ba84d09d121e5d4072b3
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 12 22:59:41 2007 +0000

    Some files have been splitted

commit 7eba9008c5a57a90048772adb5e37be4327d309a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 20:22:32 2007 +0000

    Handle I/O errors while writing the cache file

commit b25337f62a87919e1c9173d85338903d8745ac9d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:55:03 2007 +0000

    Use DIR_SEP

commit c6b6537f4d82d799bb4ee6d4c8c1dc6b87c0542c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:47:39 2007 +0000

    Clear signal mask _between_ fork() and exec*().
    Before fork() would break VLC's own sigmask.
    After exec*() would rely on the children program to do it (and many don't).

commit 6c62642f455bfabd4a8c63fa6af0ee0d913ad703
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:36:05 2007 +0000

    Typo

commit a3576a2716c6ea17349b9dbeea4757d2198b40e6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:29:02 2007 +0000

     - Remove config_FindModule as module_Find nowadays does the same thing
     - Use module_Exists as appropriate
     - Rename module_FindName as module_Find

commit 9cda1945bc9239beea6bb644498058564520302a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:13:46 2007 +0000

    Fix double free

commit 61817460a63d12c6769c7cc25b04a5c092a64e97
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 19:07:25 2007 +0000

    Hide module_t

commit 1b874401a3f9af5d1877abfa5f4b723bf81aaedb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 18:45:11 2007 +0000

    module_GetConfig, module_PutConfig: copy configuration data for a module

commit 2a6cb11eaa8e71a3704f0c2a86ad5ac0becfecf1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:46:15 2007 +0000

    Run the symbol check

commit ca5d4788830b78ba6ba8d116d496ac5ce7af2ea8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:45:54 2007 +0000

    Not meant to be committed just yet

commit 5b7e0b5a50fc88c83ade5095de15448698ad17c1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:45:25 2007 +0000

    More symbols fixes

commit 37af31a84895992d0c3dacea5e2c9ec9bc696cdb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:43:36 2007 +0000

    Use module_Put

commit 07f9a1867dd81bf908a23c785b803849579d25ec
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:32:41 2007 +0000

    - Unlist synchro stuff that is now internal
    - Add block_fifowake

commit 49f1ab3203cb70868fd28a498bfa1ce3376c6335
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:31:57 2007 +0000

    symbol list consistency checker

commit b2206bcee0bc5cc365b9d8d7b14f448a11d0dedd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:24:20 2007 +0000

    Sort plugin API list properly

commit b29e49e609458f567ae8e434d7a498e02fac01e0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 17:05:55 2007 +0000

    module_Put: releases a reference to a module

commit f44ed771d0d280f76d8a8bb9f0001e9ae831bdaf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 16:58:19 2007 +0000

    Cosmetic

commit e1c870801444cfd8ddfd958eb6a5f34910ecb356
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 16:46:40 2007 +0000

    Remove some cruft

commit e03e85ca01adc1639db0f9bf90aadf8d20c2cbeb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 16:43:52 2007 +0000

    Split the over-large module.c

commit f0ec1547757b30942f4083d658c4a80ffc44af46
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 12 15:35:57 2007 +0000

    FYI, snprintf always nul-terminates

commit 79ca7b082f1b2f5c19a7d7a602beaebba95b0eab
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 12 14:35:01 2007 +0000

    Don't free() a char variable when it is on the stack (in src/modules/modules.c SaveCache()) and be more sane about contents of psz_filename.

commit 910f9f52dece48521fbd7341a37c3efc54a7bac2
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 12 08:32:08 2007 +0000

    add myself to list who to blaim for qt4 bugs

commit 45bc2960c49e442fd4e309c6852334804cb3dc3b
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Wed Dec 12 08:13:47 2007 +0000

    remove that kludge to use playlistwidget for getting art for
    backgroundwidget, use callback instead and check need of update every
    750ms.

commit 1b8c87044f5a25aeff3a67bc193f822232faf380
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 12 05:10:38 2007 +0000

    control/media_list_view.c: Don't lock the mlist in libvlc_media_list_view_set_ml_notification_callback.

commit 8ed3857341acc9f25c16c61d201c13289a6c12c7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 12 04:42:15 2007 +0000

    misc/threads.c: Implement vlc_threads_error(), that is called when an error is encountered in the threading system. The whole point of this is to ease debugging of such situation, by exposing a nice symbol on which we can break. (This costs nearly nothing).

commit d53cfd89b81ee456fd83f27681caff0152e5877e
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 12 04:16:33 2007 +0000

    Source/VLCMedia.m: No need to ask for more than one meta at the begining.

commit 9d66a8b87b8bb58fe7ae427338622d3b339779e9
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 12 04:12:33 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Use the cachedMedia array when giving back the aspect items. That really boost performances by the way.

commit 1c45e0b20c9b59609075af7a00937e49969d1697
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Dec 12 03:53:53 2007 +0000

    MacOSX/Framework/VLCMedia.m: Speed a bit stringToMetaType.

commit 8b583911d65e77f365dd882816616c968864fa88
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 23:24:57 2007 +0000

    Qt4 - Slightly smaller sound slider and fix the padding between mouse and shape.

commit 311784448517f9e9569244ed52a7c3e1ddd5368f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 11 22:31:34 2007 +0000

    Simplify/factorize some of the vout_intf variables creation code.

commit 3226b23cb1cab3d149e9ead016bca7ed8400c909
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 11 21:51:17 2007 +0000

    Remove double return in the Aspect Ratio change callback.

commit 7db3162632f241891a8a17af2f3191e3fa49cbf8
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 11 21:28:56 2007 +0000

    mozilla: add video/divx mimetype

commit 328b47a8955037be12efcac4d063af6c67875df8
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 11 21:12:25 2007 +0000

    Added DEMUX_CAN_CONTROL_RATE and DEMUX_SET_RATE implementation based
    on Glen Gray patch.
    (The code is commented until it is confirmed to compil/work.)

commit 2e313885abf8c8487421a2215b0c61c170f23317
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 11 20:49:56 2007 +0000

    Update to use DEMUX_CAN_CONTROL_RATE/DEMUX_SET_RATE when available.
    Based on a patch by Glen Gray.

commit c352d28ffd5381ee96ce7f3f77809ebd430311be
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 11 20:06:49 2007 +0000

    Do not use p_input->p->i_rate directly (no functionnality change yet)

commit 89be7cad7cbd4fe5f3af6f28fd499525fdfb8460
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 11 19:16:37 2007 +0000

    Introduce DEMUX_CAN_CONTROL_RATE and DEMUX_SET_RATE (for future rtsp trickplay)
    DEMUX_CAN_PAUSE and DEMUX_CAN_CONTROL_PACE can now fail.

commit 3836616e546db5ccc27bf3112dc2812b56599104
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 16:31:20 2007 +0000

    MacOSX/Framework/VLCMedia.m: Don't forget to init the metaDictionary, when initing from a media_descriptor object.

commit cf7583364f221be6e5f1be21987d13d834bd5157
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 15:43:53 2007 +0000

    Yet another typo discovered by Philipp Weissenbacher

commit f0889f4d0fd284cd244c69c7d624e3caf4d18c3d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 15:38:46 2007 +0000

    MacOSX/Framework/VLCMediaDiscoverer.m: Use UTF8String instead of cString.

commit a3633b835a49c16043b95fe0e66e5dcc3c05bed1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 15:38:00 2007 +0000

    MacOSX/Framework/VLCMedia.m: Separate the different part by some nice comments. Remove uneeded and complicated code in meta information retrieval. Use stringWithUT8String instead of stringWithCString.

commit 7bca27a5a635e22500420fe487805899212d1eb7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 11 13:47:32 2007 +0000

    Simplify the version test dans remove useless things

commit 0761ae5e6b4b2dc8e76a398318d83b66f6477fd4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 13:09:13 2007 +0000

    MacOSX/Framework/VLCMedia.m: Remove not used code.

commit 4884ccb0b8057f520eff16f670de7e3b663e16bc
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 13:06:19 2007 +0000

    MacOSX/Framework/VLCMedia.m: Use mediaWithURL:(NSURL*) instead of mediaWithURL:(NSString*). Add a mediaWithPath:(NSString*) constructor.

commit fcb3edd603d9e26e8281a8d7b15ba25ba01d72b5
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Dec 11 11:49:43 2007 +0000

    MacOSX/Framework/VLC.xcodeproj: Various updates, such as removal of the SDK, gc support, and QuartzCore linking, and use NATIVE_ARCH as the only target.

commit edcb74e6b1f0a181dc3766e4de4d1acfb15fa3f2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 11 11:25:21 2007 +0000

    compile before you commit

commit 73927d7fad6089f85a9696373f09b1841564f0f0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 11 10:55:55 2007 +0000

    osx: disable the compilation of our update panel's code until its core functionality is re-written

commit 240dc04a1d7e24b9d3c8260c7f6265cb0c95bfe0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 08:03:44 2007 +0000

    Qt4 - Rewrite of the VLM Dialog. It features a list on the left of the VLM object, and a right pane to see them in details. Creation and modification is doable. This is not yet a VCR, but it could be :D
    The code is way not finished and uncleaned, but feel free to improve.
    Only Brodcast elements have a start of code.

commit accc4e29fe98666273602d217bdcd0316cfb2ec5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 03:42:17 2007 +0000

    Real Demuxer: Code factorisation after previous commit.

commit 8d153467fcb776744c6c4c91b5c6a5b5f68dcd9d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 11 03:36:01 2007 +0000

    Real demuxer, set correctly the PCR, patch by Yuehua Zhao, modified by /me.
    It should fix some issues with Samples with Video + Cook.
    If you think this is wrong, please revert.

commit 36cb61acf8426c9886461bee4dfaf4b53637692f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 11 00:52:05 2007 +0000

    Add the modification to the wxwidget interface and make the buildbot happy

commit 09b9702d80aeb29444eeea7166165f114dee5f41
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 10 23:12:45 2007 +0000

    Modify the update system : I will add more functionnality but this is the beginning

commit 1f94c93095e8b08d126ea6903d5ef9b08d891b23
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 10 22:35:55 2007 +0000

    * fixed a corner case on PowerPC-based Macs since MACOSX_DEPLOYMENT_TARGET is set to 10.1 on these devices, although we need at least 10.3 and prefer 10.4

commit fb17dd6a4c48502de64d44f0af0262546184f34f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 10 21:50:54 2007 +0000

    * disable the usage of the OSX SDKs by default due to a known incompatibility between the libraries used on 10.4.8 (or higher) and the existing 10.4u SDK. This solves the current compilation issues with the AUHAL and Screen.Mac modules and closes #1399

commit 5b41c88864e2e6cb57cc9d37ca8ba35263827063
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 10 18:45:18 2007 +0000

    Qt4 - minwidth of dropdown inside settings dialogs, patch by André Weber

commit c8a09ea6dd46b12cebf05644d57c102a8fb66249
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 10 17:12:35 2007 +0000

    * disable Screen Capturing on OSX until it is fixed because it blocks all builds on most 10.4 setups (refs #1399)

commit b1786e77ef727a3a4b7e10cdb26778f159c16c0a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 10 14:20:32 2007 +0000

    OPTIONS timeout of 5 seconds is way to short for some systems, so make it 30 instead.

commit f32bdde1ba38fb390b8288d67e81514bb25f71dc
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 10 14:17:34 2007 +0000

    telepathy: shows an empty status when VLC has been stopped

commit 848c1c1f12aaab8c20755462b7f37c226c04473a
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 10 13:23:37 2007 +0000

    vlc-config: don't store optimisation cflags in cppflags (preprocessor flags), revive --cppflags
    qt4: use preprocessor flags with moc, so it finds the headers in the right place

commit b3c57df09056355270142e6f9683290b95dc2ea0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 10 10:54:06 2007 +0000

    Lower severity of message

commit 54ba7c42178542499920441cdcd6464edcf3203e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 10 10:03:13 2007 +0000

    Fix hang in live555 when sending RTSP OPTIONS by letting readSocket() timeout after 5 seconds. Added reconnect case to modules/demux/live555.cpp (without backing off scenario).

commit ab7704a5f1a886fd8d016218ba2e60d1a60851a6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 10 03:01:14 2007 +0000

    Qt4 - VLM dialog rework.

commit 34b5e985d53c8341b8a55fd2df7fb6267d19a931
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 10 00:38:21 2007 +0000

    typo

commit f25e0c78ab9c2ac87705454dfe7090715519714f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 10 00:35:23 2007 +0000

    * cleaning, reformatting, clarifying here and there...

commit 63d9df0e7a440c1e37e7ecf1371cf1e829a3a94a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 9 23:41:09 2007 +0000

    * fix [23509]

commit 5ace50e9164f4f55b15fc0291e6af5b6f7b34b3b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 21:49:48 2007 +0000

    Remove unneeded psz_program hack.
    (Modules that would still depend on module_config_t are not going to like this, but it's not like you weren't warned a long time ahead)

commit a58afe8e62c672b06e047f2475e69977908dbb7d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 21:36:32 2007 +0000

    Build VLC aliases cleanly (don't need to parse argv[0])

commit b0152eca135b22c048753d7a29a285df71b7c051
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 20:16:20 2007 +0000

    Simply X11 Qt4 error detection

commit 64b1b518cffec8834e719262099285038dfb13e0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 20:02:03 2007 +0000

    Prevent gettext bug on glibc 2.5 too

commit b47cf198a11ab929cdc6617b32af2c8c92843a93
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 19:55:16 2007 +0000

    Do not privatize module_config_t - yet

commit b2f6c56e64b012426453f20f476866f03425ba36
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Dec 9 19:42:02 2007 +0000

    fix #1382

commit 2d9c9ee62b6f63155566a25c4e65b0d0dd14cf6d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 19:33:51 2007 +0000

    Split the big config file

commit 747107128231ee9a184aa6f9f17505ab78d8a99d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 19:00:25 2007 +0000

    Fix superfluous double init

commit c9fd591628f9aac8233b9b0f2d4582e6cab2e828
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 18:59:35 2007 +0000

    Not yet missing #include

commit eab083b7316f5ac3dc6510ca2a5fba7099027ef5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 18:56:09 2007 +0000

    Fix compiler warning

commit 82fe643b707e2b6b329ddafc4076aa97b1c5ab26
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 9 18:32:02 2007 +0000

    Really fix charset for http-lua pages (--[[ ]] are block comments in lua so anything inside those isn't taken into account)

commit 5026666c66c45ae09aaf5179fe2b3856cfb9a6b4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 18:16:15 2007 +0000

    Fix charset

commit 6b822f38be4f5958b1e271324bc73f4a7a98b0bc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 9 17:39:28 2007 +0000

    Use (s)size_t for pf_read and pf_write.
    This is very likely to break .*64 platforms.

commit 2d40161cfc100fe926527c94b4df71d83d56e094
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 9 15:23:06 2007 +0000

    Add option to reset controls to their default value at runtime. Add "controls-update" variable which is triggered if any of the controls value is changed. Add some comments and change some function names.

commit fbe32b9932cde4de355591dcf16eafa3cb761097
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sun Dec 9 14:33:18 2007 +0000

    Update snapshot method.

commit 181b5884a30236d2f879de65944b6d295fa33104
Author: Philippe Morin <phmo95@videolan.org>
Date:   Sun Dec 9 14:30:57 2007 +0000

    Update snapshot method.

commit 18eea45e36e25d0d84805136da672e48cfad3108
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Dec 9 00:57:55 2007 +0000

    * modules/demux/playlist/m3u.c: typo you -> your

commit ae51465769ea8a57248a736e91fcd9b7f4614fe6
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 23:00:51 2007 +0000

    Automatically refresh the v4l2 extended panel on focus.

commit 0203209419530388bf1b8123525cdb5a3b134a68
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 22:19:30 2007 +0000

    Fixes to the v4l2 extended panel (works fine for multiple refreshes).

commit 9538c177fc57696b8f39bc93b30ce33d152492e5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 8 20:17:24 2007 +0000

    Qt4 - Remove useless things from uic output.

commit 347dd6ad8fad01b437a9739f53ac42a74ddeae0f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 19:38:49 2007 +0000

    Add v4l2 section in extended pannel. The code isn't v4l2 specific at all so it could be adapted for other modules (as long as those define the "controls" variables with a list of controls that can be changed at runtime).

commit 9af30a9b1ee84d8d17a141f9e3f1bf26d6d953b1
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 17:28:57 2007 +0000

    Ooops, this wasn't supposed to be here anymore.

commit cab1dfb5026d241acd2cf887f1f0134588499a89
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 17:26:20 2007 +0000

    Rework the v4l2 control handling. Variables corresponding to controls don't have any v4l2 suffix anymore. Variables for custom controls are also created. See "vars v4l2" in the rc interface. The "controls" variables is a list of all controls available. Next step is to use all these changes in the Qt interface to create a v4l2 control pannel.

commit 02752dc7806ae5385f868faada5718e89aa76add
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 8 16:53:56 2007 +0000

    Add VLC_VAR_GET{MIN,MAX,STEP} commands. Make it possible to use VLC_VAR_INHERITVALUE with a 2nd argument which will be used as the variable name to inherit (for example you want to inherit a variable named "v4l2-hue" into a variable named "hue": vlc_value_t val; val.psz_string = strdup( "v4l2-hue" ); var_Change( p_demux, "hue", VLC_VAR_INHERITVALUE, NULL, &val ); free( val.psz_string ); )

commit 16e5f0776759382453554db622a4df933de72d3c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 8 04:23:13 2007 +0000

    Qt4 - small cosmetic change.

commit 214fca415a97973e7dd04aebc5dad2c9a991ddad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 8 04:21:02 2007 +0000

    Qt4 - MediaInfoPanel, fix a segfault and don't clear() everytime you update and there is no input. :D

commit 099d9779be982f4204911c16f7ef14fcad8d3165
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 8 04:19:45 2007 +0000

    Qt4 - FIXME and comments fix. If you want to help, just grep -r FIXME *

commit dd735eba35728f5af21028b2c16c33df44986b8b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 8 01:23:36 2007 +0000

    * modules/access/mms/mmsh.c: fixed changeset 23489. Please compile before you submit.

commit 3663d0232df225b56174fdaaae611655a44527d0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 8 00:58:18 2007 +0000

    *  src/audio_output/dec.c: revert changeset 22216 which doesn't make any sense whatsoever.

commit f9b3b84674f96a92355bf3b176cebd63649246d2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 8 00:08:34 2007 +0000

    Little cleanup.

commit 9ce497101dd29cd3f3925ab8d187a49a32cdec1f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 8 00:08:00 2007 +0000

    Remove dead code (and commented out fprintf's).

commit 54b9a46e561362cd0c7527e78a142b2ed4585db3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 8 00:06:01 2007 +0000

    Check malloc return value and cleanup.

commit 29ec30426b628114c1be5c99c1ee95330614f9aa
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 8 00:04:26 2007 +0000

    Guard headerfiles in modules/access/mms/*.h against multiple inclusions.

commit 5de91b637b7e81e08c54949513a9df8341516120
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 8 00:02:46 2007 +0000

    Remove excess whiteline

commit 0a925f52a0b16d9763948d0b35e321c1e7e86492
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 7 21:33:16 2007 +0000

    Change the v4l2-chroma long help string.

commit 23a8765c1a4ead053d509b385dbf0673751eb89f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 7 21:27:03 2007 +0000

    Add MJPEG support to the v4l2 access (and simplify the buffer size handling code). I now need people with v4l2 compatible devices with JPEG, DV and MPEG support to try to enable those features.

commit fcde47951ad8224954a73d423d59da046d69497e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 7 02:59:19 2007 +0000

    Qt4 - remove PlaylistWidget from interface_widget and move it to its own file in the playlist/

commit 0a342122be23ccbb7d856c18f19323eb94a71e75
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 19:08:04 2007 +0000

    Cleanup.

commit fde8b7fc53e178f59adc59e88df6eb623fa9797d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 17:56:28 2007 +0000

    No need to sleep 25 ms, a bit longer will do fine too.

commit 75a0a1de8718cd38cfea5b5117df8dca02be8eea
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 16:26:46 2007 +0000

    CodingStyle fixes, use ; when using macros and do not write it in the macro definition.

commit 5ffe7e0054f5483e898ca3945762dfe1f8959581
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 15:33:45 2007 +0000

    Don't call input_ChangeState() constantly while being in error state, because it triggers callbacks at each call. This can result in a busy rc interface.

commit 2a40307cee22c2eaac173647a21c617da5560d75
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 14:35:40 2007 +0000

    Add Remi Duraffort to THANKS file.

commit 36eb55290006fc0a1616fd42151b481443719867
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 14:18:02 2007 +0000

    Patch by Remi Duraffort <ivoire at via.ecp.fr>: Replace fprintf with msg_Err().

commit bf798aedd42b52a7e0c3072f5843fe9d6b6e3b9e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Dec 6 11:40:22 2007 +0000

    Only test the terminal if --fb-tty is used.

commit 352de5a3a2efc74dce4d00b40bcc3d8979a38778
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 08:15:37 2007 +0000

    Qt4 - Coding style fixes by Rémi Duraffort.

commit 0c86a4b85805767a5e80326927a5ef391fc88706
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 08:04:21 2007 +0000

    Qt4 - MediaInformation, simplification of the states machine, removal of over-complicated methods. Cleaning and other small fixes.
    Please report regressions on that part.

commit e9ba6037cfcf8277f1ce31b36d717ec5d8dc2cd8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 08:02:43 2007 +0000

    Qt4 - Change the default extended panel size.

commit 94730502df485d5278009f99b52f563c614ec0ad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 08:01:41 2007 +0000

    Qt4 - Use enum instead of defines.

commit 08af2ba7d8464c7e53575379f5e2f31ccd492c16
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 6 08:01:09 2007 +0000

    Qt4 Menu macro removal.

commit 5268bc2d753a2aa893419dcc5900cd1d25703c08
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Dec 6 01:20:26 2007 +0000

    fix #1382

commit c45b364eac315b9af2a8007a1f883d40af87811a
Author: Richard Hosking <hovis@videolan.org>
Date:   Wed Dec 5 22:51:29 2007 +0000

    v4l2: Workaround misbehaving devices (2 DVB cards in my case)

commit a192939a1b865184341e00f0869ea628518f6dea
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 19:47:10 2007 +0000

    * fix ffmpeg compilation by reverting their revision 11100

commit d4a1f7ae5bd3270ae6b0f40933cea29239194cb7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 19:24:54 2007 +0000

    * first update of our ffmpeg for MacTel patch. Doesn't fully compile yet..

commit 21f70616bbc133ae85f4e870ef377393b40b0cb2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 18:24:21 2007 +0000

    *coughcough*

commit 62483be042ee6062d5c9f5fa33cfed8a11e94e3b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 5 17:31:32 2007 +0000

    File names have been modified

commit 5f1364a0c4252fad7332b784a1cab66ea1f1d986
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 17:26:52 2007 +0000

    * limit x264 to rev 701 for now and apply our patch taken from branch (r23341 and r23322). additionally, checkout stuff from svn instead of exporting. This makes it easier to track useful revisions for releases

commit ecaa9249c51f4dc5a59d6dff8742f52eb32c055b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 17:18:56 2007 +0000

    * a part of our patch was submitted upstream

commit 3deab0a1d0214a403c26548170837846fcde9085
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 17:08:45 2007 +0000

    Qt4 - When adding a file to the playlist by clicking on "Read" in the OpenFile dialog, the first time it's ok but the next click you add 2 times and then more times the same file.
    Patch from Rémi Duraffort.

commit 0b5c3c57ba372aaea61d3093a8df569f68f1f8de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 17:07:05 2007 +0000

    Qt4 - Typos/Code conventions/spaces/Cleaning.
    Patch by Rémi Duraffort.

commit c3bcb32350da1dcfd4ac27fe0419994dca46aad2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 17:05:23 2007 +0000

    Qt4 - Space removal
    Commit from MIT.

commit 4e1773bf445e733a34f277df2b4d3b6ecbb69d96
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 16:27:12 2007 +0000

    * typo in previous commit

commit 5ea28c6c18a903514f48ae3362da7cc571df4ccf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Dec 5 16:25:41 2007 +0000

    * display the GPL in a separate window linked in the About window and the Help menu. Code cleanup (faster and less memory consuming).

commit 5f5fe27931bd23fc0aede19750d77aac6c8b6762
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Dec 5 13:54:29 2007 +0000

    typo

commit aaf99d5680158b1baad0c52843e4d511792e9cbd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 5 04:19:26 2007 +0000

    Qt4 - Macros removal from menus.hpp... Still some to do. But the biggest are done. Should reduce code size.
    Commit from Boston

commit c7178a18f9852c796f3cc5f8eaa6f5c5feb7f9d6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 4 22:24:18 2007 +0000

    * store the embedded vout's screen position on quit. Thanks to tomeo on IRC for the hint

commit db561d5f6c936722c0d62c65978243c216e1d2bf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 4 21:37:50 2007 +0000

    Fixes #1388

commit f845901a476c9f2af35a3aab9f82602353e60411
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 4 20:43:31 2007 +0000

    fix activex compilation

commit 13ed2b54ae7181b50a474a6f80abe0f9a88570eb
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 4 20:01:07 2007 +0000

    libvlc_video_take_snapshot(): specify snapshot's height and width

commit 01e7e3eb3a30663d9b3c647a4c018a5b778765e1
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 4 18:36:13 2007 +0000

    typo

commit 011cdc8593c078ab48d3828f019086db9c3a96a7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Dec 4 18:26:30 2007 +0000

    Remove obsolete comment.

commit c95c8ab44879f3fc116222802ba61e26d57b260d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Dec 4 15:49:28 2007 +0000

    vout_Snapshot(): hability to specify width & height when the snapshot isn't taken by an object.
    Value of 0 for width OR height means that we want to keep the original aspect ratio.

commit b879f3e1e8495bdf618a139079739b5545aa444e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 4 04:10:32 2007 +0000

    Qt4 - renaming functions cosmetic and KDE/GNome/Windows button fight.

commit ef8059236f356ceb5fe444d3f0d73557c7fa6ea1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 22:39:55 2007 +0000

    Revert [23438] because --enable-fast-install does the same.

commit c4f7a3578456695813b9e5da050b31f7e0122fe4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Dec 3 21:34:03 2007 +0000

    control/core.c: Use C99's __func__ unstead of gcc's __FUNCTION__ as dionoea requested in libvlc_exception_not_handled(). Make that function static.

commit 02daeef0a16d5e31e3882c7aee71c2f7d3bad4d3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 16:17:13 2007 +0000

    Add image and image2pipe muxers to netbox FFMPEGCONF settings.

commit 9ab519625e6d5df9f4183c9a4a059cac770d789c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 3 14:34:10 2007 +0000

    Qt4 - File renaming for consistency.

commit 84eac14c642a217aa677e83b2f12ffee6d100367
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 3 14:21:35 2007 +0000

    Qt4 - MainInterface cleaning, FIXME labelling, Simplification, put the delay of status Toolip to 3s, re-ask the privacy dialog if closed the previous time without a correct validation before.
    Commit from NYC/NY/Columbia University ;)

commit d274cdcb68d70ea22c0ba45bac34ec11eb80b435
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Dec 3 14:19:13 2007 +0000

    Copy [23439] for dummy video output

commit d4a28fc464d35f878ef26bb06a84dcd9b92f98c1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 14:12:09 2007 +0000

    Add encoders for bmp, jpeg and png to netbox.

commit 25399ee4426dd72a97164805cdfbdc4d30a2f384
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 14:04:41 2007 +0000

    Fix snapshot functionality in video_output/fb.c

commit 17e8348c0a896f8b1370a458a6c5ccf3315dd942
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 10:05:39 2007 +0000

    Install .libs/vlc instead of libtool script vlc.

commit cb0d1eceb49fa023d70ee8bf22ffcca51096b7d8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 10:05:37 2007 +0000

    Move distribution specific settings to Distributions/netbox3.mak.

commit 99c94acb8b88a591258c17a10c8acb5e180ddea7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 3 09:48:07 2007 +0000

    Redine menu hotkeys because they collided with other keys.

commit ec8b3b2eddafc4cb79a2e4408860655c46bb57a4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 2 21:57:39 2007 +0000

    control/media_list_view.c: Properly forward item added event to subclasses, and  properly unregister events.

commit 3c69a1073a05be27d1018ed5b1ec57c065ebdc8c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 2 18:52:50 2007 +0000

    control/core.c: Print an error on not handled libvlc exception. We'd better encourage third parties to take care of error sooner than later.

commit 3fb0af1b2a0bd264a8989f8c7e0a58d74690f7b4
Author: Richard Hosking <hovis@videolan.org>
Date:   Sun Dec 2 18:49:18 2007 +0000

    v4l2: Progress with Alsa.  Sounds much better :-)

commit ef99a5855251a195f39f45baa8d12678999fa602
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 2 18:35:39 2007 +0000

    MacOSX/Framework/VLCEventManager.m: Remove unuseful ;.

commit 9bd2469ec3ebc6dfffa84acfc48c1899e00b0e3c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Dec 2 18:20:54 2007 +0000

    control/event.c: Print the event string description on error, instead of its numerical type.

commit c1d8551f411f5b1204240fd77e11f7a7e4ce59ab
Author: Richard Hosking <hovis@videolan.org>
Date:   Sun Dec 2 16:17:06 2007 +0000

    v4l2: Fixed Gamma.

commit 835785d99d1d39eda44ba14470f1f3c1df674332
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 2 14:41:23 2007 +0000

    Fix menu control value display code.
    Display current control value in VideoControlList.
    Add option to reset all video controls to their default value on startup.

commit 800b1c1d937bb404e0ceb7fca583d9bdc12aed4d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 2 14:14:50 2007 +0000

    Add "videocontrol" command variable to issue controls other than those which we explicitly support. For example, "@v4l2 videocontrol 8000002 30" changes the sharpness to something horrible on my webcam.

commit 06bf999c829eac0ad1ba6b887ae1c7c105425bc1
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 2 14:04:32 2007 +0000

    Add v4l2-gamma control. Also print control details for private controls.

commit dc6c106f0c5eb310a4b98205f7b385d111cd574a
Author: Richard Hosking <hovis@videolan.org>
Date:   Sun Dec 2 12:53:35 2007 +0000

    v4l2: Fixed dynamic video metric updates.  Better handling of defaults.

commit 91f7205bee68ac7d05b37d699f199918344d29df
Author: Richard Hosking <hovis@videolan.org>
Date:   Sun Dec 2 00:13:45 2007 +0000

    v4l2: Fixed VideoControlList.

commit ee170e1245a31fcff11eda421428fb8af45ced9b
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 1 23:41:47 2007 +0000

    vlc_b64_decode_binary_to_buffer(): i_dst is the size of the destination buffer, not the source buffer

commit 6d96102abf3f7ee6b569ea339017fc279dd107c0
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 1 23:41:40 2007 +0000

    Don't fail launching the video device if a video control failed. Update the hue/saturation/brightness/contrast values in the callback before issue the video control. (I haven't been able to test yet due to lack of hardware)

commit 599cf09858843cd2cd97a022b942205c14184f0d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 1 17:00:20 2007 +0000

    Factorise the Video Control code. List all available controls in debug messages. Add a callback to update those we already support on the flag (doesn't work properly yet, it might need a restart or something and people on #v4l aren't really helpfull).

commit cd54166520ff5bb7b56980fb9d5b17b3778e88a3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 1 15:38:05 2007 +0000

    Don't compile any of the alsa audio input code if HAVE_ALSA isn't defined. This mainly removes the --v4l2-alsa option if alsa devlopement headers aren't available.

commit 78d1dbe57455c541d456692de3ede22022e51071
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Dec 1 09:19:00 2007 +0000

    oops

commit 2561d90b81bbd394316925b40d694252a518133b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 1 04:43:37 2007 +0000

    triangle for the volume... A bit less ugly.

commit aaac24cc80159471e0275103e6d1caa75e33126f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 30 17:47:58 2007 +0000

    Try to avoid leak

commit 4370e1cd4ea75304b3164b94fa535c54c215438e
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Fri Nov 30 17:35:54 2007 +0000

    * NEWS: sync with 0.8.6d

commit 73afb6b2f07bf61abb4429eaf081f88d42f3bf73
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 30 15:23:31 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Don't lock in initMediaListInternal, we risk double lock.

commit 1cd30bd1fba12f4735dfea609f74a55042e3a9f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 30 08:33:39 2007 +0000

    Yet another one from Philipp Weissenbacher.

commit 1fdc3f8578c5861e976e2200c8e6a8a752893350
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 30 08:14:10 2007 +0000

    Typo spotted by Philipp Weisenbacher.

commit 5c1adfffbfc618a54f34e168a451587826c4671a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 29 22:36:59 2007 +0000

    Typo

commit 68324dd8752c0ecd1970b91a3a74404dd11bea5e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 29 22:30:34 2007 +0000

    No need to have overlay twice in the preferences

commit 12efc09f668bd490a5bdbdfc951183328e436770
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 29 22:22:40 2007 +0000

    Improve stability of the preferences dialog. Patch by Andre Weber

commit bad2a6b1f230b3dafb5c47f28b117bbe69192e93
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 29 18:39:24 2007 +0000

    Typo

commit 9d7bb43b1c5e52cda809dddbc5ea4aff1f49805f
Author: Richard Hosking <hovis@videolan.org>
Date:   Thu Nov 29 16:07:22 2007 +0000

    v4l2: Experimental ALSA input support.  Currently non functional.  Still defaults to OSS.

commit acb49d8a88f24a32e84fd0289f513e4cb525af11
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 29 15:16:37 2007 +0000

    Fix devision by zero in spu_RenderSubpictures.

commit 9a3e5785443537b3430b9b23e2bd4e22ca4b0163
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 29 15:16:35 2007 +0000

    Remove stray character after testing for enable-libgcrypt and enable_gnutls.

commit cfd1271fc480cf0d4c50803ad463eeec20f119dc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 29 15:16:32 2007 +0000

    Be more carefull on when rtpInfo timestamps should be set.

commit 96bb57677fd8c4e7aa76d948d969758bf916d1ca
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 29 02:20:36 2007 +0000

    qt4 update: don't crash if there was a problem with update_New()

commit 119e9c7f7afc1ac28525c1349ce818fd22f70d55
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 28 23:33:24 2007 +0000

    src/libvlc-common.c: Only print a piece of Info about cvlc if we are using 'vlc'.

commit e263d0647f7f8ef1fdb531aa7e7bd4a34bf183af
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 28 23:22:01 2007 +0000

    MacOSX/Framework: Minimizes Package Size. only copy the libraries that the vlc modules need. (Patch by Enrique Osuna).

commit 553620b6f0dd393c54abe9331b3b238d61c4c63e
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 28 20:28:55 2007 +0000

    Avoid C++ comments be compatible with C ANSI

commit 3f54866f535edd4b757b77342acb3f69fc6d1b75
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 19:02:43 2007 +0000

    Remove silly m4 file. I'd rather use UPTODATE version on my system than some crap from VLC tree

commit 17f227bf9c179149a7f1869f3114b097a0698ed3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 19:00:12 2007 +0000

    Default DVD to NULL for autodetection (hmm...)

commit 8f32f1ea831a0b6558d40839e21c0b8f55d20dab
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 28 18:58:06 2007 +0000

    Adds some missing files to dist target (blaming j-b & dionoea)
    Adds libgcrypt.m4 for systems running autotools without libgcrypt-dev installed
    Prefers tabs over spaces in Makefiles

commit 4816afd20fe250d35386110dbe48fc93f5c72814
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 18:52:19 2007 +0000

    Typo

commit a256154f987e0d19f1a6a6bfb469508942180aac
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 18:38:36 2007 +0000

    Set default DVD defice

commit 2cb8ab43f3f9460c9fabd95c66d4cec1b6d0fbc6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 18:05:08 2007 +0000

    Compile fix

commit b550a967436cc999f07e7a498815e2c8288c85e4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 18:01:32 2007 +0000

    Ordering

commit b8acb755a7459323e2cd9a0b0e5c49a7eac55b0c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 17:50:22 2007 +0000

    Fix screensaver deadlock if terminating as soon the interface is created - closes #1363

commit cddeb8e7966dde79e9b944401e79fbd14a3b796e
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 28 17:29:27 2007 +0000

    revert [23385]. make sure the object is locked when we enter the thread

commit 9cacf4afaa63e933fd6e3658e6b0cc6581c3f644
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 28 17:23:39 2007 +0000

    Lets assume glibc 2.8 will work properly when it's out (though I doubt it)

commit ea27196a65dad0b618b0f9dde683e404d835893b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 28 15:20:56 2007 +0000

    * automagically assume --with-macosx-sdk

commit 858281e18e5f8b7c92eccea9c2307046b3285be9
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 27 22:55:37 2007 +0000

    Defines nvlc aliases in all cases

commit a7f3606892170a71c5948b55cbb1a2748f4cf282
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 27 21:33:52 2007 +0000

    Fix segfault when canceling the open dialog. Patch by Rémi Duraffort.

commit fb033327d51610e3069033089d78a3343232255a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 27 20:11:16 2007 +0000

    Horrific kludge to prevent awfully crappy glibc from crashing VLC all the time.

commit c951fd31390fd990711ec4a4479f2d556141f6ed
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 27 19:47:57 2007 +0000

    fix make check

commit 6ab10612b9581b76f43a8a5ae9ad1db1246795d6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 27 19:39:23 2007 +0000

    typo

commit eab5925fe63f964d57b33909ce0ffd749dcca959
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 27 19:39:05 2007 +0000

    Better error handling

commit 529cbee57099f4a1dc305a7a23e8d704ca746be3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 27 18:17:13 2007 +0000

    Don't use MAP_POPULATE

commit 3ef4b19601d62730ad4fa7a670dcfc0b6a588e91
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 27 18:08:25 2007 +0000

    Fix EOF check and remove fprintf

commit 956c05bafd74e9b87724cf00b85a8463b7985c72
Author: Richard Hosking <hovis@videolan.org>
Date:   Tue Nov 27 16:44:13 2007 +0000

    v4l2: Support for setting brightness, contrast, saturation and hue (if supported by device)

commit c26ef132d812d34135a25833df3c3f046fb1bfea
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Tue Nov 27 12:43:54 2007 +0000

    oneliner to fix i_pos updating. works for me.

commit 5980a23b77d137fd833c70fb3127dde2a715d314
Author: Richard Hosking <hovis@videolan.org>
Date:   Tue Nov 27 12:13:18 2007 +0000

    v4l2: Cosmetics.

commit 6b02aaf010e8c5be5088671e1cccaa2afbe19502
Author: Richard Hosking <hovis@videolan.org>
Date:   Tue Nov 27 12:06:05 2007 +0000

    Fixed warnings.

commit 5b7fd3023dda485ea3e36a217b78ff32c531eb3f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 21:02:27 2007 +0000

    Don't bother seeking when using mmap

commit 70a886ebcd2d98e14341722709f5bf75ffbd6223
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 21:01:13 2007 +0000

    Fix file position update

commit 253488ca0194c9cd9c55e5d04691835231243329
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 20:56:49 2007 +0000

    typo

commit 5743a8e2cd6cd754d0d7a47820abdfb05f225d1e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 20:27:15 2007 +0000

    Memory mapped file input

commit eac010441e0d26e8d0f0373a2ad5d4edf668d8b9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 20:26:28 2007 +0000

    Compile fix

commit 9353736bd427c993fd57d1ec3fbc5db3042fe118
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 19:18:23 2007 +0000

    Cleanup custom block allocation

commit 3ade296d070f266dbedbb1b1a14cae71bff713e7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 18:53:28 2007 +0000

    We've had fun breaking the ABI...

commit c9aee938d852ff0389f634354b080f9c66b3a35e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 18:52:41 2007 +0000

    Remove block_t->p_sys, which is not really needed either.

commit 3de4116226190db15770d6337a0fb8b941474b21
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 18:40:44 2007 +0000

    Save one pointer and dereference in the block core

commit 7d5a2026f4041d39b51d7471b3266a13d5e00629
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 18:37:34 2007 +0000

    Remove the unused manager from block_t

commit cb459a04ced48d58ba9931f9da9ddd7a3958f749
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 18:36:45 2007 +0000

    Qt4 - Volume slider, move the slider when only clicked on it as ivoire requested.

commit e755d8fefa5fdeb2fc974cd20c4555ba1d4b45fc
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Mon Nov 26 18:28:56 2007 +0000

    * modules/access_output/shout.c: Remove sleep for reconnect; this does not allow for a graceful exit during the wait. A reconnect interval which increments x2 every failed reconnect still needs to be implemented (and eventually errors out after a max interval if upstream server doesn't come back).

commit 3bd2238f49d7eaafdffd543add5e1385aa890a4b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 26 16:30:25 2007 +0000

    Use (s)size_t in block_t.
    /!\ This breaks the plugin ABI on LP64 platforms

commit 642f48df4bd7b7af4a91d170d70a5a5d67120a0c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 26 14:23:07 2007 +0000

    audioscrobbler: use psz_md5_hash()

commit 4720279d26e9663c8c4197802293c74b3db4f298
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 26 14:18:57 2007 +0000

    forget a parameter in msg_Err

commit 6add489cc23d8c2a57e39ae5dbc1475ba982edc7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 26 14:10:30 2007 +0000

    fix compilation on Linux

commit 89e093a7a1f0b47b17bd6b1236567efb0de142d5
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 26 14:00:39 2007 +0000

    update: performs size and m5 checksum verification (untested)

commit 3ba76bd83228994b472b72c47e892df3e5e06eda
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 08:17:23 2007 +0000

    Qt4 - Cleaning trailing spaces...

commit 92e69fb4875691906996b0ccb436b9abea73ae41
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 08:10:01 2007 +0000

    Qt4 - saving size, position for the playlist and the extended panels.
    Be careful, if you have a config file, you may need to clean it.

commit 1afc6211d96575f134b332b7d0aecc0621df5786
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 08:08:33 2007 +0000

    Qt4 - pixmap update.

commit 1e6611ff9d558aeec43a781b816a5aa114105bec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 07:09:30 2007 +0000

    Qt4 - Avoid segfault on exist if the playlist was never called, during the saving before exit. Bug re-introduced in 23333.

commit f673748bdc97383b10aa5667202e15052807e291
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 06:58:18 2007 +0000

    Qt4 - Make the gradient fit INSIDE the boundaries...

commit 94b8b916a3c6d9cb641d307993130f16c3084405
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 06:45:58 2007 +0000

    Qt4 - Did you really think I couldn't do more ugly ????

commit 5a1d728e4a76f72ff0ad485b89e70300e7fa9aaa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 26 06:21:54 2007 +0000

    Qt4 - MainInterface, correct the resizing when docking the playlist for the first time. Remove some dead code... Not finished yet... Feel free to fix, but not to break :D

commit 76edc14f9b492a3ddbbae7869a9fee384e6c3a33
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 25 16:04:21 2007 +0000

    Avoid segfault

commit 8faacddb383a4ea82d262cb4ee46e9d9ae18b8eb
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 25 15:48:47 2007 +0000

    Hide nodes which don't match the search string and don't have any children matching the search string when performing a playlist search.

commit 37becd478f7fa51e8aebd595d7aebb205dfc1951
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 25 13:32:20 2007 +0000

    Split i422->packed YUV and i422->planar YUV. Add i422->YUVA. This still needs some testing.

commit 1689169ec7248d0e18de86baf790d3ad86a1478d
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 25 12:40:20 2007 +0000

    * modules/access_output/shout.c: automatic reconnect to server at startup.

commit d0cd61dd25dcb01340ae257b861563bfca401fb9
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 25 10:26:42 2007 +0000

    * modules/access_output/shout.c: let this be a lesson for all you kids out there - think before.. ehr.. sync before you shout! (in case the buffer isn't empty after reconnect approach, allows for smoother transition).

commit 6b4c45d2549adf181f3f4607dedcaf6f2b4a66a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 25 09:33:08 2007 +0000

    Qt4 - small cosmetic for the playlist.

commit b83c1d09ceb907e5d64f7c78bcef6bf5a5373089
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 25 09:18:25 2007 +0000

    Qt4 - lame attempt for the resizing of the interface.

commit 70027747aa94e039bce56070f6afa6e52017c40a
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 25 05:34:58 2007 +0000

    * modules/codec/dmo/dmo.c: add some missing fourcc capitalization

commit 5b7951727f09e4a75f20b8b6f3155c9c8da72033
Author: Bernie Purcell <bitmap@videolan.org>
Date:   Sun Nov 25 05:05:09 2007 +0000

    Try to protect more than one instance of FontBuilder from running at a time -
    attempt to fix issues with segfault reported on list

commit beb2d2fa9ed4c0de648c6016416f8712b84b2583
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 25 00:56:41 2007 +0000

    Qt4 - Extended: manage correctly the margin.

commit f185b15e414123e4be2536077df9680985e5facd
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 23:20:47 2007 +0000

    Wave and ripple should now behave correctly for chromas where pixels can take more than 1 byte in a row (like RV32).

commit 6673b8c6e6770bf775ff7d441dc509dca3c0f9cc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 22:24:34 2007 +0000

    v4l2: Since the frame size and frame intervals ioctls are new in Linux 2.6.19, add some ifdef stuff to make sure that this still compiles on older kernels.

commit 376c5593abeaae9d55e056bef239e1ff3d6d7380
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 22:17:27 2007 +0000

    v4l2: Display supported frame interval (inverse frame rate) for chosen chroma and resolution in debug output.

commit afc6e765c5bb4db233d63ebaf679cc6863fd3451
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 21:57:33 2007 +0000

    v4l2: Display supported framesizes in debug.

commit 5f8020dad16c760801c8324119f5217db054427f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sat Nov 24 21:30:50 2007 +0000

    qt4: no more calculateInterfaceSize, but sizeHint() stuff for
    widget-size, 1. try from me

commit e1fcdb24c5db1ae8ab04957e5519802ef7ba6c11
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 20:57:42 2007 +0000

    Qt4 - Extended dialog, group audio things under an Audio Tab. put the audio and video tabs on the left.

commit bd2d8d6a22da2826624d2b6089b62f06b456155c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 19:00:16 2007 +0000

    Oops, forgot this file.

commit 7d7455f975099d001fe218fd925b20a40e3e422e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 18:59:50 2007 +0000

    Changes to the lua module's declaration: add luahttp alias and don't make it accept the luameta alias for all capabilities.

commit 90fbce432ea7d4af4dee348cced870fed584c371
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 18:53:11 2007 +0000

    Some more NEWS (vlm scheduling on linux and EXTVLCOPT)

commit 89f2f2f155265eb0f9fdf6dff3fae40b9e70da7d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 24 18:50:35 2007 +0000

    Re-enable EXTVLCOPT: parsing in m3u playlists. You'll need to append the --m3u-extvlcopt option to you command line if you want it.

commit 91694c9338c5e0a7ad1a246e476ce53aec8875c6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 18:06:14 2007 +0000

    Qt4 - privacy dialog... What about saving those options ?

commit 3eb935ba136f4457d910a463919b28366aeccfe4
Author: Richard Hosking <hovis@videolan.org>
Date:   Sat Nov 24 17:28:48 2007 +0000

    DQ buffers using correct io method for mmap.

commit 918e1762ce7dc6d0f46c77732b513ae6bef7612f
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Nov 24 16:30:26 2007 +0000

    * modules/access_output/shout.c: Remove unneeded var in previous commit

commit 642b8dc5bdbc79c6d444feb0d77e58cb8dd69669
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sat Nov 24 16:27:12 2007 +0000

    * modules/access_output/shout.c: Implement automatic reconnection on server disconnect - closes #1167

commit 73424dcfb59e2698b793bb71b62a736e85511357
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 04:25:33 2007 +0000

    Qt4 - Add a dialog at firststart to ask about the privacy policy.

commit a773582e552fa33a2055a8f2f8dfd7dea4ed5c9a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 04:24:47 2007 +0000

    Cosmetic.

commit fd5612f1467c3e69d815e536aa0fd0872c9a9485
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 04:08:56 2007 +0000

    Change the meta information fetcher TEXT

commit a45e8feeac303cff6cd181f8177c68eec3bbf8c1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 03:01:54 2007 +0000

    Inclusion guards for vlc_keys.h
    Why don't we use an enum in that file ???

commit ec79b5c8d0014ecc0f27fd25436eb6639ef556dd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 01:28:44 2007 +0000

    Special Xtophe request ( Bday! ), add a new --no-qt-blingbling option to use native widgets...
    Inheritance rules...

commit cfd3161de865506c96083c0417c0107900811353
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 24 00:58:45 2007 +0000

    src/libvlc-common.c: Print a msg_Info on how to launch VLC without interface.

commit 7fa3031b905fef8545f733e5ec5ab11c90fdb96b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 24 00:57:42 2007 +0000

    Add a few shortcuts, cvlc, nvlc, rvlc for cli, ncurses and rc

commit fea1ea69021a5bc7be067b078f77ea70b6e69bb7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 21:40:20 2007 +0000

    MacOSX/Framework/VLC_app: Use the bindings a little bit more. Demo the search feature. Uses shoutcasttv by default to have some content by default.

commit 13d8a3f1ffb8452d53b675cface33eca41024f9a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:32:35 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Update the cachedMedia array.

commit c721c836b86ef2b24c8d96a4ab8f757037df76db
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:28:26 2007 +0000

    MacOSX/Framework: No more rely on media_descriptor_(get/set)_user_data, now that we cache the media decriptor. (We may want to revert that back one day, but right now this doesn't work, and trigger some strange bugs here).

commit 5f5081a5f3f1531fec4c418c796beec1db68a793
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:24:51 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Use @"media" binding key, instead of @"Media".

commit a1a89a9f2bec1d6d826581b5be6cb9ef76e940cb
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:23:51 2007 +0000

    MacOSX/Framework/Sources/VLCMediaList.m: Use @"media" binding key instead of @"Media".

commit 895551c4dca4efd439b99fb0c4cf269928259247
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:22:35 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.h: Don't forget to define cachedMedia variable.

commit fdce930a6d519f32071756a178c34a17d3c2e707
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 20:21:53 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Fix a typo.

commit a629f53ef83a5bc33b31c0114749f91f107eb1ea
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 20:02:31 2007 +0000

    Correct description.

commit b7a9ec884eaf63bad50243f6eaa18d789f02de63
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 19:19:07 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Use a NSMutableArray to cache the media list view items. (for the same reason given in previous commit).

commit 40e325ad91e017f24b30136e9f11aefc41bc39a0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 19:13:08 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Cache the media list objects in a NSMutableArray. We do this because we want to use bindings. Cocoa bindings requires us to send willChangeValueForKey/didChangeValueForKey on the main thread. And that's one of the simpler way to do that without having locking problems.

commit 17d26df40210b689a067909be887de1294888a35
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 23 17:52:29 2007 +0000

    Typos spotted by Philipp Weissenbacher.

commit 0b8735f24810479f10a7ab0f64650c8f91043a93
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 23 17:12:56 2007 +0000

    Remove totally useless transcoding from UTF-8 in HTTP interface,
    heavy simplification, and fix(/remove) piles of error cases.
    Server gets to choose the charset anyway.

commit 1828f4b9dbda700247206daf5d83284a01f2a282
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 14:12:31 2007 +0000

    Compile fix to check for ffmpeg version.

commit 4e0a655376958443a2f42b0b9d6afb2446d09113
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 14:09:03 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Alloc an autoreleasePool where needed.

commit c4057d16e3673c291c431d86199c161443fe61a7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 13:34:36 2007 +0000

    MacOSX/Framework/VLCMedia.m: Don't forget to retain the url.

commit e2be140078f43e9bb2203110214b9b18db8ecbe9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 12:35:59 2007 +0000

    Fix compiler warnings in modules/codec/ffmpeg/mux.c. Please test.

commit 6f593e41bd355f0731bb3b36d25a2d69f322bce7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 12:30:20 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Don't release a media_list when it is a media_list_view.

commit c69f0eb41ebded540765f037dc1727f037878f23
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 12:23:43 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Don't forget to alloc an autorelease pool on function that may be called from a non-main thread context.

commit 933b9ff9cd85c3c37fb0018919c2a28de5a27899
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 12:18:01 2007 +0000

    MacOSX/Framework: Re-enable VLCMediaDiscoverer.

commit d006608b142b4d658f9027ae4fb7305bcbd2aa76
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 12:12:27 2007 +0000

    MacOSX/Framework: Use mediaListWithLibVLCMediaList instead of media*l*istWithLibVLCMediaList, to match the VLCMediaList class name cases.

commit f6c10807b808f4f5a4ae051e068ae26b02558bc3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 10:19:38 2007 +0000

    Fix building of ffmpeg, by disabling libavdevices.

commit 5530354a0ce6cc8dd64fbb3c0228867e951c9309
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 09:19:24 2007 +0000

    Tune ffmpeg more for armeb and include <strings.h> in libavformat/utils.c

commit 0b6c8bd726ec52a29e00a453ea4201583e82a456
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 08:43:57 2007 +0000

    Tune ffmpeg features for armeb

commit 6148efb8f89826c5e3a95cfdda96cbe6402664c9
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 08:29:53 2007 +0000

    Patches/ffmpeg-svn-grab.patch is no longer needed for HAVE_UCLIBC

commit cfac4b6f243dd6bc016c909d00c8d400e026e855
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 08:28:50 2007 +0000

    Update ffmpeg for armeb target.

commit 38e8f9290a1cc33bc683da95392747200a5745ae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 23 08:27:23 2007 +0000

    Qt4 - I couldn't do more ugly... If you know how to... please try :D

commit 96b6f40cfef3f91301ff90c2840f83461a682a35
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 23 08:09:07 2007 +0000

    Disable faad and libmpeg2, because it is not needed.

commit 878ef195c08bcda83c137cc10ef8d10e811c14ac
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 23 07:44:20 2007 +0000

    Qt4 - take care of the volume-step value from the preferences.

commit 72f13c9d9548e84e49e57f3ee707ad641854ac15
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 23 07:15:53 2007 +0000

    Qt4 - Add an option to have the volume slider from 0 to 400 %. Close #952 Close #1317
    Also the soundSlider takes it first value from the preferences...

commit 604c18022c6cc8d7b038726a6daaed319a8ff95f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 23 06:47:30 2007 +0000

    Qt4 - New kind of volume slider.
    Need a lot of graphic tweaking.

commit d919d75ec2757d9a1f25cd4b473b0bda52edbbc6
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Fri Nov 23 00:35:00 2007 +0000

    control/flat_media_list_view.c: Import pre existing md in the view.

commit 61b9fc22288fd55994970c37b4b49d1e97fe37d7
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Nov 23 00:04:52 2007 +0000

    audioscrobbler: more explicit debug messages

commit ecebadecb7e9a4257b126cca23e9b488062f9aa2
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 22 23:59:30 2007 +0000

    MacOS X: more EyeTV GUI improvements

commit 1bc330711e4f2f8bae8f5175b2e65df93ec7c825
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 23:54:58 2007 +0000

    MacOSX/Framework/VLCMedia.m: Don't forget to store the media's url.

commit 9c0d2c0e724be879781151d6049737f91fc1f072
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 23:52:04 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Fix a typo (VLCMediaList->VLCMediaListAspect).

commit f64d89873fd664edc99b19474b2b796b98a40e1c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 23:42:24 2007 +0000

    control/media_list_view.c: Register WillAdd/WillDelete events.

commit 667db96e709910ef276d11ef2acd34c9b11decf4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 23:39:55 2007 +0000

    control/media_list.c: Don't forget to register_event_type for WillAdd/WillDelete.

commit 7a8034b06a5dfcc1f902349fec5d83bb729f6399
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 22 23:39:33 2007 +0000

    svn:ignore

commit f4ea890c1428d02873d47efadd645e31b8748ae2
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 22 22:13:56 2007 +0000

    eyetv: functional GUI panel, replaced Carbon style AppleScript with NSAppleScript

commit 59f74cc4c500a5709971f8c368fcc0e760deaa28
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 22 21:35:32 2007 +0000

    Korean translation from Kang Jeong-Hee and Namhyung Kim.
    Slovenian translation updates by Matej Urbančič

commit b41dd1fee6525c2b6375ec3b623d5262dffadf59
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 13:14:54 2007 +0000

    modules/demux/playlist/xspf.c: Uses "vlc:skip" for node item. Fix a wrong over flow checking.

commit 919139ca87dda94131e146b9cebf8be0367520df
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 12:26:55 2007 +0000

    control/event.c: Properly implement libvlc_event_type_name, instead of relying on a non-working macro.

commit b99d84d552a3f1abfb67671488fcc90dbdea630c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Nov 22 12:01:43 2007 +0000

    MacOSX/Framework/VLC.xcodeproj: Make VLCMediaListAspect.h a public header.

commit e3cf5b1b18b040513e375d1c2f4fe54d9f8c7792
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 22 00:43:14 2007 +0000

    vim syntax: fix vlc files detection

commit a2c772489f6c405b2a4193d7729f1111ee9fd22d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 21 22:39:34 2007 +0000

    Use verb is the comment
    Add some mimetype

commit ed1a44b91e417768b0389eefb00e12f9a4d6252b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 21 22:30:00 2007 +0000

    Patch by Glen Gray: Enable keepalive for Kasenna servers, they parse the User Agent string and check for _KA appended to the User Agent name.

commit 6a440b7379fe87ed67f175893e2e7763d62e7ef6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 21 22:28:20 2007 +0000

    Patch by Glen Gray: RTSP keep alive fix. If the server doesn't handle RTCP-RR packets and requires specific GET_PARAMETER commands (such as Kasenna) then the session times out when vlc is paused because the current version only sends the info when Demux() is called. Demux() is only called when data is received. This patch fixes this issue with a boolean that is set during PAUSED state that allows the timer thread to send the GET_PARAMTER messages instead and thus keeping the RTSP session alive.

commit ab76f23e74331f22d90075a4069b9e0922985759
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 21 22:26:53 2007 +0000

    Patch by Glen Gray: RTSP keep alive fix. If the server doesn't handle RTCP-RR packets and requires specific GET_PARAMETER commands (such as Kasenna) then the session times out when vlc is paused because the current version only sends the info when Demux() is called. Demux() is only called when data is received. This patch fixes this issue with a boolean that is set during PAUSED state that allows the timer thread to send the GET_PARAMTER messages instead and thus keeping the RTSP session alive.

commit 77205605be2747f4bc58777da00b93904addb4d4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 21 22:19:06 2007 +0000

    Also extract the translations of libqt4

commit 702b20b0e8802e73fe93ed5f8d27eb60d3cc410f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 19:20:45 2007 +0000

     * modules/codec/faad.c: Put sensible defaults in i_*_channels, used for
       transcode.

commit 595b2a8e844f6897fa3306a2f387021ee664e46c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 19:04:49 2007 +0000

     * simple.c: Extended the filter for mono output, and also converted it to the
       audio_filter2 architecture.

commit 95d126fe4cafc4aba469d69f9fd9c979922ae77d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 18:47:54 2007 +0000

     * modules/access/fake.c: Fixed an integer overflow.

commit 327782b2b7ba8666e5533ea584224df6e356af6b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 18:23:18 2007 +0000

     * sec/input/es_out.c: Add suport for keyword 'any' in lists of languages ;
       also fix a memory leak.

commit f4dea8999102b24fce42877ac32f561de4967c5f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 21 18:16:13 2007 +0000

    Donators section in THANKS file. Needs rewording...

commit b691d5d74ab962f1d9717cdfa2c576925d903116
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 18:02:04 2007 +0000

     * modules/codec/x264.c: Fixed DTS when adaptive B frames are used (still
       wrong for bpyramid, though).

commit d4bbae044e7958a24d21cc4b80bd663d61e6d9a3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 17:38:12 2007 +0000

    MacOSX/Framework/VLCMediaListAspect.m: Implement -hierarchicalAspect and -flatAspect. (And add an internal @interface for VLCMediaListAspect (LibVLCBridging)).

commit 71e01e17d0a1da2f9f077a528b165e2cbbbd12b9
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 17:36:36 2007 +0000

    MacOSX/Framework/VLCMediaLibrary.m: Rework -allMedia, and remove -sublists.

commit e617d8be631d25de51497a62075c8f5ce86a95ca
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 16:22:04 2007 +0000

    MacOSX/Framework/VLCMedia.m: Don't forget to remove the user_data from the media_descriptor.

commit 1f52d6ea902fc163e3cc3d536f93719daa2eb266
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 15:30:01 2007 +0000

    VLCMediaListAspect.m: Handle WillAdd/Added WillDelete/Deleted events.

commit f047a976bf9b97ceff9758a858b690478b982d5d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 15:08:22 2007 +0000

    control/media_list_view.c: Provide media_list_view_event_manager().

commit ee3e8c9616f61d1e1f8e4fe85a80f4bb0303f348
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 14:31:47 2007 +0000

    MacOSX/Framework: Implement VLCMediaListAspect.

commit 09362e58adc1dfece3bf664542ccae35eca81453
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 21 12:19:08 2007 +0000

    MacOSX/Framework/Sources/VLCMedia.m: Minor cleanup.

commit f261c0d557940ea14a4eff04693390b16c5954ad
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 21 00:39:36 2007 +0000

    Add fonctionality to the update dialog - Patches by  Rémi Duraffort

commit 160ba82b9e29fc743e3e1231b90ced053331ef7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 21 00:23:15 2007 +0000

    Update qtu, qta macros .

commit 2169f3b770691e6f172cef776cd0bc8c32153b51
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 20 23:26:26 2007 +0000

    contribs: update qt4 TrollTech binaries packaging, note that it won't link correctly when building qt4 interface
    explicitely disable building of manuals & documentation of fontconfig

commit c39b64d5a4bf39561f31ed982625308811b08a7e
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Tue Nov 20 22:35:26 2007 +0000

    * demux/playlist/itml.c: iTunes Media Library importer (not tested yet)

commit 930bf06c7eefce96f79c7c0d30c2e34da91129e1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 22:25:37 2007 +0000

    modules/gui/qt4/dialogs/interaction.cpp: In InteractionDialog::update() use a msg_Dbg instead of a wrong msg_Err.

commit c12d6921a3ff327f7763109ea2451538e11b496c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 20 22:24:15 2007 +0000

    Make sure we're not using a shell version of echo without -e switch

commit 52d9ee61e70de44ae8e180db023e11c6f147ab51
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 20 21:04:46 2007 +0000

    No longer use ffmpeg-config which is a Debian invention. But now even etch has the .pc

commit 244afdee5701a1f2bcdcdc1e48f5c79741e5cce2
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 21:03:43 2007 +0000

    modules/gui/qt4: Display time in seek bar when mouse-over. (Patch by Antoine Lejeune. Reviewed by jb.)

commit 73830e3b9e719a88d9aed3266373012f970f48b0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 20 20:14:42 2007 +0000

    Ffmpeg swscaler, ifdef correction.

commit 373d13227346958499653b8108354c68edb8b80e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 20 19:55:37 2007 +0000

    Very partial cleanup

commit 66214b91b8032feb0f6085ee3ba092689cb09db1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 20 19:32:43 2007 +0000

    Probably fix make dist

commit e97d7f898a774be594f19da9f4ae45edd65d92dd
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 20 19:32:10 2007 +0000

    Remove some cruft from older gettext

commit 05c8198d0fb455cac11022f0a5e483729b02a7ee
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 20 18:54:04 2007 +0000

    Remove VLCOPT support from M3U parser.
    This was blatantly insecure.

commit b83bd217a9bdb163c50bb60aec1007113e5f11a1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 18:26:57 2007 +0000

    modules/gui/qt4: add an update dialog box to the help menu. (Patch by Remi Duraffort. Reviewed by jb).

commit 5c97509f2a7fa46f5b71a51333adf0f93612b924
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 20 17:03:44 2007 +0000

    Use cached ACP

commit 6d0efe5f852c59415e883bea64d58d5f2bb4a86a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 16:30:36 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Remove dead code.

commit a381352a841abc182bb3acdbbe3e07ca730fb5d0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 16:28:54 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Don't forget to listen to WillAdd/WillDelete media list event.

commit 5c8f6f544b83116f7003a1bfb211ac3280560038
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 16:26:48 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Be KVC compliant.

commit 85be5949fc885907ff8f0bd37e33feb2626938ba
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 15:32:27 2007 +0000

    control/hierarchical_media_list_view.c: Send WillAdd/Added and WillDelete/Deleted events.

commit 0601ce744336a7a2c28663564eb530c4e409522a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 15:31:51 2007 +0000

    control/flat_media_list_view.c: Send WillAdd/Added WillDelete/Deleted events.

commit b269d0ed7c25f33ebad264ac5648a4d9b90c0f0b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 15:31:08 2007 +0000

    src/control/media_list_view.c: Facilities to send WillAdd/Added WillDelete/Deleted events.

commit 9bf66bdab95c8692265311f5056e2cc298124ad9
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 14:57:06 2007 +0000

    control/media_list.c: Send WillAddItem and WillDeleteItem events.

commit 4425f55e8a6455d01d8b4e208cfb1bb69d83df2d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 14:18:16 2007 +0000

    svn propset svn:keywords "Id" hierarchical_media_list_view.c

commit bcc7f49d69083d5ca4c47aeda13813ac429e84aa
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 14:12:57 2007 +0000

    src/control: Implement hierarchical_media_list_view.

commit ade76749a518393365df2188790b2139bc967bf6
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 20 12:07:38 2007 +0000

    control/media_descriptor.c: Don't forget to release the event manager. (Reported by polo78 on the forum and funman).

commit 3e743741560237a5933b85a8273c58e93c6463ed
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 20 11:57:00 2007 +0000

    Fix cleanup of libamrwb package in contrib.

commit d9f68c8c673841c8798566fa414ee1d215d1c10f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 20 09:08:21 2007 +0000

    Fix return value after the interaction dialog has been used.

commit 607bbaf11602f6e45d142c8e4a14c96d52931376
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 20 09:08:19 2007 +0000

    Fix double free in live555.

commit 78a05dbc4c5b905b761f6f53c22ed93a748b904e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Nov 20 08:30:30 2007 +0000

    Patch by Richard Hosking: Allow users specified width and height of v4l2 source.

commit 0d38084be8049d211cf16f99a0169cf2305410a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 23:34:15 2007 +0000

    freetype: use [.\/_] to break lines when ' ' only failed

commit b37f567e569cdc4125e321aa926585c9b1d4cc4f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 22:11:51 2007 +0000

    add an unspported demux query to remove a useless error. Show the query number when it's unknown (for the future)

commit d549f3be26b7e0177a125fb360fb1f7fb2609705
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 19 21:32:46 2007 +0000

    Force ISO-8859-8 for Hebrew users

commit bb9682166445f98eae6c5a52f6b8d04237c4c9ef
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 19 21:26:10 2007 +0000

    Simplify

commit b2167185764f49f12927dc557d6e2d74e1427c8e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 19 21:21:23 2007 +0000

    Comments

commit 3d721ce8d62e20323840c9965e4f6d537b0ea4ba
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 19 19:42:19 2007 +0000

    activex: fixed registration problems as reported in forums (i.e DllRegisterServer@0 postfix is removed). damn libtool !

commit 3636e3ffadb08db25462b8d27b6e208dc604aca9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 18:33:09 2007 +0000

    matroska demuxer: supports Real Video

commit 69d48f0fc8085ee53db9c9060b22ef7c461f9d47
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 19 18:28:24 2007 +0000

    Comment on the EOF case - this does not change the semantic at all.

commit 60dcd8b930e5cda9831db78cd7a112235430de1c
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 17:50:30 2007 +0000

    typo

commit b78ed59b346fbca13d4ad0bcacf2b701f6de093f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Nov 19 15:36:33 2007 +0000

    Trigger intf_UserLoginPassword() when authorization of rtsp link failed while using --rtsp-http.

commit 7dbead87746b2a520eab76607b6da453ef896031
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 19 15:10:40 2007 +0000

    contribs: fribidi, tar.bz2 -> tar.gz

commit 9b8c613da0c3fb5bd7078cf0b2869abbf6bfd4f8
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 14:06:52 2007 +0000

    src/control: Implement flat_media_list_view construction.

commit 3d958c183a2fdf505842c4508030cc9a45631468
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Nov 19 13:59:57 2007 +0000

    Enable RTSP rtpInfo track synchronization in live555 demuxer.

commit c77ee7637b006df4810a548916072532467936e5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Nov 19 13:59:56 2007 +0000

    live555 improvements: Make rtsp://user:pwd@server/path work and fix --rtsp-http option.

commit 264bde566bb3ecee4700db7fd2f38b27f05d1ea4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 13:58:52 2007 +0000

    vlc_arrays.h: Implement vlc_array_index_of_item.

commit d71d800d9d311531a566399bd6b33f9bff9c8a4a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 13:48:23 2007 +0000

    src/control: Implement libvlc_media_list_view_children_at_index.

commit 140517913b5dce1fa54cb23ff6c37b526d904b76
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 12:58:21 2007 +0000

    ncurses: display the input's title if it's present instead of the name. Use asprintf()

commit 55287bbffd7ddce57a05316560b225f9701550a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 12:41:28 2007 +0000

    ncurses: yield() the playlist only once

commit fa479cd8ae3539cad6db315fb69a01f4e8eef330
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 12:35:45 2007 +0000

    ncurses: store the current playlist node in p_sys
    Don't store the playlist_t pointer in p_sys since it is always present in any_vlc_object_t->p_libvlc->p_playlist

commit 3c5a53bcd9b2fb173019a15ef2466341a508aa78
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 09:55:34 2007 +0000

    MacOSX/Framework/VLCMediaList.m: Fix a few warnings and use a Dictionary instead of an array for -mediaListItemAdded: argument.

commit cbe148f25a0c246eab64ed7de365c42de72a7431
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 09:34:47 2007 +0000

    MacOSX/Framework/VLCMedia.m: Remove the directory filter when opening a media. A directory can be seen as a VLCMedia, as it is a playlist, and playlists are media.

commit f57d978cf6540f319c72a19f380fb6cc5911272f
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 09:23:33 2007 +0000

    MacOSX/VLC_app: Remove unused files.

commit f631d60bc8726b7f1614d7089462fd1156163e34
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 19 09:22:13 2007 +0000

    MacOSX/VLC_app: Update and simplify to match current Framework state.

commit 0b319e4167e85e93dde8ebec2441e3cce9b8b4f1
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 07:16:53 2007 +0000

    mozilla: remove harmful excessive debug, thanks to Martin Vávra.

commit a4c8807ec2c5c2bc9027f4e74014366aac870d99
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 19 01:43:37 2007 +0000

    Real/Sipr, try to use a correct flavor detection, without using the MPlayer hacks...

commit da58e962dc7d7742ca10de25b9ba5155f10faae8
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 19 00:22:42 2007 +0000

    mozilla: remove potentially harmful debug on win32

commit 8c2706d16016544fecace8a174eae5501747c8bb
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 19 00:17:33 2007 +0000

    * forward-port [23152]

commit bf6da8b847557674bf35cfc0eb90401372108393
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 18 22:31:43 2007 +0000

    Real demuxer: Comments about support/non-support

commit fd6cbf79a108fa34705a6040704190b212c3dc4f
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 22:28:18 2007 +0000

    ncurses: add a 'g' shortcut to go to the current playing item

commit 16fcd880e2e45cb311a8165baf4988fdee2116a8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 18 21:37:45 2007 +0000

    * retrieve fribidi from SourceForge instead of their project server/our own server

commit a14d22e1ac978b03bc1311d55a49791aa8a971e6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 21:35:16 2007 +0000

    Disable MMXEXT (MMX2) mode for swScaler since it crashes.

commit 0bb30cd10df427968df1b1796b0a57d7bd4acef3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 21:35:14 2007 +0000

    Chroma conversion using swscaler module.

commit cedd80b82059dbddfa946273f3a719fb8230532c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 18 21:23:12 2007 +0000

    Oops remove debug

commit 9e8d440d94c73aa546b51cb0bf0536e143a4f660
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 18 21:18:48 2007 +0000

    Don't leak memory

commit f217c5af806ea9f733ae99d00228409a99f1b1e2
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 20:56:44 2007 +0000

    xspf muxer: determinates correctly if we're handling a file:// uri, and so produce valid XSPF

commit 3890f30a863e18a1a8ca7114c2285ddcdf0349f9
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 20:47:58 2007 +0000

    ncurses: various bugfixes
    
     * Workaround KEY_END not working with $TERM=xterm on FreeBSD
     * Don't abort when printing strings with unprintable characters ( for example when the user presses ctrl+something in FIND or OPEN boxes )
     * Show a '*' in front of the current node
     * Add files in the correct node
    
    This is how nodes do work in ncurses: When you select an item with 'Enter',
    
     * if it's a leaf, then start playing it, and set the current node to the toplevel parent of that leaf (example: local playlist, or media library)
     * if it's an empty node, then stop the playlist, and set the current node to be that one, so you can add items to it
     * if it's a node with children, set the current node to that one, and start playing the next children of that one
    
    The "current node" means that the playlist will never reach items which aren't direct or indirect children of that node, and so it will stop after the last one has been reached

commit a89d3bb46ca0b352eba3790ca2a856802722be9b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 19:28:06 2007 +0000

    Indentation.

commit da7ab688b0d59af42dcc2b793157814b9a7a09b4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 19:28:01 2007 +0000

    Test for PIX_FMT_RGBA iso swscale.

commit c532a10b0e7e7df8dcaea5bd6efe741433a64878
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 19:27:59 2007 +0000

    Patch by Richard Hosking: Honor user specified chroma if the device supports it.

commit c450285e4ad6c3ed72c26dca4f428447ee95d471
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 18 19:06:37 2007 +0000

    Oops.

commit ea411a51cd0a884e4bf44e17d2b4ae52b8890430
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 18 19:03:25 2007 +0000

    Attempt to implement chroma conversion using swscale. This currently crashes on calling of pf_convert().

commit ae96181ab60b60dea26ca5ebaf81294d1ebc9590
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 18:19:30 2007 +0000

    xspf: don't use %encoding for node title, but only convert XML special characters

commit 3b99d3d39fc6b722bd564e023d796cf8df8e8232
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 18 18:15:56 2007 +0000

    Realv3: support for broken streams that speciy a wrong FourCC

commit ff6ab8ff686cd6f5254e09bd0e0a17af9a0300f6
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 18:06:05 2007 +0000

    ncurses: various bugfixes & new box
     * Metadata box ( 'm' key)
     * Rebuild the playlist immediately after a deletion, avoiding crashes
     * Center the title
     * Correctly ellipsize wide strings

commit 0d48e825e57556bd8240806dafb320b6fa8b5517
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 18:03:25 2007 +0000

    xspf muxer: %encode '+' since decode_URI() will decode it as a space

commit de90d8cb82cd39e86109892119854dc8b9cb99eb
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 17:59:23 2007 +0000

    vlc_meta.h: we don't need VLC_META_CODEC_* but we need the description of the track id

commit 7758c84ec625d99808d3ba1f6434319ecbc3560a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 17:58:36 2007 +0000

    mpris controler: doesn't depend on python being in /usr/bin

commit bc92b76de23e819760c6fa2ab51185af04b596a8
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 18 17:57:52 2007 +0000

    dbus: super annoying typo

commit 1cde1264e385c12532724151ca16be8d94129406
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 18 15:20:10 2007 +0000

    * updated the po-files once again

commit 2c0fe13b805c4a32aaa44c8a4382b2a999f6bb78
Author: Eric Petit <titer@videolan.org>
Date:   Sun Nov 18 14:12:31 2007 +0000

    typo

commit bcae3b195daf5e5a000a8d7815919603e4fd7b76
Author: Dennis van Amerongen <trax@videolan.org>
Date:   Sun Nov 18 13:36:58 2007 +0000

    * src/input/clock.c: Feed synchro with new ref. point after unexpected discontinuity. Needs testing, should fix ticket #691 no audio/video in transcode after clock gap in input

commit 5c2aa699ad9a9bbe9ec8a529f3cffc1ca2e620b5
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 17 23:32:42 2007 +0000

    activex: forwardport [23112]

commit d79c664cc49051db85228bd663680bf7e14fa26c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 20:03:29 2007 +0000

    Add the Changelog-2006. It shouldn't be updated now... :)

commit f073a631a01e8a043dd193d6987e81a49673e149
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 17 19:35:43 2007 +0000

    when retrying set the demux to "" for real. refs #1228

commit 5b1563c5a4b85074f069c5e36ac28c1343b1b3f7
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 17 15:14:59 2007 +0000

    modules/codec/ffmpeg/video.c: Fix Remi Duraffort's PIX_FMT_RGBA issue by testing directly for PIX_FMT_RGBA definition, instead of testing if swscale is present.

commit 944d0da48cfc728397e476b5c969fa13591b9cdd
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 17 14:42:14 2007 +0000

    testapi.c: Superficial media list tests. For some reason `make check` doesn't work on here (Mac OS X) due to some libtool issues, so it wasn't tested for real.

commit b86be3071b508a82fcaa55f20cb004d390ece855
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 17 14:31:18 2007 +0000

    control/libvlc_internal.h: Remove definition duplication.

commit a2b24c299a5f1ea085c6a7adff7617f8fdd00c2c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 17 14:29:13 2007 +0000

    control: Remove libvlc_event_fini exception handling, as we don't need it.

commit 19c4b89b75b1ca6092e50950cbc4682440216eec
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 17 13:34:43 2007 +0000

    Patch by Richard Hosking: v4l2 minor patch to fix silly bug in handling of user specified caching value.

commit b559c96c207b90cd485d97a14187d2d13c5f5274
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 09:04:46 2007 +0000

    Add a forgotten break; in a case.
    So far, it should work for most of the streams, except MP3 in rm (silly guys...), ralf, because it is still unsupported, and Sipr because of the flavour detection.

commit 450306de15587bcde1f7ef99d996cc4a0aac6e16
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 08:47:24 2007 +0000

    Extra Data code factorisation: This shouldn't destroy old support, but please repport any broken stream.

commit 195f75696698ee5aefd877dbc9a9cbd8dee0ee3c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 08:24:56 2007 +0000

    Cosmetic and mention about unsupported ralf codec.

commit 392ab0961937d688a75b130a46b81530746b92e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 08:16:17 2007 +0000

    Reindent after previous commit.

commit a9b240f58fa7bfb740de786bef8ae1e82a785b1b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 08:13:58 2007 +0000

    Real Demuxer: Support for RM version 3. Tested and works \o/

commit be8e0b448eab950e839994c5e2871e07e4ce1a44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 17 01:40:34 2007 +0000

    Contribs: same insane test for Qt4 libraries... If you want to go on...

commit a5e46bf6b9ba6045255008551c8ba97d01e708bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 16 23:30:27 2007 +0000

    Contribs: Try to use already compiled binaries made by Trolltech instead of the one I have to make on Windows. Use Wine... Close your eyes, it can burn...

commit 065d688ec7f2506c2a58d9c11364f1b7d8562ed1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 16 22:33:20 2007 +0000

    svn:keywords

commit d348968129a810e940f9293b8abb0bf970453863
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Nov 16 19:04:37 2007 +0000

    core/mediacontrol_core.c: code playlist_get_list using
    playlist_nodeDump as reference.

commit f063d3e1b502ffbd3018e90bd498136d1fc74616
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Nov 16 18:59:19 2007 +0000

    core/mediacontrol_core.c: do not prepend the dummy argv[0] since it is
     done in libvlc_new now (since r22749)

commit 51c217e7fdb723de78b9362ae94fc70bd23cf5ca
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 15 18:09:24 2007 +0000

    Typo

commit 5a7d66bf55429e2206a1ee2dd65a9a1ffe521cc7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 15 17:58:53 2007 +0000

    Revert [23063]

commit 5c12870ee0044ded08c411b44743532a64c2463f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 15 17:58:46 2007 +0000

    svn:ignore

commit 617052d67a2d1a1e1158ffa49951796e181fc668
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 15 17:55:02 2007 +0000

    - exit() cannot return negative (or large) values
    - waitpid() can fail

commit 7ce5b93addc52d48c0f277b3ea29a8855275ff5b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 15 16:29:32 2007 +0000

    Fix various memleaks in error paths.

commit dd15a9b048ffdb914d8914c690001a81e5276ddd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 15 13:38:33 2007 +0000

    Remove excess whitespace.

commit 82e29c9ba1135639fe10881591e6261bc3396ae4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 15 13:38:32 2007 +0000

    Implement clickable osdmenu. The clickable positioning and scaling guessing is not complete (the whole spu region is now clickable with current configurations).

commit 9d6bf51a76aa5877fbdce794b0a7ffd267ef1e5a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 15 13:38:29 2007 +0000

    Add macro for determining array size.

commit e9ad3b33e9e1ffec88a75284757ce75a6cefd57a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 15 06:04:02 2007 +0000

    Thanks to more other projects. I, of course, forget most, but step-by-step...
    It might not be all correct, so...
    Btw, at the top or at the bottom ? x264 ?

commit 98ede4f254db4125cd8dc77f9f6f34f81b3aaf2b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 14 22:02:01 2007 +0000

    Don't use modules/gui/opie in gettext as we don't distribute it.
    Upgrade POTFILE.in and vlc.pot

commit 95adaf302d26466d1aa6d33b97664a5815e200ff
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 14 21:53:40 2007 +0000

    Romanian translation update by Cristian Secară

commit 6a71f8cbf23adaccfd3bc616e802c981111e7ee8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 14 21:51:34 2007 +0000

    svn:ignore include/vlc_about.h

commit bfd706067e935775fdb23af2104043b0b722694b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 14 21:50:17 2007 +0000

    Layout fixes in COPYING (and use spaces instead of tabs). Use a fixed width font in when displaying the license in the qt4 help window (since that's how it's meant to be displayed).

commit 0cdb6d811f340a29abdca80bcb33dab0fb11cc88
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 14 18:11:59 2007 +0000

    Contribs: libgpg-error version bump.

commit 6f3acaadd643d4f7056708dd74f0579f655de892
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:23 2007 +0000

    Fix double vlc_object_attach().

commit 1bc8330a3f197a1a0ed072dc0347fc807bbccefa
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:21 2007 +0000

    Cleanup on osdmenu video filter.

commit f8c1e19a7b7fc98dd25beae22a172895964e3d2d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:19 2007 +0000

    Detach osdmenu object before destroying.

commit 099b560c5b3f79b33bd9c22060a76bb0e066499a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:18 2007 +0000

    Indentation

commit b08b5f55f6742c705b405b3988d4dc7b4b909152
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:16 2007 +0000

    Cleanup osd_ParserLoad()/osdParserUnload().

commit 39434a18b3a2135fd11f16911ea63289ecf75f35
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:15 2007 +0000

    Return pointer to osdmenu object and use that iso NULL pointer.

commit b993600a6bab86f8d4dc8f22f3938f87a1563a93
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:12 2007 +0000

    Use the filename passed and not the configuration file.

commit 4527fa30438336684ea373c96e1b8fa7b41db373
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:10 2007 +0000

    Cleanup indentation.

commit 1f7592ff27f8b754e123d3135be15c9db54fc281
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:09 2007 +0000

    Refactor osdmenu parsing logic.

commit 7d39628de408b31b48153d4705ceb6f5a9e12bcb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:07 2007 +0000

    Add osd_parser to configure.ac

commit 20f054d07cba69a49814b5d8b6e550e092856b54
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:04 2007 +0000

    Add new files which should have been in previous commit.

commit ad1fb8798056bb4d298aae0d9d053f8872fc4a79
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:02 2007 +0000

    Further factoring out osdmenu parser functionality from osdmenu handling. Started a dummy modules/misc/osd/xml.c osdmenu parser.

commit e467dc8322347bfa6d74af8854e1004da073297d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:18:00 2007 +0000

    Add newline to end of file, shuts up the compiler.

commit 4ff5e969b5892a9f56ee1b5d77d86bdc7202250f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 15:17:57 2007 +0000

    Fix merge conflicts for src/osd/osd.c

commit 6f7b6bf6fd00917d97fb297db4c9f53bd44fe2bb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 14 07:14:22 2007 +0000

    Make PIX_FMT_RGBA dependend on ffmpeg with swscale. Patch by Remi Duraffort <ivoire at via.ecp.fr>.

commit 18be28ae221f8dc72fbf173e2a7e74d6e6c80ee6
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Nov 14 00:30:45 2007 +0000

    make vlc_object_timedwait() return immediately if the object or libvlc is dying

commit 8cc57c7a80f9875ab3f6cf56f6e9df9a88177f3b
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 13 23:28:22 2007 +0000

    xspf: fix nodes encoding. big up to yoannp for fully nested xspf !

commit 724f40098f3029aabae9b97d90185ba9c73f74df
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 13 22:44:36 2007 +0000

    Cosmetic

commit 890dbc2206f595c016b2923f0f8b206d269a1877
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Tue Nov 13 22:10:58 2007 +0000

    * XSPF nested playlist

commit 78010fbc3880df6ec5cf479e299fe664ac0f3d16
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 13 21:36:52 2007 +0000

    Add news about Album art, luameta and luaintf.

commit 5c673a35854b0f2b3bacd0fa1d53afb91fc5e832
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 13 21:20:56 2007 +0000

    Fix error in javascript "playlist xml" -> html routine which messed up display of playlist with nodes 2 or more deep which didn't have any leaves.

commit ee9cedc7ce3c868e14588d97df63d486ec282b79
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 13 21:08:37 2007 +0000

    Add "search as you type" to the HTTP interface.

commit 9f8aa0ff1f7dc797ff47371480829c89377588f6
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 13 18:21:46 2007 +0000

    xspf demuxer: fix extension reading

commit d5a0120de4527bb2852528704e9a9090ed8e5fca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 07:48:21 2007 +0000

    Cosmetic and initial support of sipr in rm demuxer. Doesn't work with all flavours yet.

commit d4515c0fef4802d26e0e3edf61e6c431c03a3600
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 07:39:09 2007 +0000

    Real decoder: Use the real libraries to decode atrac and sipr (sipr still doesn't work, because the flavour is misdetected)
    Add a few ifdefs for Loader use.

commit b985328ee2bfccba4a39416c9c2bb54409028c53
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 06:33:10 2007 +0000

    Real Demuxer: Support for Atrac-3 codecs in Real files. Close #1359.
    Some new comments are in.

commit c0f040ead6df72fe224a97a095ded83be1c0ae15
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 05:24:02 2007 +0000

    Don't make fontconfig depend on Makefile in contribs, it is boring to recompile all the time :D

commit c0c8177413140aa25953d3610fbb74bc6ea2a110
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 05:19:10 2007 +0000

    Libcdio update for Mac OS Contribs, memleaks and small bugs.

commit 5e218f9cfa2ea6cd48a951bfd27fc3a24c25f206
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 05:05:06 2007 +0000

    Contribs: png version bumps to 1.2.23, cleaning and perf release. For once, no CVE :D

commit 5d12aaf8536f78a339abceede842f7c78536d670
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 04:58:42 2007 +0000

    Contribs: jump to faad 2.6.1. The patch is useless, but don't remove it might still be usefull.

commit a4fa3c64f29098e3e3342d2a693cd14cb8e613db
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 13 04:56:04 2007 +0000

    Start a contribs section in THANKS. This is just a beginning and may need to be rewritten, changed etc...
    Anyway, it is now valid to use faad2 v >= 2.6.1

commit 8ba909ce0f69a3ae16370091aaeeed57d58c5eb6
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 12 23:12:43 2007 +0000

    Makefile.am: Remove for goods disabled code. (as per funman's request).

commit bc55afb50ef27a43cf95050d01d0376e974af23e
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Mon Nov 12 23:02:18 2007 +0000

    GET_PARAMETERS doesn't seem to work so well agains DSS 5.5.4,
    SET_PARAMETERS works agains DSS 5.5.4 and WMS 2003. WMS2003 doesn't
    accept empty parameter/value pair, so have to set something.

commit 31c0f5258cb3b28af2135c6f3a0d607efc9f4174
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 12 22:59:14 2007 +0000

    Makefile.am: Disable icon positionement in the dmg.

commit 4bde22b6ed61c8610b140e7392d48c39fd568b94
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 12 22:27:00 2007 +0000

    Fix problem with the search lua wrapper (it always returned the "category" playlist even when searching in "onelevel" mode).
    Remove debug prints from the rc.lua module.

commit 2d3320dc962cca52a0388c0b3ff4c470e8ac830e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 12 22:18:31 2007 +0000

    Add option to use a flat playlist in the rc.lua interface (default disabled).

commit 3f32e82e12c68514db43bc1f7a4d7a460d2c6bb8
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 12 22:08:54 2007 +0000

    Swedish translation update by Daniel Nylander

commit 87c76c20237a663506a2deed9f8db9af732fee47
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 12 22:00:47 2007 +0000

    Add services discovery support and enhance playlist support for lua interface modules. Added "search", "sort" and "sd" commands to rc.lua. Restored true playlist functionality and sd selection in the lua http intf.

commit 8ca1085a0efc5838aabe9c84276eee1ea1c0d580
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 12 21:47:08 2007 +0000

    luaplaylist: adds experimental script for joox.net

commit cf9d63760cdc28389f89a97772dffd9683afabbc
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 12 20:10:54 2007 +0000

    xspf export: write the extension tag before the trackList, we'll need to read it first to handle it properly.

commit 1977452030e44c34634b0f9a5d1eb8b65dc43bc0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 12 16:39:18 2007 +0000

    modules/services_discovery/upnp_intel.cpp: Add a todo note: this module needs to be rewritten used the new services discovery API. (this is not really helpful, but yet, that could help to track bugs).

commit c37287da346aae3c6064f56c0c3946bf09f2c1ce
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 12 14:44:20 2007 +0000

    dvdnav: support for new incarnation hosted in mplayerhq

commit 3828287d44a29e2cbdae01aca3946bcc34c012e2
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 12 13:36:09 2007 +0000

    services_discovery_SetLocalizedName() is now mandatory. Fix #1344
    upnp_intel module still has to be rewritten (it will crash at runtime)

commit 72757e9340c0d3a64760349a06fbc7aa47ba0417
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 12 13:34:54 2007 +0000

    googleimage plugin: don't run vlc.uri_decode on a nil string

commit 5395427fef4d5c327bec4d21188f41043ce07b70
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 12 07:50:16 2007 +0000

    Wx: this should fix the [23027] commit for compilation. needs review.

commit e3227add0581aa50cac13b532c7bebc4a2ed5ec3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Nov 11 21:09:55 2007 +0000

    configure.ac: Fix a typo in my previous commit.

commit acbd355a0bc946f82235ddce81a7b50d92f1b094
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 11 21:08:36 2007 +0000

    Use the services_discovery_GetServicesNames() function in the qt4 and wxwidgets (i don't compile the wxwidgets module so there might be a few warnings/errors). This removes comprehension of how VLC modules work from the interface plugins. This change still needs to be done in the modules/gui/macosx/playlist.m file.

commit ffc3180d5c6e8968b20541caa02a1ba84ad759f1
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Nov 11 21:03:42 2007 +0000

    configure.ac: Fix Mac OS X 10.4 support (Reported by Enrique Osuna).

commit 07c7cdcb2194cc5aa12b906f1489c9c4a76ef473
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 11 20:32:43 2007 +0000

    Add argument to module_GetModulesNamesForCapability (and services_discovery_GetServicesNames) to also get the longnames.

commit 44de901a6dcdb11f25ab8583738ad0e2ba3c4959
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 11 20:16:51 2007 +0000

    Fix module_GetModulesNamesForCapability() and make it handle submodules properly (ie: the shoutcasttv submodule is returned as "shoutcasttv" instead of "shout"). This function (or its services_discovery_GetServicesNames(p_this) specialised version) should be used in interfaces, instead of the current code duplication.

commit 7fe8ad1b31a721f9eebe7df825e7e499ea9a9734
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 11 19:26:32 2007 +0000

    Fix [23001]

commit 72f289cb711a3cbe1612dee74e1bde5a57ed23fc
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 11 18:48:07 2007 +0000

    alsa: use the pcm status to compute the delay. fix #894 (spdif passthrough)
    Please report loudly any regression, using spdif or not.

commit 22053c46a80be0c28a9e07730bc9888b14618503
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 11 15:48:39 2007 +0000

    * updated the comments, so other people can understand what we're doing on Leopard

commit 2d06f4d7330c598464ba7cb5520753b490b181f3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Nov 11 14:50:30 2007 +0000

    configure.ac: Because of the ld text relocation bug on Mac OS X, we have to disable ffmpeg when using such linker for the time being. Add a big warning at the end of configure if we are in such a configuration.

commit 518097e0f29a5536093f511e85b67c658825121a
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 11 13:45:16 2007 +0000

    Install required files for lua http interface

commit 2ed5acfdde9ac4517a10c7ad0666014be685c970
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 06:08:59 2007 +0000

    Real Audio: Add support for RealPlayer 10/10GOLD .so

commit e5147c68f462673172739e1be7b95088187d13f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 04:46:31 2007 +0000

    More Real Codecs paths.

commit f1f413481142a192abd5a9adbaa44f8021351cf4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 04:02:48 2007 +0000

    RealAudio, more paths to search realAudio codecs.

commit 0dd040c1fb8f1a169abed422464fc3b121b16eff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 03:26:09 2007 +0000

    Qt4 - Use >= instead of == in loopA-B (thanks funman)

commit 66dbf82c6bb6eaf6f758c91652df1215f5da62c3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 01:52:28 2007 +0000

    Qt4 - A to B Loop implementation.

commit 34c9ee459c839448e00601d66652a5824d56c35b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 11 01:51:57 2007 +0000

    Store the time and length in int, since we use only the seconds count.

commit 0da94177ecd5df425e4662aadb801309eadf1e0d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 10 23:21:41 2007 +0000

    * a few more

commit 42ee1b383a1a1171a33133194629161acdf168d3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 10 23:14:17 2007 +0000

    * English grammar fixes and beautifications for the intf_UserFatal messages

commit e10d43118219b4cd6e2fce4c44b70778f9ebcc30
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 10 16:34:53 2007 +0000

    Port the http interface to the Lua Interface Module framework.
    
     * share/luaintf/http.lua: Equivalent of the legacy modules/control/http/
       module. (The new module takes 272 lines of Lua, instead of 5475 lines for
       the old one.) Functionality is basically the same except for CGI support
       which is missing.
     * share/http-lua/: The HTML files using the new <?vlc [lua code] ?> syntax.
     * modules/misc/lua/: Add Lua bindings for a few VLC function, the most
       important being the HTTPd high level functions, ACLs, stat and opendir.
    
    The Lua code still needs to be cleaned up a bit.

commit 050188ce4cea0fe17c21eba1d429ff44e0f92ea4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 10 15:26:11 2007 +0000

    contrib/src/Makefile: Update ffmpeg macosx-intel patch application recipe.

commit d421f3ca3a295fb60dd3800e1e8ab7371a49614a
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 10 15:09:52 2007 +0000

    contrib/ffmpeg-macosx-intel-mmx.patch: Use Graham Booker's patch which works around the ld64 text relocation bug.

commit 018f3af4e27c5309ca80f5204f921576b673dd4d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 10 14:58:14 2007 +0000

    configure.ac: On Mac OS X, if ld has the text reloc bug, disable mmx and sse.

commit d431f940555125180841cb9800cf3d34032bf41d
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 10 14:23:03 2007 +0000

    configure.ac: Allow --disable-mmx and --disable-sse.

commit 9c4b2e75b6327b91cd42b5bb2d44e222487f937a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 10 14:11:33 2007 +0000

    ehm, forgot this in [23004]

commit 159078ce2187960b3b314f18a87f46ea1dd7b09a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 10 14:10:33 2007 +0000

    * disable ASM support in libtheora for now (until the authors release a fixed version or Apple a fixed ld)

commit 7e93c288170af3be779d80747720fe1e15408f0e
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Nov 9 23:39:35 2007 +0000

    - lua: meeds winsock2 on win32

commit 5dd38e75cca5a8746cab7d529b94e089b4890a3b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 9 22:07:51 2007 +0000

    Don't replace @ on file without e-mail address

commit b821a26f75ab2119c9c8d1fe1a625a78a54d7e93
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 9 18:59:33 2007 +0000

    Qt4 - Sprefs: cosmetic and string change.

commit bb45b3c23d239bccbb959e3a10489568e09880e6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 9 18:43:12 2007 +0000

    Typo

commit 1a48e9a028b6c278eb7d122c44894cdb688d35e1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 9 18:19:53 2007 +0000

    Bool options need a special format

commit 251648e32246c48729986e65678bac16e5061e47
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Nov 9 10:26:44 2007 +0000

    Fix some potential segfaults, some cleanup and fix subtitling positioning.

commit 02044642f90c7e7e5774624e68d71cd5528a56de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 9 02:30:53 2007 +0000

    Qt4 - Open: clean again, and fix the clear() bug.

commit fe986989fc4249ce585582f0ed8edb94d90b3cf5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 9 02:11:08 2007 +0000

    Qt4 - Open Dialog: Code cosmetic.

commit 78510eda324d3113f4764be2b8708d1131e8980a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 9 02:06:42 2007 +0000

    Qt4 - Slight string change and code cosmetic.

commit d709d80d6074cfa60e0fe2162bbf0504ca4a4560
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 8 23:08:19 2007 +0000

    typo

commit ac0a9aeba4baf3cd55d9e24ec5da521afcf36c53
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 8 22:52:51 2007 +0000

    Slovenian l10n update by Matej Urbančič

commit 7fd99ddfbb556f8eff5715673db8a2f42b030505
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 8 22:14:52 2007 +0000

    Remove AltGr+Space character (firefox doesn't like it).

commit 443f056bf3340c70030f9801f94a3e774ac1bfe0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 8 01:07:15 2007 +0000

    Correct a typo in [22984], s/meta-fetch/fetch-meta :D

commit bfc832905d61b85d651165beea67d4037ebaaa7f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 8 00:54:54 2007 +0000

    Qt4 - strings modif.

commit 5d86e67df293aad304717e538091ead47d130be3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 8 00:45:23 2007 +0000

    Qt4 - Interfaces, strings change.

commit b2fc911ec3e1c1c41cbe25cf6685ef0775fea777
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 8 00:36:09 2007 +0000

    check in updated po files

commit 4df7f5a54981537a97c55b4a3ab4a4538686f8ce
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 8 00:07:58 2007 +0000

    Don't put built sources in POTFILES.in

commit 7d648f63d8ece03e673973aad16c0db14afdcb94
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 7 23:22:59 2007 +0000

    FFmpeg - add the MPCK fourCC, that seems to be associated to some SV8.
    But it may be useless, because of our mpc demuxer...

commit 4d52eeb6b95ea2443673d1f4de020199967d4766
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 7 23:00:58 2007 +0000

    Qt4 - Add the meta-fetcher option to the privacy part of the Simple preferences.

commit 9c9d1dddbaadcc675ba5e402ae12a0c1698bc442
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Wed Nov 7 21:21:46 2007 +0000

    playlist: Add an option to disable meta-fetch. (Need to be merged with art-fetch).

commit 014ff1d36a37ba5761df307da63c96df0a99fad4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 7 20:20:41 2007 +0000

    Update vlc.pot

commit 4f2ae2af08a73d2cbdbd0443d42f13458d7d087a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 7 19:36:02 2007 +0000

    Return the p_sys pointer in the httpd_{Handler,File}Delete functions (in case you need it to clean up stuff).

commit e574279363ad205597d577f350984586066cc608
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 7 17:59:24 2007 +0000

    Qt4 - Add some privacy options to Simple Preferences.

commit 7793f291c25190b758f81e85be7b8ab07768bd85
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 7 02:21:04 2007 +0000

    Qt4 - Display "--:--" in the status bar when vlc can't guess the total time.
    I think it is better that way and confuse less the users.

commit dff7943b2af0df48719280d6e5d6533b258bb40f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 7 02:11:30 2007 +0000

    Qt4 - MainInterface, Don't show remaining time when length is 0.

commit d1cf65c531b04f9260839b18d95db5157bedf3da
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 6 18:04:38 2007 +0000

    configure.ac: Previous commit isn't necessary, isysroot implies syslibroot from experience.

commit b0d89baf36c7708aba61c6f8e2439c46921c84c4
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Tue Nov 6 16:37:40 2007 +0000

    configure.ac: Use -syslibroot ld argument when using --with-macosx-sdk.

commit 8f8d55f21c784c004a80c15d6c4135b141f704e5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:55:44 2007 +0000

    Qt4 - SPrefs, make the hotkeys module take all the space available.

commit 855cf8bf58be454704e448bf3cb2284c7a9e246e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:47:07 2007 +0000

    Qt4 - Long lines, cosmetics and trailing spaces fixes.

commit 86e63937fff7c645d0ea4228a293e031e16d924a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:43:01 2007 +0000

    Qt4 - SPrefs: use a switch to remove stupid iterative ifs.

commit d2d0350a1f1640065e46e83024a3ce9c51b7cd4b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:30:19 2007 +0000

    Qt4 - Remove unreachable code.

commit 09630cc19d698c34002bef4aeeab9a798b9e8e72
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:25:30 2007 +0000

    Qt4 - Hotkeys Preferences: * Create the QLabel warning only if needed,
                               * Fix the "empty value, empty text" key bug.

commit f437e6eb9cd9be0c004013c2593c2fed109c6daf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 6 02:05:47 2007 +0000

    Qt4 - Hotkeys, correct some unicode problem and change the default behaviour.

commit d8fd7df3f41d8fae8657876b1faa36af7886fe41
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 23:52:23 2007 +0000

    Qt4 - Remove now unneeded files.

commit ff6613e350a80ed99507d877cfac51e25a9ae606
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 23:47:40 2007 +0000

    Qt4 - Unification of Hotkeys for Sprefs et Adv Preferences.

commit 0b8e11bd3f39d15873133711aabe190f47b98fa1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 23:12:08 2007 +0000

    Qt4 - make GNOME and KDE people happy.

commit 3e8d0beb2925c3b2cf6eaa1a45186d5094c40569
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 23:01:15 2007 +0000

    Qt4 - Improve the hotkeys preferences.

commit d5107810595354bd93f6bf65713c039d1bc7cb8b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 5 21:52:26 2007 +0000

     * modules/misc/lua:
       * Add vlc.license()
       * vlc.vlm.execute_command() now returns the VLC error code and the corresponding error message as 2nd and 3rd return values.
     * share/luaintf: add help and module description related stuff to the telnet and rc modules.

commit 94742be8ad29e8941d9eec6835f78633cf0f6142
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 5 20:46:41 2007 +0000

    Revert part of r22952 which broke commands of more than 1000 chars.

commit 786b6c4ad0ca8e7fcb45e090ab4330a26839fc66
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 5 19:42:29 2007 +0000

    svn:keywords

commit 096b58df0c41bd93ac51ac4ee12dd9027be08bdb
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 5 17:18:17 2007 +0000

    Makefile.am: Build and export the Framework in package-macosx. This is probably not an appropriate place and will change one day.

commit 9af57553c9e93a62d2f9b68f78d0420053fbffa2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 5 17:08:36 2007 +0000

    Cosmetic fix (excessive indentation)

commit 35c8e86dba758c48719a49f983babfe21a3348f4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 5 16:58:36 2007 +0000

    Fix a few minor race conditions

commit 03f87d80bfd2c8d3e1bb6e0fb5a941e5fd7705f0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 5 16:24:07 2007 +0000

    Fix previous commit

commit 40d39fa10aac4c2710c3c7682033b483644ea467
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 5 16:16:36 2007 +0000

    Recover from ALSA suspend properly if the device does not support resuming

commit bd0a73c986b4e3af39826e88e0f0ad2026059e16
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Mon Nov 5 16:13:57 2007 +0000

    MacOSX/Framework/VLC.xcodeproj: Fix compilation.

commit 2088806206d45c336ff19bb10f439232c5db1dc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 07:26:36 2007 +0000

    Qt4 - Preferences, improve a bit the Hotkeys. Preparatory work to merge the Hotkeys from SPrefs and AdvPrefs.

commit 3fb4b0304c61b3aa0719c35036d7583470f47a9f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 06:07:25 2007 +0000

    Qt4 - Preferences: spaces and comments.

commit c05d2ce6c4bc3848edca8fe8eadf7d33cd21ce59
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 04:36:55 2007 +0000

    qt4 - SPrefs: define a caching general value ( Custom, lowest, low, normal, high, highest) that control all the caching values in the preferences for dummies.
    Preferences for dummies should now be finished. ref #603

commit 72a25f190a8028c16c9cfa48b331d0772839fea2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 03:16:17 2007 +0000

    Qt4 - SPrefs, doing funny things with qobject_cast to improve a bit the code...

commit b8836621bcff0032392800fcb0456941d323b2d5
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Nov 5 01:48:25 2007 +0000

    luarc: use info instead of error when exiting, don't try to interpret empty lines as commands

commit 83e72e86e3f4dcb48e66c387eb4aa4253cbe5018
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 5 00:29:23 2007 +0000

    Qt4 - fix qt4.2 compilation

commit f3f44132e01c95cd764c51904f08a0beaeae0700
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 4 23:42:06 2007 +0000

    screensaver: replaces system() calls by fork()/execv()/waitpid()
    A side effect is that on FreeBSD the console is not filled anymore with "xscreensaver-xxx not found", because "/bin/sh xx 2>&-" will not close stderr if the specified command doesn't exist.

commit d66e6c3cac852ff62e0de9ca0405c2975d152bb6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 4 23:22:46 2007 +0000

    Qt4 - SPrefs, save the access-filter.

commit bddd76b004670b9b82448a12eac3687aa22e49ba
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 23:10:10 2007 +0000

    Some more simplification of the luaplaylist/luameta code.
    Fix a few FIXMEs.

commit 1b65354670ab8a6a1c831eae0d7b5c819d0edf2c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 22:40:00 2007 +0000

    Don't pop the string before using it (else our pointer points to garbage) and add a user friendly error message in vlclua_stream_new.

commit de31813fc07c398e906346df090bf4680212a85c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 21:42:27 2007 +0000

    Add a new type of VLC Lua module: Interfaces.
    Two things led me to add this new type of Lua modules:
     * Most interfaces duplicate code from one another (rc and telnet both deal
       with sockets, rc and hotkeys duplicate VLC interfacing code)
     * It's easier to code in Lua than in C (for high level stuff)
    (* Users can code their own module easily, all they need is a text editor.)
    
    Most of the changes in modules/misc/ are Lua wrappers for different C APIs
    in VLC. I'd say that 90% of those wrappers won't change, the other 10% might
     need small changes (mostly to simplify the C code).
    
    The VLC Lua "interface" module will look for lua scripts in the
    *share*/luaintf/ directory. Files in *share*/luaintf/modules/ are lua modules
    which can be used by multiple VLC Lua modules (using require "modulename").
    
    This commit includes 4 Lua interface modules:
     * dummy.lua: the default module. Prints error messages and quits.
     * rc.lua: equivalent to the legacy rc.c module. Also includes a bunch of
       new features (+ multiple socket connections at a time work!). See file for
       more details.
     * telnet.lua: equivalent to the legacy telnet.c module. See file for more
       details.
     * hotkeys.lua: a rewrite of the hotkey handling module. This module is still
       experimental. I'll need to change VLC core hotkeys stuff to make it work
       like I want (ie: 1 hotkey triggers 1 action instead of the current 1 action
       can have 1 hotkey). This version executes 3 dummy actions when keys 'q',
       'w' or 'x' are pressed.
    
    What's left to do:
     * Port the http interface plugin to this framework (at least for the
       macros/rpn part ... using <?vlc some lua code ?> à la PHP would be way
       easier than what we currently have).
     * Finish work on the hotkeys module.
     * Code a real telnet/rc module with autocompletion and all the cool features
       usually found in a telnet/terminal interface.
     * Trash the legacy C modules.
    
    Stuff to test (which I can't test myself):
     * Win32 and Mac OS X specific changes to Makefile.am
     * Console interface under Win32. I expect it not to work.
    
    Other stuff included in this changeset are:
     * Code cleanup (I'm sure that it's still possible to simplify some of the old lua bindings code).
     * That's pretty much it in fact :/

commit 154d9e74c59590e731abee5cd26ee8a401a4146c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 21:07:50 2007 +0000

    Remove unneed setting of val.b_bool before calling var_Set( p_input, "rate-{faster,slower}", val ) in the rc module. Those variables are of type VLC_VAR_VOID.

commit a692c5a4e019b3136d90e516ba90744b909adc15
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 21:06:11 2007 +0000

    When calling config_GetType on a CONFIG_ITEM_KEY, return VLC_VAR_INTEGER instead of 0.

commit 0d3aa16a79f6cf986477328d17fb35b67adaedc1
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 4 21:05:00 2007 +0000

    Add a psz_intf member to intf_thread_t. This holds the string given to module_Need to load the interface (which can then be used by the interface to know what name was used to load it).

commit f2ad0a9314f0a378295b075480ea9416d09cd522
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 4 18:29:24 2007 +0000

    * ehm, added a missing test case checking if EyeTV wasn't launch prior to VLC's launch time

commit 2c73e4b1f8369ec33144656450d6857274da6edf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 4 12:17:39 2007 +0000

    * we don't need AUTHORS, THANKS, COPYING and README (generic edition) inside our app bundle anymore, as they're either hard-coded or present on the disk-image anyway

commit 58e53703cff87c0b20fcdae4ef85cf5825501634
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 4 11:57:25 2007 +0000

    * updated the README for 0.9.0

commit 782ce201afb3c9b38ba9aee86b7a5affec566611
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 4 11:57:04 2007 +0000

    * use the hard-coded authors and thanks lists instead of bundled files and incorporate [22938] for trunk

commit f54452ded874199d2bde5c7027d79d9efae1f263
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Nov 4 11:12:06 2007 +0000

    use correct return type

commit 4a1b83ecc10a5640d66bedfb46338684d8b681e1
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 4 10:28:26 2007 +0000

    qt4/dialogs/help.cpp: Fixed some typos

commit 45abd2cd3d043e5e361894a026cad600c49fd050
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Nov 3 20:09:50 2007 +0000

    - mozilla plugin: added support for XCode 3 tools (leopard)

commit f8ab6a3b4687282138f4d63f125c402858f253ee
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Nov 3 16:14:21 2007 +0000

    Remove useless and broken rule

commit c2df0ad5f377fae6f86c933addd543e17bc02852
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 3 14:38:46 2007 +0000

    youtube.lua: removes bad copy/pasting

commit d2a20afcd776a48537cdf43b989b4401f7823d07
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 3 14:28:52 2007 +0000

    lua: adds a copyright notice and a GPLv2+ header to each lua script
    authors: feel free to change to the licence you want, and to add yourself to the Authors list
    additionnally, adds break.lua to its Makefile.am

commit 6b0c6b967cc92f3115faa7dfe85e26c8b17fc6cd
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 3 14:08:32 2007 +0000

    New script for break.com videos website

commit a003603fc92116c554245af0ddfde05a1c1e0208
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Nov 3 12:54:19 2007 +0000

    removes some warnings on FreeBSD

commit 75912d9cf69e22a5fd637bb5647e4cbdfba608f3
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 3 12:16:02 2007 +0000

    control/core.c: Fix a warning about lock being an usunsed variable, by using lock.

commit b999b9b155b84b4427a8aa673a70b924debf708b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 3 12:13:09 2007 +0000

    include/vlc/libvlc.h: libvlc_media_list_flat_media_list->libvlc_media_list_flat_view.

commit 37d2743acc9df3054b6b00cffb64703554226843
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 3 12:11:13 2007 +0000

    control/libvlc_internal.h: Fix libvlc_media_list_view_release_func_t return type.

commit 60327d5d5fe30448ed879392a1d61926977b52b0
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sat Nov 3 12:07:47 2007 +0000

    control/flat_media_list_view.c: Remove some dead code. (Reported by jb).

commit 8678d297cc21c96233df5e06aff61b3c4d3b4f9d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 1 20:13:20 2007 +0000

    Thanks

commit 131163af59a161c1794e254193e2d6c620472e29
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Nov 1 20:12:39 2007 +0000

    vlm: Use RT rather than monotonic clock - fixes #1288
    Patch by Brian C. Wiles

commit aa31448fb2795d84e5384b8cbcfad5e6baa510f9
Author: Bernie Purcell <bitmap@videolan.org>
Date:   Thu Nov 1 12:57:48 2007 +0000

    Address Trac Issue #1350 - linebreaks being ignored under some
    circumstances in styled subtitles.

commit 5314d595fb9115e3edccd79ac842adea0150bd36
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Nov 1 04:59:58 2007 +0000

    Update List of ModuleS.

commit 42ecf284670b8102800402ca5ddd57e3349ebb5c
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Nov 1 03:47:33 2007 +0000

    ncurses: workaround a race condition spotted by akem. darkwired pwnage

commit b6a30543efd3ee2b7045efd30b62cd57264bd421
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Oct 31 20:30:56 2007 +0000

    Fixed transparency when using FFMPEG_SWSCALE in zvbi.

commit 23e37d8587da18ed726400b68db9d0f4ee60e316
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Oct 31 20:30:52 2007 +0000

    Improve error message for v4l2.

commit cacd39b8661a299781bbeb4c888a36d4a47215ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 31 20:26:52 2007 +0000

    Preferences, audio, save the normalizer activation and clean.

commit ad9ca44d5979a242ef0781dbe793c3c7ae8d8caa
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Oct 31 13:00:59 2007 +0000

    Remove wrong -L${PREFIX}/lib from vlc-config

commit 53b56e5a88930dac467b2a41da1cb1d6089ecc25
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Oct 31 02:51:23 2007 +0000

    Yes, sigwait() can fail, so don't ignore its return value

commit 87bf103213eec6bae246f2ff786c4fc8ba8a3417
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 30 22:46:22 2007 +0000

    Fix moz plugin linking on system with several version of libvlc installed

commit 00ee7f75efe4f8c61deff395851f1b9dcc0296bf
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 18:24:06 2007 +0000

    Disable album art by default. fix #1280

commit 905e945b98be4c2e7b19675751685a5cabbd07b7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 30 13:54:17 2007 +0000

    "default auto" means nothing

commit bc8e6a591cadcd64e252eaabb56dda92cee8cd57
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Oct 30 13:46:12 2007 +0000

    Cosmetic

commit fedb5c55d04d80c7d228914635d28cb50a53a25a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 30 10:27:58 2007 +0000

    Add VBI decoder to NEWS

commit 48d08eab9eae9a6dcf35ab5b340625fc05e0977d
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 03:58:28 2007 +0000

    lua: update lelombrik script

commit 9907acfc7422d52b0fd174f7a20cc41d7896f9a2
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 03:42:18 2007 +0000

    ncurses: base detection of wide characters support on the presence of libncursesw, and use the same header wether it's present or not

commit a7cc6c93be03fe91fcc8f06498bf44b032fbddaa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 01:38:53 2007 +0000

    Qt4 - Ui, small name change.

commit 8a260c7865d5da81237069619279af9ae24721b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 01:34:48 2007 +0000

    Qt4 - Mkv muxer in GUI... Same as previous from thresh...

commit 9d0cb667dd07979d124362e462df0f745e948450
Author: Pavlov Konstantin <thresh@videolan.org>
Date:   Tue Oct 30 01:31:49 2007 +0000

    Six hundred kiloby... i mean, 32 bytes should be enough to store mux info.
    Add mkv file extension as ffmpeg now can mux to Matroska.

commit a7ed7a9eb8fac6024498355d613c6363587d52bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 01:21:03 2007 +0000

    Qt4 - Fix the saving of the preferences to avoid inaccuracies between the panels.
    Preferences for dummies ( #603 ) is now almost done in Qt4. Please test and review my commits.

commit a9cce62ad1e4c7ae3898a16575400729d67071aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 01:08:22 2007 +0000

    Qt4 - Preferences, don't remove the widgets to re-add them! Just use hide/show... A stackedLayout would have been a better idea, but this should work.
    Please report any breakage, as it might be wrong somewhere.

commit 2a54015a7f9b49f4500730b23190c56cabf7ad99
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 01:08:03 2007 +0000

    xspf demuxer: removes some warning

commit 3defa30c23e15a5576ddce8b01b1528085841848
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 30 00:48:51 2007 +0000

    qt4: use the brand new vlc_about.h

commit 2391b36f66d6e441efa66a09cfdc051313b5bfea
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 00:26:54 2007 +0000

    Qt4 - Prefs, cleanig again.

commit 036838fac2f4dc8aba41819971645587a4dccd4d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 30 00:19:13 2007 +0000

    Qt4 - Prefs; cleaning, disabling unused code, general comments, class renaming, in order to actually use those preferences. :D

commit 00e3654a317f56cf2c89d20878348b6b6086bd38
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 23:57:30 2007 +0000

    Qt4 - Remove excessive debug.

commit 4d27e757c899636bc7ddad29a5685d8eb1ebdfd6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 23:54:03 2007 +0000

    Qt4 - Fix Simple Preference saving...
    Gosh, who wrote those simple Preferences ? Seriously ?
    ooooooooooooooops...

commit 632c8544ad6441380af5ac3f2f53bb478d3abadf
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Oct 29 23:35:47 2007 +0000

    Move qt4/dialogs/about.hpp to include/vlc_about.h so all interfaces modules can use it.
    The change in configure.ac is suboptimal. It would be better to change DEFAULT_INCLUDES to use -I${top_builddir}/include rather than -I${top_builddir}. Automake wizard requested.

commit d074490d550bdf3b3fa11b16b5a3e6b462bd2f3f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 29 11:07:35 2007 +0000

    Include <sys/socket.h> when testing for <net/if.h>
    net/if.h depends on it on some systems (Darwin & FreeBSD at least)

commit 32daa8b95ec6fbc2b03331539845a5e3ea21f48b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 03:18:29 2007 +0000

    Qt4 - whitespaces cleaning, code line size, code beautification ;)

commit 631f0bf45e7aa86841bc7c510e28d7cb353e436a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 03:02:43 2007 +0000

    Qt4 - SPrefs: save the interface value... Doesn't seem to work, so please review.

commit af967f850b2d6bcad19a933ff06eea2b15aa2754
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 02:00:53 2007 +0000

    Qt4 - and fix the previous [22886]

commit dc2fe858f202d9cefac578c82642059661bb75e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:54:08 2007 +0000

    Forgotten file in [22883]. Sorry.

commit 23bc3916fea067e6a50ba5431d337957eaf06aab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:47:26 2007 +0000

    Qt4 - SPrefs, device selection. Please Review, since I am far from sure that this is a good idea...
    Moreover, is it config_PutPsz( p, name, ASCII ) or  config_PutPsz( p, name, UTF-8 )  ?

commit 93b0b1790b5c1c9cc252de109aaa351c0689b255
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:15:33 2007 +0000

    Sout - cleanup. and mark the TODO for the icecast MRL generation...

commit 7589b4c25b50b93a42ec6a158a882b0e5dc67b05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:10:45 2007 +0000

    Qt4 - Ui - Sout: rearrange the sout possibilities.

commit 0c3b7409c9df2d1d595dda26c4b55b7373454684
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:06:10 2007 +0000

    Move psz_mountpoint to psz_icecast_mountpoint.

commit 860fdb796c692ca2ca65738bdfaf5d511eedd2cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 29 01:05:27 2007 +0000

    Qt4 - Sout: icecast patch mostly rewritten...

commit 068b5be2f8f0a61a29df4eb6ebe563bd68f267f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 23:56:56 2007 +0000

    qt4 - Don't public slots when unneeded.

commit 933b2755d76cf723aa518c84c18c7c4735d9ca58
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 23:54:32 2007 +0000

    Qt4 - Open cleaning and comments.

commit a8add18eb77f28007f2379e4d6d72eefd720c977
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 23:32:21 2007 +0000

    Qt4 - Open Disc, use a completer for Linux, windows already has its autoprobing.

commit da528d5b430178ddee568284309f786bf0f61776
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 23:26:34 2007 +0000

    Qt4 - UI '2'

commit 8dd142c67f718ca98e5795b3ca4829a4e7b67ea8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 23:19:20 2007 +0000

    Qt4- Ui cleaning.

commit ca3fa5a3d46d4aa3bd731ac240c6571ef6840c9a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 28 22:39:26 2007 +0000

    * the belnet mirror is broken. Let's use heanet instead

commit df80fb3944b8cda9e6d64ac296c039ebeab40c79
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 28 22:33:21 2007 +0000

    * fixed Apple Remote support for Leopard. Note that the cookie for kRemoteControl_Switched wasn't updated, but since we don't use this feature in VLC, that's pretty fine.

commit 7be5e00ccd019350f6aa24d678b48360a9b430f5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 07:50:52 2007 +0000

    Qt4 - spaces and comments on open.cpp.

commit 9774edc08215b7d6daadd7e07d39fd7cfc77a8b5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 07:06:56 2007 +0000

    Qt4 - spaces removing.

commit 662b0388884c3f7e769feff5b5de5fcb9465e908
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 07:05:45 2007 +0000

    Qt4 - Moving function from one file to another...

commit 3e7d9284edfc05a2eb083b3e88280704312da8e3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 06:59:41 2007 +0000

    Qt4 - yeah, redefining some existing options *IS* a good idea..

commit b1262408007b1ceb5e9a790efccd6b84c1821f83
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 28 06:59:03 2007 +0000

    Qt4 - small layout modification .

commit 366cee56af4bc1e92d8f0fdb3aa2f806680d7a55
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 26 20:00:09 2007 +0000

    Qt4 - Prevent Key Modifiers pressed event to be propagated to hotkeys that doesn't understand them.

commit 66af5fd9ea0c7f4c22406b24cc728af3b6b2ced1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 26 17:14:26 2007 +0000

    Some more doc

commit a1251a8d8907d3e05eb7190734453e4ea05f8b07
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 26 16:30:27 2007 +0000

    Support for Doxygen

commit 460fa6b707ad479e96ad00e0631bcbf768b82572
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 26 16:20:57 2007 +0000

    Actually build targets

commit a2aa6ae3482a8efaf21bcc169a2e20b988dff34b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 26 16:01:10 2007 +0000

    Non-working skeleton build system

commit 5d29b33987158c7272dac74f8bc7c0dcf2fa0db9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 26 15:41:51 2007 +0000

    Plugin path

commit 998b5e6f6b682ed20c33df54d24c8f0205f07ccb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:15:46 2007 +0000

    Typo

commit 3e08d9550f7c0851cb0501f7c59a3afd4a9cc181
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:08:08 2007 +0000

    Add new gui module for use with overlay framebuffer devices.

commit 64fd3b590f1cc72d32d8684b65b337de268044c0
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:08:05 2007 +0000

    Fix number of potential memleaks

commit b25e76f52b6d08b1c0a739d3a35445c9ed3e219b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:08:03 2007 +0000

    Fix potential memleaks in src/input/vlm.c

commit fc94b7cfcecc8bbac7ab2d9981bb1677262370cd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:08:01 2007 +0000

    Fix potential memleaks in src/video_output/vout_subpictures.c

commit 2e6d37ed4412e496e10adff0abfecd4714b4dbf7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:08:00 2007 +0000

    Fix potential memleak.

commit 250b5a419e4cb7d935b34f0aefd35f7f43644469
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:59 2007 +0000

    Fix potential segfault

commit cd1957d2e457a6c86c4fb79746d9549a1a2cd510
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:57 2007 +0000

    Select frames to drop a bit smarter.

commit 53690304145784851a689a32a17057d56670159f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:56 2007 +0000

    Allow width/height mode selections to match framebuffer output capabilities.

commit f1a860755eba8ea21fba911a3443e395199af993
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:54 2007 +0000

    Optimization building ffmpeg for armeb-linux

commit 53c0625bacc1db2f2554ca6d0e75826fb0b26a4f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:53 2007 +0000

    Enable optimizations for armeb-linux-uclibc builds

commit 6ec8b6f07e56d2dc51a7e6d6f95f2595f57dd5dc
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 15:07:48 2007 +0000

    Check malloc return value.

commit 3baa07adc994f06ea8208833e25af82d5e07a405
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 26 15:05:04 2007 +0000

    Removing Mathias C. Berens email address, as requested

commit dedc960213255752152e123320ac8c57135744d5
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Oct 26 13:48:31 2007 +0000

    qt4: removes emails from THANKS tab

commit fda213d658283bbe2d63387bd750976060f5144c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 26 12:27:29 2007 +0000

    * use secstotimestr to reduce code duplication and use the format logic introduced by [22835]. The main controller will get a layout fix later on, while the embedded vout and the fspanel don't need one.

commit 07b2c47a8235137f6847d3f96df613f3fea62aad
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 11:36:35 2007 +0000

    modules/codec/ffmpeg/video_filter.c is img_* API only now

commit ab88bcc09097550b0b839ca2fe1f5105935a6ff3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 11:24:47 2007 +0000

    Fix ffmpeg swscaler

commit d72e6273f1684d302976492a5b80507cb4c5d365
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 11:03:56 2007 +0000

    Refactorize modules/codec/ffmpeg/:
    - put deinterlace in its own file.

commit 1d67f7b18284ba4268998880d2e40bd4ed933dee
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 09:41:18 2007 +0000

    Add snapshot command to rc interface and make snapshot-width and snapshot-height user modifiable.

commit a8de7281d4590f2562f934849de40ab6e1669d5a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 08:35:53 2007 +0000

    Use p_block->i_dts as spu->i_start instead of p_block->i_pts. This fixes timing issues while transcoding and streaming Teletext subtitles as DVB subtitles.

commit 0afe6776db69252dbba8dbb5a6bbe51f8f1c4822
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 08:35:52 2007 +0000

    Fix small issues in mux/ts.c:
    
    - Fix potential memleak with SDT descriptors
    - Fix compiler warning about unused variables when not using SDT descriptors
    - Fix compiler warning about wrong type of psz_sdt_desc
    - Add parenthesis

commit 79f436dba64987ab10aa0c8660adfc501f35e55e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 08:33:55 2007 +0000

    Return NULL iso 0

commit 33db138bbba48a43f52727d160af909d765ad284
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 26 08:32:39 2007 +0000

    Bump up libamrwb to 7.0.0.2

commit 253fe31c5a1b4ea79638dd545f36f1bb7afa98cb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 26 04:37:38 2007 +0000

    Don't show h: in h:mm:ss when h is 0 in secstotimestr.

commit 3b6a320b107921cee152bc0c514ea87cb93c9420
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 26 01:03:39 2007 +0000

    Qt4 - should fix the double-free and the freezing on quit. Ref #1348

commit 18453ab2bb25fec3a9da389a641aae7cd852d818
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Oct 25 23:45:08 2007 +0000

    lua demuxer: update googlevideo

commit 0d358e7b14535145a0d6061c34b7a666ce0b3e7e
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:45:22 2007 +0000

    MacOSX/Framework/VLCAudio.h: Remove private function from public headers.(Patch by Enrique Osuna).

commit 22f2312ae30499cac23f57b9e9d1b8988096875b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:43:45 2007 +0000

    MacOSX/Framework/VLCLibrary.m: libvlc type briding should be in the (VLCLibVLCBridging) category. No need to compute the applicationPath by now.(Patch by Enrique Osuna).

commit 55ba87bc10709edf529e935f4c764752c37fa782
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:40:49 2007 +0000

    MacOSX/Framework/VLCMedia.m: Re-enable libvlc_MediaDescriptorMetaChanged/libvlc_MediaDescriptorDurationChanged event listening. (Patch by Enrique Osuna).

commit 51fd51a8d2b54a14f8cbc0cc8f12052b77404263
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:39:10 2007 +0000

    MacOSX/Framework/VLCMediaPlayer.m: Implement Chapter and Audio selection. (Patch by Enrique Osuna).

commit 7750a98cb8e184b8be04f0e943fcd0cc5c04bc77
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:35:41 2007 +0000

    include/vlc/libvlc.h: publish libvlc_media_instance_set_chapter, libvlc_media_instance_get_chapter, libvlc_media_instance_get_chapter_count, libvlc_audio_get_track_count.(Patch by Enrique Osuna).@

commit adcea581b76fb0e79e54ce02ef87ebd9be362e99
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:34:12 2007 +0000

    control/audio.c: Implement get_audio_track_count. (Patch by Enrique Osuna).

commit 64659b286cac3e29ca1fb48c826d7674e4f751ea
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:33:12 2007 +0000

    misc/darwin_specific.c: Comply to coding guideline a bit better.

commit ad20233304fda48bd864d7404d4214078c69928b
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:30:53 2007 +0000

    control/darwin_specific.c: Fix Mac OS X Framework code detection. (Patch by Enrique Osuna).

commit 43f91baa3db604a6c985d47b275099ae77018787
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:30:03 2007 +0000

    control/media_descriptor.c: Send a libvlc_MediaDescriptorFreed event, when the md is freed. (Patch by Enrique Osuna).

commit 8120e31bbd3751b92a5e0e47023503e4010e189c
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Thu Oct 25 12:28:04 2007 +0000

    control/media_instance.c: Implement get/set chapter. (Patch by Enrique Osuna).

commit 2010d13aa87441aedb456a4af539fe76f35914b6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 24 13:34:45 2007 +0000

    * make sure that we're using UTF-8 instead of Western [Mac OS Roman] :D

commit be85a49ec4ae1892d3697e7aacd48b918280ed91
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 24 13:26:59 2007 +0000

    * ehm, we require 10.4, not 10.5 *cough*

commit bc90b532dca199be7422360a8b2556736a26c835
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 24 13:25:46 2007 +0000

    * added a version check of the current Mac OS X version, as we require 10.4.x or higher and will definitelly crash on earlier releases.

commit 1ced7291e644964d052dc40d3359c8e1a25babfe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 05:21:05 2007 +0000

    Qt4 - switch to minimal view should hide and show the menu, now. Close Trax#26

commit 651671b05b781b41b03a95ecc987ae70d6e5e96d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 04:39:14 2007 +0000

    Qt4 - minimal change of naming.

commit ffd947cef6d6e718a37ccd7a87d31a02846aec31
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 04:37:57 2007 +0000

    Qt4 - GotoTime, translation and size issue.

commit d02c20e22c81e041f4f0b942ece00ca7d3d9665a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 04:32:44 2007 +0000

    Qt4 - allow the nameLabel to be selectable by mouse or keyboard in order to copy/paste it.
    Supposed to be useful.

commit bb2e79b2f9de50ba5e2a1f9a0efd1af6bda7048c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 24 03:57:57 2007 +0000

    Qt4 - time left implementation. Do it better, faster, with also a middle click, and fix the double click toggling time left bug.

commit 4eb0c7377363238e1719748e3388e23692faaf0a
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 23 22:28:12 2007 +0000

    dbus: review object locking/yielding, fix various bugs & comments

commit fdb97b87d99b29fd042d3e65036cfa69f1abc9b5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 17:18:15 2007 +0000

    Add *.cdg to the format we use in the GUIs.

commit aeec2857f1e97d8c0f65da1b11cb2917795b1680
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 23 12:10:30 2007 +0000

    dbus: don't lock the playlist, but only yield the input to prevent its destruction while we are accessing it.
    We do that because we can't lock the playlist when we're in the input "state" callback because we MAY have been called by playlist_Control(), which does lock the playlist, and then call us.
    ref #1346

commit 8071564e17af2ef0e4c8bb093862fe3b5c37caf6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 06:23:27 2007 +0000

    Qt4 - initial actions support for StringListConfigs in preferences... To be tested a lot more...

commit 711de3fbbf2693bce964fc1328f2dbc31bc0b78b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 06:15:13 2007 +0000

    Add support for fourCC MMES, which is a Matrox MPEG-2 codec... Remove a wrong comment.

commit 4530a2d7bbc03a90c023ff86f18be2ed2dfb86a5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 05:46:48 2007 +0000

    Add VP6A fourCC.

commit 703cfb4908437873eec3f4702ae58403818ca7e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 04:42:38 2007 +0000

    Qt4 - fix previous compilation for windows.

commit 295364c7b5e5b2888d00772705348c480e2db77f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 23 04:05:06 2007 +0000

    Qt4 - try to remember latest open disc path.

commit 817979aae922c8f0c70342cc5efbb7e95713004c
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Oct 23 00:41:00 2007 +0000

    help string: add missing html tags

commit 42c421605a7d2f7ccfaeb2a8b25d6565fc98279f
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 23:47:24 2007 +0000

    dbus: updates to match the current status of MPRIS. Patch by Mirsal Ennaime as usual

commit 95466d5ef9b48a2ea50d9aa246dee2023f3d12ff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 22 23:39:55 2007 +0000

    MXF support since ffmpeg has a demuxer. Fix #152

commit 9df6f20907913b9f2d2bfc9c0578597083d24456
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 20:06:22 2007 +0000

    libvlc_destroy() -> libvlc_release()

commit e6a14c1dcb64eba9bd1739e34c1b1965e776a946
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 19:15:05 2007 +0000

    move config_*Intf() out from the header

commit 1a42f95bcb4466eeccc0722122e0c1fcd1011b12
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 22 18:41:19 2007 +0000

    configure.ac: fixes for build problems introduced by changeset 22617.

commit e4e086ea1176eebb65ed9a329700559d783bd490
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 18:01:34 2007 +0000

    inhibit: apply [22797] since it's the same main loop than screensaver.c
    screensaver: removes unused variable

commit cd347ef8007dfd3b2f941bf14049877dd246d373
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 17:54:22 2007 +0000

    mozilla: use new libvlc api

commit 26d39a90abbfddb9e793a1a92efb3e9fe560dd9b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 17:35:27 2007 +0000

    Don't wait for signal if the object is already dying.
    Better solution would be to make sure interface threads lock their object ALL THE TIME, except when waiting on its condition variable, so we do never "loose" condition signals. However, I am not sure if this would not result in a deadlock, should the interface need to lock another object (typically, playlist, input and/or vout).  Also, we would need to have all thread call vlc_thread_ready(), otherwise, we could also miss the signal if it happens right after the thread is created => this requires fixing every interface, except those that don't have a pf_run.

commit dbded71fbba7011b19f5839dd7e69559549de640
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 17:18:39 2007 +0000

    Fix race condition in screensaver exit

commit ec99b9d9de88aaa99181840c74028b3871cecd62
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 17:01:35 2007 +0000

    Fix syntax errors

commit dcbc6d8f6e839b7a6c64832b6ad9f14f659bbda0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:59:59 2007 +0000

    Fix warnings (it does not seem very logical for log_open to take a read-only libvlc anyway)

commit 3ef3aa108cc261ed3596e0e308324d321e874d36
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:57:33 2007 +0000

    Fix trivial warning

commit 466c96907cc274286c87f29fc500021713d4dcc0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:56:41 2007 +0000

    Event manager yields libvlc (and all the media_* stuff yields the event manager already)

commit 7d478fff44510c6e0c1868047c23d989d8969bd0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:55:43 2007 +0000

    Yield libvlc and fix corner case memleak

commit 0dbf6b697387f7d45530967e629b723b1836bbca
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:55:30 2007 +0000

    Yield libvlc

commit f297b344ed9a1bf4841c62c5630439cf0e9741fa
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Oct 22 16:30:00 2007 +0000

    Reference count libvlc. API break.

commit edabc60f04c9d20fb223b1b280549ea789a7f4e9
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 16:15:39 2007 +0000

    audioscrobbler: we're sure metadata has been read only when state is PLAYING_S

commit 40a9fe9bc271b3bf8abf418b8cfe212c44c31e66
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 16:00:08 2007 +0000

    qt4: removes useless functionnality. fix #1330

commit 1245f808081307126248ff9528e085849b045061
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 13:19:56 2007 +0000

    dbus: monitors input "state" variable to emit the TrackChange signal only when the metadata has been read

commit 3494f7e72d6b46542a2d45965b7199fc1b84a87c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 22 10:46:30 2007 +0000

    - Enable building of libamrnb and libamrwb (disabled by default). To enable add HAVE_AMR to config.mak and make sure to rebuild ffmpeg too.
    - Bumped up libdvbpsi version number to 0.1.6

commit cf4979cabec706c6efc76f87a618a91d73be6459
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 22 04:24:23 2007 +0000

    Contribs - PNG new release with a bunch of CVE-... (as in previous version)

commit 495602e13542b7b3ed6646c9768e25d4bf66a2ee
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 02:01:55 2007 +0000

    configuration: add config_AddIntf() config_RemoveIntf() and config_ExistIntf() to handle extra interfaces in the preferences
    make use of it for last.fm simple preferences (ref #1262)
    by the way the duplication of "control" with "extraintf" is very boring

commit 25a609d47f4403a8b1c23fef1b017ef2d2ddabd7
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Oct 22 01:32:11 2007 +0000

    contribs: fix dvdnav compilation with mingw gcc 4.x

commit 17a7935d6257e26395d6ba4b1d65e3503760bf06
Author: Pierre d'Herbemont <pdherbemont@videolan.org>
Date:   Sun Oct 21 23:33:39 2007 +0000

    Mac OS X: Add oga, ogv, ogx, anx file type. Close #1279. (Patch by j).

commit 9ef72fe5943998ae99602ded9c2830e2a8982f88
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 21 22:55:13 2007 +0000

    qt4: delete the QApplication when we are finished using it, removes an ugly QObject::killTimers warning.

commit e27ff9696e4ba67278a973febf1e2707172bd4a2
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun Oct 21 21:32:24 2007 +0000

    playlist_Clear() should delete only the local playlist, not the root playlist (including the media library, and the read only services discovery)

commit 7c1af3c19c72db531ce4a0ccb0003f9dbaf1cbb4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Oct 21 19:17:11 2007 +0000

